"use strict";
const common_vendor = require("../../../common/vendor.js");
const _sfc_main = {
  name: "KBottomPopup",
  options: {
    virtualHost: true
  },
  props: {
    modelValue: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      stopPropagation: false
    };
  },
  computed: {
    show() {
      return this.modelValue;
    }
  },
  methods: {
    maskClick() {
      if (this.stopPropagation) {
        this.stopPropagation = false;
        return;
      }
      this.$emit("update:modelValue", false);
    },
    /** 阻止事件冒泡 */
    onTouchStart(e) {
      this.stopPropagation = true;
    }
  },
  mounted() {
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: !$options.show ? 1 : "",
    b: $options.show ? 1 : "",
    c: common_vendor.o((...args) => $options.onTouchStart && $options.onTouchStart(...args)),
    d: common_vendor.s({
      opacity: $options.show ? 1 : 0,
      zIndex: $options.show ? 10086 : -10086
    }),
    e: common_vendor.o((...args) => $options.maskClick && $options.maskClick(...args))
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/components/dateSelect/k-bottom-popup/KBottomPopup.vue"]]);
wx.createComponent(Component);
