"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  (_easycom_uv_input2 + _easycom_uv_popup2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_popup = () => "../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  props: {
    sharePopupType: String,
    sharePopupId: String,
    shareTitle: String
  },
  emits: ["initInfo"],
  setup(__props, { expose, emit }) {
    const props = __props;
    common_vendor.watch(
      () => props.sharePopupId,
      () => {
        shrePopupRef.value.open();
        getPackageListByTaskType();
      }
    );
    const remark = common_vendor.ref();
    const disabled = common_vendor.ref(false);
    const shrePopupRef = common_vendor.ref();
    const packageId = common_vendor.ref("");
    const packageList = common_vendor.ref();
    const getPackageListByTaskType = async () => {
      if (props.sharePopupType) {
        const res = await service_modules_getTask.getPackageListByTaskTypeApi(props.sharePopupType);
        packageList.value = res.data;
        if (res.data.length) {
          packageId.value = res.data[0].value;
        }
      }
    };
    const pickerChange = (e) => {
      const val = e.detail.value[0];
      packageId.value = packageList.value[val].value;
    };
    const pickStart = () => {
      disabled.value = true;
    };
    const pickEnd = () => {
      disabled.value = false;
    };
    const close = () => {
      shrePopupRef.value.close();
    };
    const popupChange = (e) => {
      if (!e.show) {
        emit("initInfo");
      }
    };
    expose({
      close
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(close),
        b: disabled.value,
        c: __props.shareTitle,
        d: __props.sharePopupId,
        e: packageId.value,
        f: remark.value || "",
        g: common_vendor.o(($event) => remark.value = $event),
        h: common_vendor.p({
          modelValue: remark.value
        }),
        i: common_vendor.f(packageList.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.label),
            b: item.packageList
          };
        }),
        j: common_vendor.o(pickerChange),
        k: common_vendor.o(pickStart),
        l: common_vendor.o(pickEnd),
        m: common_vendor.sr(shrePopupRef, "1491c10b-0", {
          "k": "shrePopupRef"
        }),
        n: common_vendor.o(popupChange),
        o: common_vendor.p({
          mode: "bottom",
          round: "15"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1491c10b"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/components/sharePopup/index.vue"]]);
wx.createComponent(Component);
