"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_objectivesList = require("../../service/modules/objectivesList.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_text2 = common_vendor.resolveComponent("uv-text");
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  const _easycom_uv_textarea2 = common_vendor.resolveComponent("uv-textarea");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  const _easycom_uv_datetime_picker2 = common_vendor.resolveComponent("uv-datetime-picker");
  (_easycom_uv_text2 + _easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_form_item2 + _easycom_uv_form2 + _easycom_uv_textarea2 + _easycom_uv_picker2 + _easycom_uv_datetime_picker2)();
}
const _easycom_uv_text = () => "../../node-modules/@climblee/uv-ui/components/uv-text/uv-text.js";
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
const _easycom_uv_textarea = () => "../../node-modules/@climblee/uv-ui/components/uv-textarea/uv-textarea.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
const _easycom_uv_datetime_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-datetime-picker/uv-datetime-picker.js";
if (!Math) {
  (_easycom_uv_text + _easycom_uv_input + _easycom_uv_icon + _easycom_uv_form_item + _easycom_uv_form + tableData + tableDetail + _easycom_uv_textarea + _easycom_uv_picker + _easycom_uv_datetime_picker + KDatePicker)();
}
const KDatePicker = () => "../../components/dateSelect/k-date-picker/KDatePicker.js";
const tableData = () => "../../components/table/tableData.js";
const tableDetail = () => "../../components/table/tableDetail.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const drugList = common_vendor.ref([]);
    const csoList = common_vendor.ref([]);
    const getDict = () => {
      service_modules_objectivesList.getListDrugApi().then((res) => drugList.value = [res.data]);
      service_modules_objectivesList.getListDescendant().then((res) => csoList.value = [res.data]);
    };
    const type = common_vendor.ref("");
    const planId = common_vendor.ref("");
    const formDisabled = common_vendor.ref(false);
    const distributeDisbled = common_vendor.ref(false);
    const btnType = common_vendor.ref("");
    common_vendor.onLoad(async (info) => {
      type.value = info == null ? void 0 : info.type;
      planId.value = info == null ? void 0 : info.planId;
      btnType.value = info == null ? void 0 : info.btnType;
      await getDict();
      if ((info == null ? void 0 : info.type) === "2") {
        formDisabled.value = true;
        common_vendor.index.setNavigationBarTitle({
          title: "审核"
        });
        planInfo();
      }
      if ((info == null ? void 0 : info.type) === "3") {
        distributeDisbled.value = true;
        common_vendor.index.setNavigationBarTitle({
          title: "分发-新增"
        });
        planInfo();
      }
      if ((info == null ? void 0 : info.type) === "4") {
        formDisabled.value = true;
        common_vendor.index.setNavigationBarTitle({
          title: "分发-审核"
        });
        planInfo();
      }
      if ((info == null ? void 0 : info.type) === "5") {
        formDisabled.value = true;
        common_vendor.index.setNavigationBarTitle({
          title: "拆解"
        });
        planInfo();
      }
      if ((info == null ? void 0 : info.type) === "6") {
        formDisabled.value = true;
        common_vendor.index.setNavigationBarTitle({
          title: "数据统计"
        });
        planInfo();
      }
      if ((info == null ? void 0 : info.type) === "7") {
        formDisabled.value = true;
        common_vendor.index.setNavigationBarTitle({
          title: "拆解审核"
        });
        planInfo();
      }
      if ((info == null ? void 0 : info.btnType) === "1") {
        common_vendor.index.setNavigationBarTitle({
          title: "编辑"
        });
        planInfo();
      }
    });
    const detailInfo = common_vendor.ref();
    const limitStartDate = common_vendor.ref();
    const limitEndDate = common_vendor.ref();
    const tableDetailRef = common_vendor.ref();
    const detailsState = common_vendor.ref();
    const planInfo = async () => {
      const res = await service_modules_objectivesList.getPlanInfoApi(planId.value);
      detailInfo.value = res.data;
      if ((btnType == null ? void 0 : btnType.value) === "1") {
        return setInfo();
      }
      const typeList = ["2", "4", "5", "6", "7"];
      if (typeList.includes(type.value)) {
        setFormCommonFields(res.data);
        form.value.planName = res.data.planName;
        form.value.consigneeIdLable = res.data.consigneeInfo.consigneeName;
        form.value.planScore = res.data.planScore + "";
      } else if (type.value === "3") {
        setFormCommonFields(res.data);
        form.value.skuId = res.data.skuId;
        form.value.planIssue = res.data.planIssue;
        form.value.planExpiry = res.data.planExpiry;
      }
      if (["6", "7"].includes(type.value)) {
        setTimeout(async () => {
          var _a, _b;
          const resDetail = await tableDetailRef.value.getDetail((_b = (_a = res.data) == null ? void 0 : _a.planDetails) == null ? void 0 : _b.detailsId);
          detailsState.value = resDetail.data.detailsState;
        }, 500);
      }
    };
    const setInfo = () => {
      const data = detailInfo.value;
      if (type.value === "3") {
        if (data.planState === "INIT") {
          detailInfo.value.availScore = (data == null ? void 0 : data.parentPlanAvailScore) + data.availScore;
        } else {
          detailInfo.value.availScore = data == null ? void 0 : data.parentPlanAvailScore;
        }
      }
      setFormCommonFields(data);
      form.value.planName = data.planName;
      form.value.parentId = data.parentId;
      form.value.locFlag = data.locFlag;
      form.value.consigneeId = data.consigneeId;
      form.value.consigneeIdLable = data.consigneeInfo.consigneeName;
      if (data.planType === "ANN") {
        const arr = data.planIssue.split("-");
        form.value.monthrange = arr[0];
      } else {
        form.value.monthrange = convertToQuarterStart(data.planIssue);
      }
      form.value.planIssue = data.skuInfo.planIssue;
      form.value.planExpiry = data.skuInfo.planExpiry;
      form.value.planScore = data.planScore + "";
      formRef.value.validateField("planScore");
    };
    const setFormCommonFields = (data) => {
      form.value.planType = data.planType;
      const curr = planTypeList.find((item) => item.value === data.planType);
      if (curr)
        form.value.planTypeLable = curr.label;
      form.value.skuIdLable = data.skuInfo.skuName;
      form.value.ent_name = data.skuInfo.manufacturer;
      form.value.monthrange = data.planIssue + "至" + data.planExpiry;
      form.value.planType = data.planType;
    };
    function convertToQuarterStart(dateString) {
      const date = new Date(dateString);
      const year = date.getFullYear();
      const month = date.getMonth();
      let quarterStartMonth;
      if (month >= 0 && month <= 2) {
        quarterStartMonth = "第一";
      } else if (month >= 3 && month <= 5) {
        quarterStartMonth = "第二";
      } else if (month >= 6 && month <= 8) {
        quarterStartMonth = "第三";
      } else {
        quarterStartMonth = "第四";
      }
      return `${year}年${quarterStartMonth}季度`;
    }
    const customStyle = {
      height: "80rpx"
    };
    const formRef = common_vendor.ref();
    const form = common_vendor.ref({
      planType: "",
      planTypeLable: "",
      parentId: 0,
      locFlag: "UN_LOCK",
      skuId: "",
      skuIdLable: "",
      planName: "",
      consigneeId: "",
      consigneeIdLable: "",
      ent_name: "",
      monthrange: "",
      planIssue: "",
      planExpiry: "",
      planScore: ""
    });
    const rules = common_vendor.reactive({
      skuIdLable: {
        type: "string",
        required: true,
        message: "请选择目标产品",
        trigger: ["blur", "change"]
      },
      planName: {
        type: "string",
        required: true,
        message: "请输入目标名称",
        trigger: ["blur", "change"]
      },
      consigneeIdLable: {
        type: "string",
        required: true,
        message: "请选择承接对象",
        trigger: ["blur", "change"]
      },
      planTypeLable: {
        type: "string",
        required: true,
        message: "请选择目标周期",
        trigger: ["blur", "change"]
      },
      monthrange: {
        type: "string",
        required: true,
        message: "请选择目标周期",
        trigger: ["blur", "change"]
      },
      planScore: {
        type: "string",
        required: true,
        message: "请输入目标总值",
        trigger: ["blur", "change"]
      }
    });
    const skuIdPicker = common_vendor.ref();
    const consigneeIdPicker = common_vendor.ref();
    const planTypePicker = common_vendor.ref();
    const planTypeList = [
      {
        label: "年度计划",
        value: "ANN"
      },
      {
        label: "季度计划",
        value: "QRT"
      }
    ];
    const show = common_vendor.ref(false);
    const yearPicker = common_vendor.ref();
    const seasonPicker = common_vendor.ref();
    const seasonList = common_vendor.ref();
    const showSelect = (detailType) => {
      if (formDisabled.value)
        return;
      if (detailType === "skuId") {
        if (type.value === "3")
          return;
        skuIdPicker.value.open();
      } else if (detailType === "consigneeId") {
        consigneeIdPicker.value.open();
      } else if (detailType === "planType") {
        if (type.value === "3")
          return;
        planTypePicker.value.open();
      } else if (detailType === "monthrange") {
        if (type.value === "3")
          return;
        if (!form.value.planTypeLable)
          return;
        if (form.value.planType === "ANN") {
          yearPicker.value.open();
        } else if (form.value.planType === "QRT") {
          let arr = [];
          let years = new Date().getFullYear();
          for (let i = years - 10; i <= years + 20; i++) {
            arr.push(i);
          }
          const seasonArr = ["一季度", "二季度", "三季度", "四季度"];
          seasonList.value = [arr, seasonArr];
          seasonPicker.value.open();
        }
      }
    };
    const skuIdConfirm = (e) => {
      const value = e.value[0];
      form.value.skuId = value.drug_id;
      form.value.skuIdLable = value.drug_name;
      form.value.ent_name = value.ent_name;
      formRef.value.validateField("skuIdLable");
      planNameChange();
    };
    const consigneeIdConfirm = (e) => {
      const value = e.value[0];
      form.value.consigneeId = value.deptId;
      form.value.consigneeIdLable = value.name;
      formRef.value.validateField("consigneeIdLable");
      if (type.value === "3") {
        const name = detailInfo.value.planName + "-" + value.name;
        form.value.planName = name;
      } else {
        planNameChange();
      }
    };
    const planTypeConfirm = (e) => {
      var _a;
      if (((_a = form.value) == null ? void 0 : _a.planType) === e.value[0])
        return;
      const value = e.value[0];
      form.value.planType = value.value;
      form.value.planTypeLable = value.label;
      formRef.value.validateField("planTypeLable");
      form.value.planIssue = "";
      form.value.planExpiry = "";
      form.value.monthrange = "";
    };
    const getDate = (e) => {
      form.value.monthrange = e[0] + " 至 " + e[1];
      form.value.planIssue = e[0];
      form.value.planExpiry = e[1];
      formRef.value.validateField("monthrange");
      show.value = false;
    };
    const yearConfirm = (e) => {
      const year = common_vendor.dayjs(e.value).format("YYYY");
      form.value.monthrange = year;
      form.value.planIssue = year + "-01-01";
      form.value.planExpiry = year + "-12-31";
      formRef.value.validateField("monthrange");
      planNameChange();
    };
    const seasonConfirm = (e) => {
      console.log("e", e);
      const seasonIndex = e.indexs[1];
      const value = e.value;
      form.value.monthrange = value[0] + "年第" + value[1];
      let startMonth, endMonth, endDay;
      switch (seasonIndex) {
        case 1:
          startMonth = 1;
          endMonth = 3;
          endDay = 31;
          break;
        case 2:
          startMonth = 4;
          endMonth = 6;
          endDay = 30;
          break;
        case 3:
          startMonth = 7;
          endMonth = 9;
          endDay = 30;
          break;
        case 4:
          startMonth = 10;
          endMonth = 12;
          endDay = 31;
          break;
        default:
          throw new Error("Invalid quarter code");
      }
      const startDate = `${value[0]}-${String(startMonth).padStart(2, "0")}-01`;
      const endDate = `${value[0]}-${String(endMonth).padStart(2, "0")}-${endDay}`;
      form.value.planIssue = startDate;
      form.value.planExpiry = endDate;
      formRef.value.validateField("monthrange");
      planNameChange();
    };
    const planNameChange = () => {
      if (form.value.skuIdLable && form.value.consigneeIdLable && form.value.planTypeLable && form.value.monthrange) {
        let name = "";
        if (form.value.planType === "ANN") {
          name = `${form.value.monthrange}年度-全年-${form.value.consigneeIdLable}-${form.value.skuIdLable}`;
        } else {
          const arr = form.value.monthrange.split("年");
          name = `${arr[0]}年度-${arr[1]}-${form.value.consigneeIdLable}-${form.value.skuIdLable}`;
        }
        form.value.planName = name;
      }
    };
    const cancelFn = () => {
      common_vendor.index.navigateBack();
    };
    const confirmFn = () => {
      if (type.value === "5") {
        dismantleSubmit();
        return;
      }
      formRef.value.validate().then(async () => {
        var _a;
        let res;
        if (type.value === "3") {
          form.value.parentId = detailInfo.value.planId;
          if (form.value.planScore > ((_a = detailInfo.value) == null ? void 0 : _a.availScore)) {
            return common_vendor.index.showToast({
              title: "当前分发目标总值不能超过剩余积分值！",
              icon: "none"
            });
          }
        }
        if (btnType.value === "1") {
          return submitEdit();
        }
        res = await service_modules_objectivesList.createListApi(form.value);
        if (res.data) {
          common_vendor.index.showToast({
            title: "添加成功",
            icon: "none"
          });
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 1e3);
        }
      }).catch((err) => {
        console.log("err", err);
      });
    };
    const submitEdit = async () => {
      const obj = Object.assign(form.value, {
        planId: detailInfo.value.planId
      });
      const res = await service_modules_objectivesList.updatePlanApi(obj);
      if (res.data) {
        common_vendor.index.showToast({
          title: "更新成功",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    const reviewFormRef = common_vendor.ref();
    const reviewForm = common_vendor.reactive({
      msg: ""
    });
    const reviewFormRules = common_vendor.reactive({
      msg: {
        type: "string",
        required: false,
        message: "请输入审核说明",
        trigger: ["blur", "change"]
      }
    });
    const reviewFn = (flag) => {
      reviewFormRules.msg.required = !flag;
      reviewFormRef.value.validate().then(async () => {
        if (type.value === "7") {
          dismantleReviewSubmt(flag);
          return;
        }
        const obj = {
          msg: reviewForm.msg,
          planId: detailInfo.value.planId,
          result: flag
        };
        const res = await service_modules_objectivesList.planCheckApi(obj);
        if (res.data) {
          common_vendor.index.showToast({
            title: "审核完成",
            icon: "none"
          });
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 1e3);
        }
      }).catch((err) => {
        console.log("err", err);
      });
    };
    const tableRef = common_vendor.ref();
    const dismantleSubmit = async () => {
      const data = tableRef.value.getData();
      const allQty = data.reduce((prev, curr) => Number(prev) + Number(curr.qty), 0);
      const allTotal = data.reduce((prev, curr) => prev + Number(curr.subtotal), 0);
      if (allTotal != form.value.planScore) {
        return common_vendor.index.showToast({
          title: "拆解总任务分值需等于目标总值",
          icon: "none"
        });
      }
      const obj = {
        planId: detailInfo.value.planId,
        qty: allQty,
        total: allTotal,
        items: data
      };
      const res = await service_modules_objectivesList.planDetailCreateApi(obj);
      if (res.data) {
        common_vendor.index.showToast({
          title: "拆解完成",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    const dismantleReviewSubmt = async (flag) => {
      const obj = {
        detailsId: detailInfo.value.planDetails.detailsId,
        result: flag,
        msg: reviewForm.msg,
        currentState: detailsState.value
      };
      const res = await service_modules_objectivesList.checkPlanDetailsApi(obj);
      if (res.data) {
        common_vendor.index.showToast({
          title: "审核完成",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    return (_ctx, _cache) => {
      var _a;
      return common_vendor.e({
        a: common_vendor.p({
          type: "error",
          text: "本系统中的年度服务目标、【年度服务预算】、年度服务计划等，无论是否经由一方或双方同意或者确认，均不构成双方之间的协议；服务量、服务费用价格与金额等应以另行签署的合同为准。"
        }),
        b: common_vendor.o(($event) => form.value.skuIdLable = $event),
        c: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.value.skuIdLable
        }),
        d: common_vendor.p({
          name: "arrow-right"
        }),
        e: common_vendor.o(($event) => showSelect("skuId")),
        f: common_vendor.p({
          label: "目标产品",
          prop: "skuIdLable",
          borderBottom: true,
          customStyle,
          required: true
        }),
        g: common_vendor.o(($event) => form.value.ent_name = $event),
        h: common_vendor.p({
          border: "none",
          readonly: true,
          modelValue: form.value.ent_name
        }),
        i: common_vendor.p({
          label: "生产企业",
          prop: "ent_name",
          borderBottom: true,
          customStyle
        }),
        j: common_vendor.o(($event) => form.value.planScore = $event),
        k: common_vendor.p({
          readonly: formDisabled.value,
          type: "number",
          border: "none",
          modelValue: form.value.planScore
        }),
        l: common_vendor.p({
          label: "目标总值",
          prop: "planScore",
          borderBottom: true,
          customStyle,
          required: true
        }),
        m: common_vendor.o(($event) => form.value.consigneeIdLable = $event),
        n: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.value.consigneeIdLable
        }),
        o: common_vendor.p({
          name: "arrow-right"
        }),
        p: common_vendor.o(($event) => showSelect("consigneeId")),
        q: common_vendor.p({
          label: "承接对象",
          prop: "consigneeIdLable",
          borderBottom: true,
          customStyle,
          required: true
        }),
        r: common_vendor.o(($event) => form.value.planTypeLable = $event),
        s: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.value.planTypeLable
        }),
        t: common_vendor.p({
          name: "arrow-right"
        }),
        v: common_vendor.o(($event) => showSelect("planType")),
        w: common_vendor.p({
          label: "目标类型",
          prop: "planTypeLable",
          borderBottom: true,
          customStyle,
          required: true
        }),
        x: common_vendor.o(($event) => form.value.monthrange = $event),
        y: common_vendor.p({
          prefixIcon: "calendar",
          prefixIconStyle: "font-size: 22px;color: #909399",
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.value.monthrange
        }),
        z: common_vendor.p({
          name: "arrow-right"
        }),
        A: common_vendor.o(($event) => showSelect("monthrange")),
        B: common_vendor.p({
          label: "目标周期",
          prop: "monthrange",
          borderBottom: true,
          customStyle,
          required: true
        }),
        C: common_vendor.o(($event) => form.value.planName = $event),
        D: common_vendor.p({
          readonly: formDisabled.value,
          placeholder: "请输入",
          border: "none",
          modelValue: form.value.planName
        }),
        E: common_vendor.p({
          label: "目标名称",
          prop: "planName",
          borderBottom: true,
          customStyle,
          required: true
        }),
        F: common_vendor.sr(formRef, "e1451fee-1", {
          "k": "formRef"
        }),
        G: common_vendor.p({
          labelPosition: "left",
          model: form.value,
          rules,
          labelWidth: "80"
        }),
        H: type.value === "3"
      }, type.value === "3" ? {
        I: common_vendor.t((_a = detailInfo.value) == null ? void 0 : _a.availScore)
      } : {}, {
        J: ["5", "6", "7"].includes(type.value)
      }, ["5", "6", "7"].includes(type.value) ? common_vendor.e({
        K: type.value === "5"
      }, type.value === "5" ? {
        L: common_vendor.sr(tableRef, "e1451fee-20", {
          "k": "tableRef"
        }),
        M: common_vendor.p({
          planScore: Number(form.value.planScore)
        })
      } : {}, {
        N: ["6", "7"].includes(type.value)
      }, ["6", "7"].includes(type.value) ? {
        O: common_vendor.sr(tableDetailRef, "e1451fee-21", {
          "k": "tableDetailRef"
        }),
        P: common_vendor.p({
          planScore: Number(form.value.planScore)
        })
      } : {}) : {}, {
        Q: ["1", "3", "5"].includes(type.value)
      }, ["1", "3", "5"].includes(type.value) ? {
        R: common_vendor.o(cancelFn),
        S: common_vendor.o(confirmFn),
        T: common_vendor.n(["1", "3"].includes(type.value) ? "b-fixed" : "")
      } : {}, {
        U: ["2", "4", "7"].includes(type.value)
      }, ["2", "4", "7"].includes(type.value) ? {
        V: common_vendor.o(($event) => reviewForm.msg = $event),
        W: common_vendor.p({
          placeholder: "请输入审核说明",
          height: "48",
          modelValue: reviewForm.msg
        }),
        X: common_vendor.p({
          label: "审核说明",
          prop: "msg",
          borderBottom: true
        }),
        Y: common_vendor.sr(reviewFormRef, "e1451fee-22", {
          "k": "reviewFormRef"
        }),
        Z: common_vendor.p({
          labelPosition: "left",
          model: reviewForm,
          rules: reviewFormRules,
          labelWidth: "80"
        }),
        aa: common_vendor.o(($event) => reviewFn(false)),
        ab: common_vendor.o(($event) => reviewFn(true)),
        ac: common_vendor.n(["2", "4"].includes(type.value) ? "b-fixed" : "")
      } : {}, {
        ad: common_vendor.sr(skuIdPicker, "e1451fee-25", {
          "k": "skuIdPicker"
        }),
        ae: common_vendor.o(skuIdConfirm),
        af: common_vendor.p({
          columns: drugList.value,
          keyName: "drug_name"
        }),
        ag: common_vendor.sr(consigneeIdPicker, "e1451fee-26", {
          "k": "consigneeIdPicker"
        }),
        ah: common_vendor.o(consigneeIdConfirm),
        ai: common_vendor.p({
          columns: csoList.value,
          keyName: "name"
        }),
        aj: common_vendor.sr(planTypePicker, "e1451fee-27", {
          "k": "planTypePicker"
        }),
        ak: common_vendor.o(planTypeConfirm),
        al: common_vendor.p({
          columns: [planTypeList],
          keyName: "label"
        }),
        am: common_vendor.sr(yearPicker, "e1451fee-28", {
          "k": "yearPicker"
        }),
        an: common_vendor.o(yearConfirm),
        ao: common_vendor.p({
          mode: "year"
        }),
        ap: common_vendor.sr(seasonPicker, "e1451fee-29", {
          "k": "seasonPicker"
        }),
        aq: common_vendor.o(seasonConfirm),
        ar: common_vendor.p({
          columns: seasonList.value,
          keyName: "label"
        }),
        as: common_vendor.o(getDate),
        at: common_vendor.o(($event) => show.value = $event),
        av: common_vendor.p({
          limitStartDate: limitStartDate.value,
          limitEndDate: limitEndDate.value,
          type: "month",
          ["is-range"]: true,
          formatter: "YYYY-MM-DD",
          modelValue: show.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e1451fee"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-admin/objectivesAdd/index.vue"]]);
wx.createPage(MiniProgramPage);
