"use strict";
const common_vendor = require("../../common/vendor.js");
const pagesSubAdmin_serviceManagement_taskList = require("./taskList.js");
const store_login = require("../../store/login.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  _easycom_uv_icon2();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
if (!Math) {
  _easycom_uv_icon();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    let userInfo = loginStore.currentUserInfo;
    const currentRoles = userInfo.roles;
    const navigateToDetail = (url) => {
      common_vendor.index.navigateTo({
        url
      });
    };
    const getShow = (index) => {
      const hasRole37 = currentRoles.includes(37);
      return hasRole37 ? index <= 1 : index > 1;
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(common_vendor.unref(pagesSubAdmin_serviceManagement_taskList.taskList), (item, index, i0) => {
          return {
            a: item.img,
            b: common_vendor.t(item.title),
            c: item.color,
            d: "dbdfe74f-0-" + i0,
            e: common_vendor.p({
              name: "arrow-right",
              color: item.color,
              size: "16"
            }),
            f: item.backgroundColor,
            g: common_vendor.o(($event) => navigateToDetail(item.url), item.url),
            h: getShow(index),
            i: item.url
          };
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-dbdfe74f"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-admin/serviceManagement/index.vue"]]);
wx.createPage(MiniProgramPage);
