"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_mine = require("../../service/modules/mine.js");
const hooks_useLoginout = require("../../hooks/useLoginout.js");
require("../../service/index.js");
require("../../store/login.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
require("../../store/tabbar.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_button2 + _easycom_uv_form2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_button = () => "../../node-modules/@climblee/uv-ui/components/uv-button/uv-button.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_form_item + _easycom_uv_button + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const form = common_vendor.reactive({
      p1: "",
      p2: "",
      code: "123456"
    });
    let validatePassword = (rule, value, callback) => {
      var regA = /^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[!#$%^&*@])[\da-zA-Z!#$%^&*@]{8,16}$/;
      var regB = /(123|234|345|456|567|678|789|012)/;
      if (!value) {
        callback(new Error("密码不能为空"));
      }
      if (!regA.test(value)) {
        callback(new Error("密码必须是8~16位、必须含有大小写字母、数字、特殊符号"));
      } else if (regB.test(value)) {
        callback(new Error("不能有3个连续数字"));
      } else {
        callback();
      }
    };
    var validateCheckPass = (rule, value, callback) => {
      if (value !== form.p1) {
        callback(new Error("两次输入密码不一致"));
      } else {
        callback();
      }
    };
    const rules = common_vendor.reactive({
      p1: {
        type: "string",
        required: true,
        trigger: ["blur"],
        validator: validatePassword
      },
      p2: {
        type: "string",
        required: true,
        validator: validateCheckPass,
        trigger: ["blur"]
      }
    });
    const formRef = common_vendor.ref();
    const submit = () => {
      formRef.value.validate().then(async () => {
        const res = await service_modules_mine.renewPwdApi(form);
        if (res.code === 0) {
          common_vendor.index.showToast({
            icon: "none",
            title: "修改成功，请重新登录"
          });
          setTimeout(async () => {
            hooks_useLoginout.useLogiutFn();
          }, 1e3);
        }
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => form.p1 = $event),
        b: common_vendor.p({
          type: "password",
          border: "none",
          clearable: true,
          modelValue: form.p1
        }),
        c: common_vendor.p({
          label: "新密码",
          prop: "p1",
          borderBottom: true
        }),
        d: common_vendor.o(($event) => form.p2 = $event),
        e: common_vendor.p({
          type: "password",
          clearable: true,
          border: "none",
          modelValue: form.p2
        }),
        f: common_vendor.p({
          label: "确认密码",
          prop: "p2",
          borderBottom: true
        }),
        g: common_vendor.o(submit),
        h: common_vendor.p({
          text: "提交",
          color: "#6eb657",
          customStyle: "margin-top: 10px"
        }),
        i: common_vendor.sr(formRef, "5729eb90-0", {
          "k": "formRef"
        }),
        j: common_vendor.p({
          labelPosition: "left",
          model: form,
          rules,
          labelWidth: "120"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5729eb90"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/changePassword/index.vue"]]);
wx.createPage(MiniProgramPage);
