"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_quiz = require("../../service/modules/quiz.js");
require("../../service/index.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const detailFn = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-mine/quizDetail/index?id=${row.quiz.quizId}`
      });
    };
    common_vendor.onLoad(() => {
      getPltQuizResultFn();
    });
    const testResults = common_vendor.ref([]);
    const getPltQuizResultFn = async () => {
      const res = await service_modules_quiz.getQuizPltTextResultApi();
      if (res.code === 0) {
        testResults.value = res.data.testResults || [];
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(testResults.value, (quizItem, index, i0) => {
          var _a, _b;
          return common_vendor.e({
            a: common_vendor.t(quizItem.quiz.title),
            b: quizItem.valid
          }, quizItem.valid ? {} : {}, {
            c: common_vendor.t((_b = (_a = quizItem == null ? void 0 : quizItem.quiz) == null ? void 0 : _a.expand) == null ? void 0 : _b.totalMark),
            d: common_vendor.t(quizItem.finalMark || "无"),
            e: index,
            f: common_vendor.o(($event) => detailFn(quizItem), index)
          });
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7f8d85c4"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/quiz/index.vue"]]);
wx.createPage(MiniProgramPage);
