"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_objectivesList = require("../../service/modules/objectivesList.js");
const service_modules_assignPoints = require("../../service/modules/assignPoints.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
const store_review = require("../../store/review.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_line_progress2 = common_vendor.resolveComponent("uv-line-progress");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_line_progress2 + _easycom_uv_picker2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_line_progress = () => "../../node-modules/@climblee/uv-ui/components/uv-line-progress/uv-line-progress.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_line_progress + noData + _easycom_uv_picker + KDatePicker)();
}
const KDatePicker = () => "../../components/dateSelect/k-date-picker/KDatePicker.js";
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const reviewStore = store_review.useReview();
    const customStyle = {
      backgroundColor: "#f6f6f6"
    };
    common_vendor.onShow(() => {
      listArr.value = [];
      getDict();
      getList();
    });
    class Params {
      constructor() {
        __publicField(this, "acceptSug", "");
        __publicField(this, "period", []);
        __publicField(this, "scorePackageName", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "packageType1", 1);
        __publicField(this, "packageType2", 1);
        __publicField(this, "size", 10);
      }
    }
    const searchParams = common_vendor.ref(new Params());
    const hasInfo = common_vendor.ref(true);
    const listArr = common_vendor.ref([]);
    const getList = async () => {
      common_vendor.index.showLoading();
      const res = await service_modules_assignPoints.getListApi(searchParams.value);
      if (res.code === 0) {
        searchParams.value.total = res.data.total;
        listArr.value = listArr.value.concat(res.data.records);
        hasInfo.value = !!listArr.value.length;
      }
      common_vendor.index.hideLoading();
    };
    const csoList = common_vendor.ref([]);
    const packageFinishStatusList = common_vendor.ref([]);
    const getDict = async () => {
      service_modules_getDict.getDictByNameApi("package_finish_status").then(
        (res) => packageFinishStatusList.value = res.data
      );
      service_modules_objectivesList.getListCsoApi().then((res) => csoList.value = [res.data]);
    };
    const getStatusName = (planState) => {
      var _a;
      const curr = (_a = packageFinishStatusList.value) == null ? void 0 : _a.find((item) => item.value === planState);
      return curr == null ? void 0 : curr.label;
    };
    const searchFn = () => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
    };
    common_vendor.onReachBottom(() => {
      if (listArr.value.length === searchParams.value.total)
        return;
      searchParams.value.current++;
      getList();
    });
    const pickerRef = common_vendor.ref();
    const show = common_vendor.ref(false);
    const searchClick = (type) => {
      if (type === "acceptSug") {
        pickerRef.value.open();
      } else {
        show.value = true;
      }
    };
    const pickerConfim = (e) => {
      searchParams.value.acceptSug = e.value[0].id;
      searchFn();
    };
    const pickerCancel = () => {
      if (searchParams.value.acceptSug) {
        searchParams.value.acceptSug = "";
        searchFn();
      }
    };
    const getDate = (e) => {
      if (!e[1])
        return;
      searchParams.value.period = e;
      show.value = false;
      searchFn();
    };
    const addFn = () => {
      common_vendor.index.navigateTo({
        url: "/pages-sub-service-mangement/assignPointsAdd/index?&type=1"
      });
    };
    const detailFn = (row) => {
      const info = JSON.stringify(row);
      reviewStore.setAssignPointsInfo(info);
      common_vendor.index.navigateTo({
        url: "/pages-sub-service-mangement/assignPointsAdd/detail?&type=2"
      });
    };
    const stopBtn = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/stopServiceDelivery/index?type=${2}&id=${row.id}`
      });
    };
    const taskReview = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/taskAudit/index?&id=${row.id}&type=taskAudit&taskStatus=2&page=1`
      });
    };
    const quickAudit = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/quickAudit/index?&id=${row.id}&type=taskAudit&taskStatus=2&page=1`
      });
    };
    const quickAuditFn = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/quickAuditCard/index?&id=${row.id}&type=1`
      });
    };
    const viewFn = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/taskAudit/index?&id=${row.id}&type=taskAudit&page=1`
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => searchParams.value.scorePackageName = $event),
        b: common_vendor.p({
          customStyle,
          clearable: true,
          shape: "circle",
          placeholder: "请输入",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 22px;color: #6eb657",
          modelValue: searchParams.value.scorePackageName
        }),
        c: common_vendor.o(searchFn),
        d: common_vendor.o(addFn),
        e: common_vendor.p({
          name: "plus-circle",
          color: "#6eb657",
          size: "24"
        }),
        f: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.acceptSug ? "#6eb657" : "#111111",
          size: "14"
        }),
        g: common_vendor.o(($event) => searchClick("acceptSug")),
        h: common_vendor.n(searchParams.value.acceptSug ? "active" : ""),
        i: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.period.length ? "#6eb657" : "#111111",
          size: "14"
        }),
        j: common_vendor.o(($event) => searchClick("period")),
        k: common_vendor.n(searchParams.value.period.length ? "active" : ""),
        l: hasInfo.value
      }, hasInfo.value ? {
        m: common_vendor.f(listArr.value, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.scorePackageName),
            b: common_vendor.t(getStatusName(item.packageFinishStatus)),
            c: common_vendor.t(item.userList[0]),
            d: common_vendor.t(item.belongDate),
            e: "c7348142-4-" + i0,
            f: common_vendor.p({
              round: true,
              showText: false,
              percentage: item.finishRate,
              activeColor: "#95dc7e",
              inactiveColor: "#f8f8f0"
            }),
            g: common_vendor.t(item.finishRate),
            h: common_vendor.t(item.ysh),
            i: common_vendor.t(item.score),
            j: item.dsh != null && item.dsh != "0"
          }, item.dsh != null && item.dsh != "0" ? {
            k: common_assets._imports_0$2,
            l: common_vendor.o(($event) => taskReview(item), item.id)
          } : {}, {
            m: item.dsh != null && item.dsh != "0"
          }, item.dsh != null && item.dsh != "0" ? {
            n: common_assets._imports_0$2,
            o: common_vendor.o(($event) => quickAudit(item), item.id)
          } : {}, {
            p: item.dsh != null && item.dsh != "0"
          }, item.dsh != null && item.dsh != "0" ? {
            q: common_assets._imports_0$2,
            r: common_vendor.o(($event) => quickAuditFn(item), item.id)
          } : {}, {
            s: !["4", "5", "6", "9"].includes(item.scorePackageStatus)
          }, !["4", "5", "6", "9"].includes(item.scorePackageStatus) ? {
            t: common_assets._imports_1$3,
            v: common_vendor.o(($event) => stopBtn(item), item.id)
          } : {}, {
            w: common_vendor.o(($event) => viewFn(item), item.id),
            x: item.id,
            y: common_vendor.o(($event) => detailFn(item), item.id)
          });
        }),
        n: common_assets._imports_1$1
      } : {}, {
        o: common_vendor.sr(pickerRef, "c7348142-6", {
          "k": "pickerRef"
        }),
        p: common_vendor.o(pickerConfim),
        q: common_vendor.o(pickerCancel),
        r: common_vendor.p({
          cancelText: searchParams.value.acceptSug ? "清空" : "取消",
          columns: csoList.value,
          keyName: "gsmc"
        }),
        s: common_vendor.o(getDate),
        t: common_vendor.o(($event) => show.value = $event),
        v: common_vendor.p({
          type: "month",
          ["is-range"]: true,
          formatter: "YYYY-MM-DD",
          modelValue: show.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-c7348142"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/assignPoints/index.vue"]]);
wx.createPage(MiniProgramPage);
