"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_assignPoints = require("../../service/modules/assignPoints.js");
const pagesSubServiceMangement_assignPointsAdd_components_treeList = require("./components/treeList.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_textarea2 = common_vendor.resolveComponent("uv-textarea");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_icon2 + _easycom_uv_textarea2 + _easycom_uv_form2 + _easycom_uv_picker2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_textarea = () => "../../node-modules/@climblee/uv-ui/components/uv-textarea/uv-textarea.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_form_item + _easycom_uv_icon + TableData + _easycom_uv_textarea + _easycom_uv_form + _easycom_uv_picker)();
}
const TableData = () => "./components/TableData.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const currentType = common_vendor.ref();
    common_vendor.dayjs().format("YYYY-MM-DD");
    common_vendor.onLoad((e) => {
      currentType.value = e == null ? void 0 : e.type;
      getDict();
    });
    const personalList = common_vendor.ref([]);
    const objectScopeList5 = common_vendor.ref([]);
    const packageScopeList = common_vendor.ref([]);
    const allParentDeptList = common_vendor.ref([]);
    const getDict = () => {
      service_modules_assignPoints.getTypeidPersonalApi().then((res) => {
        const arr = [];
        res.data.forEach((item) => {
          const addnew = {
            value: item.value,
            label: item.label
          };
          arr.push(addnew);
        });
        personalList.value = arr.filter((item) => item.value === "3");
      });
      service_modules_assignPoints.getObjectScopeListApi("5").then((res) => {
        var _a;
        objectScopeList5.value = (_a = res.data) == null ? void 0 : _a.map((item) => {
          return {
            value: item.id,
            label: item.realname + " " + item.username
          };
        });
      });
      service_modules_assignPoints.getPackageScopeListApi().then((res) => {
        packageScopeList.value = res.data;
        if (currentType.value === "1") {
          form.packageUserScope = res.data[0].value;
          form.packageUserScopeLable = res.data[0].label;
        }
      });
      if (currentType.value === "1") {
        service_modules_assignPoints.getWmscorepackageSnApi().then((res) => form.packageSn = res.data);
      }
      service_modules_assignPoints.getListAncestor().then((res) => allParentDeptList.value = res.data);
    };
    const formDisabled = common_vendor.ref(false);
    const typeidPickerRef = common_vendor.ref();
    const userListPickerRef = common_vendor.ref();
    const relatedServicePickerRef = common_vendor.ref();
    const relationScoreIdPickerRef = common_vendor.ref();
    const showSelect = (type) => {
      if (formDisabled.value)
        return;
      switch (type) {
        case "typeidLabel":
          typeidPickerRef.value.open();
          break;
        case "userListLabel":
          if (form.typeid !== "3")
            return;
          userListPickerRef.value.open();
          break;
        case "relatedServiceLabel":
          relatedServicePickerRef.value.open();
          break;
        case "relationScoreIdLable":
          if (!relationScoreList.value.length)
            return;
          relationScoreIdPickerRef.value.open();
          break;
      }
    };
    const packageUserScopeDisable = common_vendor.ref(false);
    const userListShow = common_vendor.ref(true);
    const pickerConfim = (e, type) => {
      if (type === "typeidLabel") {
        const value = e.value[0];
        form.typeid = value.value;
        form.typeidLabel = value.label;
        if ((value == null ? void 0 : value.value) === "3") {
          packageUserScopeDisable.value = true;
          form.packageUserScope = packageScopeList.value[0].value;
          form.packageUserScopeLable = packageScopeList.value[0].label;
          userListShow.value = true;
        } else {
          userListShow.value = false;
          form.userListLabel = "";
          form.userList = [];
        }
      }
      if (type === "userListLabel") {
        const value = e.value[0];
        form.userList = [value.value];
        form.userListLabel = value.label;
      }
      if (type === "relatedServiceLabel") {
        const value = e.value[0];
        form.relatedService = value.deptId + "";
        form.relatedServiceLabel = value.name;
        form.relationScoreId = "";
        form.relationScoreIdLable = "";
        getRelationScoreListFn(value.deptId);
      }
      if (type === "relationScoreIdLable") {
        const value = e.value[0];
        form.relationScoreId = value.id;
        form.relationScoreIdLable = value.scorePackageName;
        if (value.id === "-1") {
          form.kfpjf = "";
        } else {
          form.drugtable = value == null ? void 0 : value.drugtable;
          form.drugtableLabel = (value == null ? void 0 : value.drugtableName[0]) || "测试qaq";
          initRelationScoreIdFn(value.id);
        }
      }
    };
    const tableRef = common_vendor.ref();
    const relationScoreList = common_vendor.ref([]);
    const getRelationScoreListFn = async (id) => {
      const obj = { relatedService: id };
      const res = await service_modules_assignPoints.getRelationScoreListApi(obj);
      relationScoreList.value = res.data;
    };
    const initRelationScoreIdFn = async (id) => {
      var _a, _b, _c, _d;
      const obj = { id };
      const res = await service_modules_assignPoints.getRelationScoreListApi(obj);
      if (res.code === 0) {
        form.kfpjf = res.data[0].kfpjf;
        const pkgTaskTypeQtyList = res.data[0].pkgTaskTypeQtyList;
        tableRef.value.setData(pkgTaskTypeQtyList, res.data[0].kfpjf);
        form.startTime = (_a = res.data[0]) == null ? void 0 : _a.startTime;
        form.endTimeValue = (_b = res.data[0]) == null ? void 0 : _b.endTime;
        form.drugtable = (_c = res.data[0]) == null ? void 0 : _c.drugtable;
        form.drugtableLabel = ((_d = res.data[0]) == null ? void 0 : _d.drugtableName[0]) || "测试qaq";
      }
    };
    const cancelFn = () => {
      common_vendor.index.navigateBack();
    };
    const confirmFn = (type) => {
      const tableData = tableRef.value.getData();
      let pkgTaskTypeQtyList = tableData.map((item) => {
        return {
          taskTypeName: item.taskTypeName,
          price: item.score,
          taskTypeId: item.taskTypeId,
          qty: item.qty ? Number(item.qty) : 0
        };
      });
      let treeArr = tableData.map((item) => {
        return {
          taskTypeName: item.taskTypeName,
          taskTypeId: item.orgTaskTypeId
        };
      });
      let flag = pkgTaskTypeQtyList.every((item) => item.qty == 0);
      if (flag) {
        return common_vendor.index.showToast({
          title: "请选择具体任务",
          icon: "none",
          duration: 800
        });
      }
      let arr = [...pagesSubServiceMangement_assignPointsAdd_components_treeList.pFlist];
      tableData.forEach((item) => {
        const curr = arr.find((iten) => iten.taskTypeId === item.parent_id);
        if (curr) {
          curr.children.push({
            taskTypeId: item.orgTaskTypeId,
            taskTypeName: item.taskTypeName
          });
        }
      });
      let taskTypeList = [];
      taskTypeList = arr.concat(treeArr).filter((item) => {
        if (!item.children || item.children.length > 0) {
          return item;
        }
      });
      formRef.value.validate().then(async () => {
        if (form.typeid == "3") {
          if (!form.userListLabel) {
            return common_vendor.index.showToast({
              title: "接单对象不能为空",
              icon: "none",
              duration: 800
            });
          }
        }
        if (Number(form.score) > Number(form.kfpjf) && form.relationScoreId != "-1") {
          return common_vendor.index.showToast({
            title: "可分配积分不足",
            icon: "none"
          });
        }
        if (Number(form.score) === 0) {
          return common_vendor.index.showToast({
            title: "服务总值必须大于0",
            icon: "none"
          });
        }
        if (!(taskTypeList == null ? void 0 : taskTypeList.length)) {
          return common_vendor.index.showToast({
            title: "有效服务类型不能为空",
            icon: "none"
          });
        }
        form.taskTypeList = taskTypeList;
        submitInfo(type, pkgTaskTypeQtyList);
      }).catch((err) => {
        console.log("err", err);
      });
    };
    const submitInfo = async (type, pkgTaskTypeQtyList) => {
      const obj = common_vendor.toRaw(form);
      obj.packageType1 = "1";
      obj.packageType2 = "1";
      obj.userNum = "1";
      obj.pkgTaskTypeQtyList = pkgTaskTypeQtyList;
      const res = await service_modules_assignPoints.addWmScorePackageApi(obj);
      if (res.code === 0) {
        common_vendor.index.showToast({
          title: "添加成功",
          icon: "none"
        });
        if (type === 0) {
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 1e3);
        } else {
          form.kfpjf = form.kfpjf - form.score;
          form.scorePackageName = "";
          service_modules_assignPoints.getWmscorepackageSnApi().then((res2) => form.packageSn = res2.data);
        }
      } else {
        common_vendor.index.showToast({
          title: res == null ? void 0 : res.msg,
          icon: "none"
        });
      }
    };
    const labelStyle = {
      fontWeight: 400,
      fontSize: "30rpx",
      color: "#000"
    };
    const formRef = common_vendor.ref();
    const form = common_vendor.reactive({
      scorePackageName: "",
      typeid: "",
      typeidLabel: "",
      userList: [],
      userListLabel: "",
      relatedService: "",
      relatedServiceLabel: "",
      relationScoreId: "",
      relationScoreIdLable: "",
      drugtable: [],
      drugtableLabel: "",
      kfpjf: "",
      score: "",
      packageUserScope: "",
      packageUserScopeLable: "",
      startTime: "",
      endTimeValue: "",
      packageSn: "",
      description: "",
      taskTypeList: []
    });
    const rules = common_vendor.reactive({
      scorePackageName: {
        type: "string",
        required: true,
        message: "请输入执行包名称",
        trigger: ["blur", "change"]
      },
      typeidLabel: {
        type: "string",
        required: true,
        message: "请选择执行包名称",
        trigger: ["blur", "change"]
      },
      relatedServiceLabel: {
        type: "string",
        required: true,
        message: "请选择关联服务企业",
        trigger: ["blur", "change"]
      },
      relationScoreIdLable: {
        type: "string",
        required: true,
        message: "请选择关联执行包",
        trigger: ["blur", "change"]
      },
      packageUserScopeLable: {
        type: "string",
        required: true,
        message: "请选择接单对象范围",
        trigger: ["blur", "change"]
      },
      endTimeValue: {
        type: "string",
        required: true,
        message: "请选择接单对象范围",
        trigger: ["blur", "change"]
      }
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => form.scorePackageName = $event),
        b: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          readonly: formDisabled.value,
          modelValue: form.scorePackageName
        }),
        c: common_vendor.p({
          label: "执行包名称",
          prop: "scorePackageName",
          borderBottom: true,
          required: true
        }),
        d: common_vendor.o(($event) => form.typeidLabel = $event),
        e: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.typeidLabel
        }),
        f: common_vendor.p({
          name: "arrow-right"
        }),
        g: common_vendor.o(($event) => showSelect("typeidLabel")),
        h: common_vendor.p({
          label: "承接对象类型",
          prop: "typeidLabel",
          borderBottom: true,
          required: true
        }),
        i: userListShow.value
      }, userListShow.value ? {
        j: common_vendor.o(($event) => form.userListLabel = $event),
        k: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.userListLabel
        }),
        l: common_vendor.p({
          name: "arrow-right"
        }),
        m: common_vendor.o(($event) => showSelect("userListLabel")),
        n: common_vendor.p({
          label: "承接对象",
          prop: "userListLabel",
          borderBottom: true,
          required: true
        })
      } : {}, {
        o: common_vendor.o(($event) => form.relatedServiceLabel = $event),
        p: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.relatedServiceLabel
        }),
        q: common_vendor.p({
          name: "arrow-right"
        }),
        r: common_vendor.o(($event) => showSelect("relatedServiceLabel")),
        s: common_vendor.p({
          label: "关联服务企业",
          prop: "relatedServiceLabel",
          borderBottom: true,
          required: true
        }),
        t: common_vendor.o(($event) => form.relationScoreIdLable = $event),
        v: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.relationScoreIdLable
        }),
        w: common_vendor.p({
          name: "arrow-right"
        }),
        x: common_vendor.o(($event) => showSelect("relationScoreIdLable")),
        y: common_vendor.p({
          label: "关联执行包名称",
          prop: "relationScoreIdLable",
          borderBottom: true,
          required: true
        }),
        z: common_vendor.o(($event) => form.drugtableLabel = $event),
        A: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.drugtableLabel
        }),
        B: common_vendor.p({
          label: "推广产品",
          prop: "drugtableLabel",
          borderBottom: true
        }),
        C: common_vendor.o(($event) => form.kfpjf = $event),
        D: common_vendor.p({
          type: "number",
          readonly: true,
          border: "none",
          modelValue: form.kfpjf
        }),
        E: common_vendor.p({
          label: "可分配积分值",
          prop: "kfpjf",
          borderBottom: true
        }),
        F: common_vendor.o(($event) => form.score = $event),
        G: common_vendor.p({
          type: "number",
          readonly: true,
          border: "none",
          modelValue: form.score
        }),
        H: common_vendor.p({
          label: "服务总值",
          prop: "score",
          borderBottom: true,
          required: true
        }),
        I: common_vendor.o(($event) => form.packageUserScopeLable = $event),
        J: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.packageUserScopeLable
        }),
        K: common_vendor.p({
          name: "arrow-right"
        }),
        L: common_vendor.o(($event) => showSelect("packageUserScopeLable")),
        M: common_vendor.p({
          label: "接单对象范围",
          prop: "packageUserScopeLable",
          borderBottom: true,
          required: true
        }),
        N: common_vendor.o(($event) => form.startTime = $event),
        O: common_vendor.p({
          prefixIcon: "calendar",
          prefixIconStyle: "font-size: 22px;color: #909399",
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.startTime
        }),
        P: common_vendor.p({
          label: "生效日期",
          prop: "startTime",
          borderBottom: true,
          required: true
        }),
        Q: common_vendor.o(($event) => form.endTimeValue = $event),
        R: common_vendor.p({
          prefixIcon: "calendar",
          prefixIconStyle: "font-size: 22px;color: #909399",
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.endTimeValue
        }),
        S: common_vendor.p({
          label: "截止日期",
          prop: "endTimeValue",
          borderBottom: true,
          required: true
        }),
        T: common_vendor.o(($event) => form.packageSn = $event),
        U: common_vendor.p({
          type: "number",
          readonly: true,
          border: "none",
          modelValue: form.packageSn
        }),
        V: common_vendor.p({
          label: "执行包编号",
          prop: "packageSn",
          borderBottom: true
        }),
        W: common_vendor.sr(tableRef, "90753e5d-31,90753e5d-30", {
          "k": "tableRef"
        }),
        X: common_vendor.o((val) => {
          form.score = val;
        }),
        Y: common_vendor.p({
          label: "有效任务类型如下：",
          labelWidth: "140",
          labelPosition: "top",
          placeholder: true
        }),
        Z: common_vendor.o(($event) => form.description = $event),
        aa: common_vendor.p({
          placeholder: "请输入内容",
          height: "48",
          modelValue: form.description
        }),
        ab: common_vendor.p({
          label: "描述",
          prop: "description",
          borderBottom: true,
          labelWidth: "40"
        }),
        ac: common_vendor.sr(formRef, "90753e5d-0", {
          "k": "formRef"
        }),
        ad: common_vendor.p({
          labelPosition: "left",
          model: form,
          rules,
          labelWidth: "120",
          labelStyle
        }),
        ae: common_vendor.o(cancelFn),
        af: common_vendor.o(($event) => confirmFn(0)),
        ag: common_vendor.sr(typeidPickerRef, "90753e5d-34", {
          "k": "typeidPickerRef"
        }),
        ah: common_vendor.o((e) => pickerConfim(e, "typeidLabel")),
        ai: common_vendor.p({
          columns: [personalList.value],
          keyName: "label"
        }),
        aj: common_vendor.sr(userListPickerRef, "90753e5d-35", {
          "k": "userListPickerRef"
        }),
        ak: common_vendor.o((e) => pickerConfim(e, "userListLabel")),
        al: common_vendor.p({
          columns: [objectScopeList5.value],
          keyName: "label"
        }),
        am: common_vendor.sr(relatedServicePickerRef, "90753e5d-36", {
          "k": "relatedServicePickerRef"
        }),
        an: common_vendor.o((e) => pickerConfim(e, "relatedServiceLabel")),
        ao: common_vendor.p({
          columns: [allParentDeptList.value],
          keyName: "name"
        }),
        ap: common_vendor.sr(relationScoreIdPickerRef, "90753e5d-37", {
          "k": "relationScoreIdPickerRef"
        }),
        aq: common_vendor.o((e) => pickerConfim(e, "relationScoreIdLable")),
        ar: common_vendor.p({
          columns: [relationScoreList.value],
          keyName: "scorePackageName"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-90753e5d"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/assignPointsAdd/index.vue"]]);
wx.createPage(MiniProgramPage);
