"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_taskAudit = require("../../service/modules/taskAudit.js");
const store_login = require("../../store/login.js");
const store_review = require("../../store/review.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  (_easycom_uv_input2 + _easycom_uv_icon2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + noData)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    let userInfo = loginStore.currentUserInfo;
    const roles = userInfo.roles;
    const reviewStore = store_review.useReview();
    const currentId = common_vendor.ref();
    const taskStatus = common_vendor.ref();
    const checkedAll = common_vendor.ref(false);
    const checkboxAllChange = () => {
      checkedAll.value = !checkedAll.value;
      listArr.value.forEach((item) => item.checked = checkedAll.value);
    };
    common_vendor.ref();
    const currentPage = common_vendor.ref();
    common_vendor.onLoad((e) => {
      currentId.value = e == null ? void 0 : e.id;
      currentPage.value = e == null ? void 0 : e.page;
      let text = "";
      if ((e == null ? void 0 : e.page) === "1") {
        taskStatus.value = e == null ? void 0 : e.taskStatus;
        searchParams.value.taskStatus = e == null ? void 0 : e.taskStatus;
        searchParams.value.scorePackageId = e == null ? void 0 : e.id;
        text = (e == null ? void 0 : e.taskStatus) ? "任务审核" : "任务详情";
      } else if ((e == null ? void 0 : e.page) === "2") {
        taskListPageParams.isApprovalPage = (e == null ? void 0 : e.type) == "approval" ? "1" : "0";
        taskListPageParams.id = e == null ? void 0 : e.id;
        text = (e == null ? void 0 : e.type) == "approval" ? "任务审核" : "任务详情";
      }
      common_vendor.index.setNavigationBarTitle({
        title: text
      });
    });
    common_vendor.onShow(() => {
      searchParams.value.current = 1;
      listArr.value = [];
      getList();
    });
    const customStyle = {
      backgroundColor: "#f6f6f6"
    };
    class Params {
      constructor() {
        __publicField(this, "taskStatus", "");
        __publicField(this, "scorePackageId", "");
        __publicField(this, "planName", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 10);
      }
    }
    const searchParams = common_vendor.ref(new Params());
    const taskListPageParams = common_vendor.reactive({
      isApprovalPage: "",
      id: "",
      current: 1,
      size: 10
    });
    const checkboxChange = (item) => {
      item.checked = !item.checked;
    };
    const searchFn = () => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
    };
    const hasInfo = common_vendor.ref(true);
    const listArr = common_vendor.ref([]);
    const getList = async () => {
      common_vendor.index.showLoading();
      let res;
      if (currentPage.value === "1") {
        res = await service_modules_taskAudit.getListApi(searchParams.value);
      } else if (currentPage.value === "2") {
        res = await service_modules_taskAudit.getTaskListPageApi(taskListPageParams);
      }
      res.data.records.forEach((item) => {
        item.checked = false;
      });
      listArr.value = listArr.value.concat(res.data.records);
      searchParams.value.total = res.data.total;
      hasInfo.value = !!listArr.value.length;
      common_vendor.index.hideLoading();
    };
    const onDetail = (row) => {
      const info = JSON.stringify(row);
      reviewStore.setCurrentInfo(info);
      if (currentPage.value === "1") {
        const show = !!searchParams.value.taskStatus;
        common_vendor.index.navigateTo({
          url: `/pages-sub-service-mangement/taskAuditDetail/index?id=${row.id}&type=1&show=${show}`
        });
      } else if (currentPage.value === "2") {
        const show = taskListPageParams.isApprovalPage === "1";
        common_vendor.index.navigateTo({
          url: `/pages-sub-service-mangement/taskAuditDetail/index?id=${row.id}&type=2&reportId=${currentId.value}&show=${show}`
        });
      }
    };
    common_vendor.onReachBottom(() => {
      if (listArr.value.length === searchParams.value.total)
        return;
      if (currentPage.value === "1") {
        searchParams.value.current++;
      } else if (currentPage.value === "2") {
        taskListPageParams.current++;
      }
      getList();
    });
    const reviewFn = async (status) => {
      const arr = listArr.value.filter((item) => item.checked);
      if (!arr.length) {
        return common_vendor.index.showToast({
          title: "请先选择数据",
          icon: "none"
        });
      }
      const taskIdToNodeIdMap = {};
      const idArr = arr.map((item) => item.id);
      const ids = idArr.join(",");
      arr.forEach((item) => {
        if (currentPage.value === "1") {
          taskIdToNodeIdMap[item.id] = item.checkState.curNodeId;
        } else if (currentPage.value === "2") {
          taskIdToNodeIdMap[item.id] = item.checkState.nextNodeId;
          if (roles.includes(42)) {
            taskIdToNodeIdMap[item.id] = 8;
          }
          if (roles.includes(40)) {
            taskIdToNodeIdMap[item.id] = 9;
          }
        }
      });
      let res;
      if (currentPage.value === "1") {
        let obj = {
          id: ids,
          taskIdToNodeIdMap,
          taskStatus: status
        };
        res = await service_modules_taskAudit.batchApprovalTaskApi(obj);
      } else if (currentPage.value === "2") {
        let obj = {
          reportId: currentId.value,
          id: ids,
          taskIds: ids,
          taskIdToNodeIdMap,
          approvalOpinion: status == "3" ? "1" : "2"
        };
        res = await service_modules_taskAudit.reportBatchApprovalTaskApi(obj);
      }
      if (res.data) {
        common_vendor.index.showToast({
          title: "审核成功",
          icon: "none"
        });
      }
      setTimeout(() => {
        listArr.value = [];
        searchParams.value.current = 1;
        getList();
      }, 1e3);
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => searchParams.value.planName = $event),
        b: common_vendor.p({
          customStyle,
          clearable: true,
          shape: "circle",
          placeholder: "请输入",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 22px;color: #6eb657",
          modelValue: searchParams.value.planName
        }),
        c: common_vendor.o(searchFn),
        d: common_vendor.p({
          name: "plus-circle",
          color: "#6eb657",
          size: "24"
        }),
        e: checkedAll.value,
        f: common_vendor.o(checkboxAllChange),
        g: hasInfo.value
      }, hasInfo.value ? {
        h: common_vendor.f(listArr.value, (item, k0, i0) => {
          var _a;
          return {
            a: item.checked,
            b: common_vendor.o(($event) => checkboxChange(item), item.id),
            c: common_vendor.t(item.lookintoDate),
            d: common_vendor.t((_a = item == null ? void 0 : item.checkState) == null ? void 0 : _a.displayInfo),
            e: common_vendor.t(item.taskTypeName || "abcd"),
            f: common_vendor.t(item.score),
            g: common_vendor.t(item.taskNumber),
            h: common_vendor.o(($event) => onDetail(item), item.id),
            i: item.id
          };
        }),
        i: common_assets._imports_0$4,
        j: common_vendor.o(($event) => reviewFn("4")),
        k: common_vendor.o(($event) => reviewFn("3"))
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-99d521b1"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/quickAudit/index.vue"]]);
wx.createPage(MiniProgramPage);
