"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Math) {
  (textCom + selectCom + imgCom + longtextCom + shareCom + visitCom)();
}
const textCom = () => "../../../pages/task/task-detail/components/textCom.js";
const selectCom = () => "../../../pages/task/task-detail/components/selectCom.js";
const imgCom = () => "../../../pages/task/task-detail/components/imgCom.js";
const longtextCom = () => "../../../pages/task/task-detail/components/longtextCom.js";
const visitCom = () => "../../../pages/task/task-detail/components/visitCom.js";
const shareCom = () => "../../../pages/task/task-detail/components/shareCom.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "cardList",
  props: ["item", "index", "taskList"],
  emits: ["reviewFn"],
  setup(__props, { emit }) {
    const props = __props;
    const textArr = [
      "area",
      "text",
      "inputautoselect",
      "map",
      "datetime",
      "datatimerange",
      "number",
      "money",
      "tree"
    ];
    const shareIdArr = ["8", "9", "10", "11"];
    const ercodeUrl = common_vendor.ref();
    const visitIdArr = ["5", "6", "33"];
    function getName(taskType) {
      var _a;
      let curr = (_a = props.taskList) == null ? void 0 : _a.find((item) => item.id == taskType);
      if (curr)
        return curr.taskTypeName;
    }
    const reviewFn = (type) => {
      emit("reviewFn", type, props.index);
    };
    return (_ctx, _cache) => {
      var _a, _b;
      return common_vendor.e({
        a: common_vendor.t(getName(__props.item.taskType)),
        b: common_vendor.t(props.index + 1),
        c: common_vendor.t(__props.item.score),
        d: common_vendor.t(__props.item.taskUserName),
        e: (_a = __props.item.config) == null ? void 0 : _a.length
      }, ((_b = __props.item.config) == null ? void 0 : _b.length) ? {
        f: common_vendor.f(__props.item.config, (iten, k0, i0) => {
          return common_vendor.e({
            a: textArr.includes(iten.taskFiledType)
          }, textArr.includes(iten.taskFiledType) ? {
            b: "b6e5f548-0-" + i0,
            c: common_vendor.p({
              item: iten,
              detailInfo: __props.item
            })
          } : {}, {
            d: iten.taskFiledType == "domain" || iten.taskFiledType == "select"
          }, iten.taskFiledType == "domain" || iten.taskFiledType == "select" ? {
            e: "b6e5f548-1-" + i0,
            f: common_vendor.p({
              item: iten,
              hideLine: true,
              detailInfo: __props.item,
              dictList: __props.item.dict
            })
          } : {}, {
            g: iten.taskFiledType == "img" || iten.taskFiledType == "sign"
          }, iten.taskFiledType == "img" || iten.taskFiledType == "sign" ? {
            h: "b6e5f548-2-" + i0,
            i: common_vendor.p({
              item: iten,
              detailInfo: __props.item
            })
          } : {}, {
            j: iten.taskFiledType == "longtext"
          }, iten.taskFiledType == "longtext" ? {
            k: "b6e5f548-3-" + i0,
            l: common_vendor.p({
              item: iten,
              detailInfo: __props.item
            })
          } : {}, {
            m: iten.id
          });
        })
      } : {}, {
        g: shareIdArr.includes(__props.item.taskType)
      }, shareIdArr.includes(__props.item.taskType) ? {
        h: common_vendor.p({
          detailInfo: __props.item,
          ercodeUrl: ercodeUrl.value
        })
      } : {}, {
        i: visitIdArr.includes(__props.item.taskType)
      }, visitIdArr.includes(__props.item.taskType) ? {
        j: common_vendor.p({
          signInfoDetail: __props.item.wmUserSignList
        })
      } : {}, {
        k: common_vendor.o(($event) => reviewFn(0)),
        l: common_vendor.o(($event) => reviewFn(1))
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b6e5f548"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/quickAuditCard/components/cardList.vue"]]);
wx.createComponent(Component);
