"use strict";
const common_vendor = require("../../common/vendor.js");
const store_login = require("../../store/login.js");
const service_modules_serviceDelivery = require("../../service/modules/serviceDelivery.js");
const pagesSubServiceMangement_serviceDeliveryAdd_components_treeList = require("./components/treeList.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/index.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_text2 = common_vendor.resolveComponent("uv-text");
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_textarea2 = common_vendor.resolveComponent("uv-textarea");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_text2 + _easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_icon2 + _easycom_uv_textarea2 + _easycom_uv_form2 + _easycom_uv_picker2)();
}
const _easycom_uv_text = () => "../../node-modules/@climblee/uv-ui/components/uv-text/uv-text.js";
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_textarea = () => "../../node-modules/@climblee/uv-ui/components/uv-textarea/uv-textarea.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_text + _easycom_uv_input + _easycom_uv_form_item + _easycom_uv_icon + taskTree + TableData + _easycom_uv_textarea + _easycom_uv_form + _easycom_uv_picker)();
}
const taskTree = () => "./components/taskTree.js";
const TableData = () => "./components/TableData.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    let userInfo = loginStore.currentUserInfo;
    const roles = userInfo.roles;
    const formDisabled = common_vendor.ref(false);
    const editDisabled = common_vendor.ref(false);
    const currentType = common_vendor.ref();
    const currentId = common_vendor.ref();
    const IS_DLS = common_vendor.ref(false);
    common_vendor.onLoad(async (e) => {
      if (roles.includes(4)) {
        IS_DLS.value = true;
      }
      const date = common_vendor.dayjs().format("YYYY-MM");
      form.belongDate = date;
      getDict();
      currentType.value = e == null ? void 0 : e.type;
      currentId.value = e == null ? void 0 : e.id;
      if ((e == null ? void 0 : e.type) === "2") {
        formDisabled.value = true;
        initInfo();
      } else if ((e == null ? void 0 : e.type) == "3") {
        editDisabled.value = true;
        initInfo();
      }
    });
    const initInfo = async () => {
      const obj = {
        scoreId: currentId.value
      };
      const res = await service_modules_serviceDelivery.getSelectWmScorePackageApi(obj);
      const detail = res.data;
      form.scorePackageName = detail.scorePackageName;
      form.belongDate = detail.belongDate;
      form.relatedService = detail.relatedService;
      form.relatedServiceLabel = detail.relatedServiceName;
      form.relationScoreId = detail.relationScoreId;
      form.relationScoreIdLable = detail.relationScoreName || "无";
      form.planIdLabel = detail.plan.planName;
      form.planId = detail.plan.planId;
      form.startTime = detail.startTime;
      form.endTimeValue = detail.endTime;
      form.acceptSug = detail.acceptSug;
      form.acceptSugLabel = detail.acceptSugName;
      form.drugtable = detail.drugtable;
      form.drugtableLabel = detail == null ? void 0 : detail.drugtableName[0];
      form.entTaskLimit = detail.entTaskLimit;
      form.description = detail.description;
      form.score = detail.score;
      if (IS_DLS.value) {
        if (currentType.value === "2") {
          tableRef.value.setData(detail.taskTypeSet);
        } else if (currentType.value === "3") {
          tableRef.value.setData(detail.taskTypeSet);
        }
      } else {
        if (currentType.value === "2") {
          taskTreeRef.value.initData(detail.taskTypeSet);
        } else if (currentType.value === "3") {
          taskTreeRef.value.editData(detail.taskTypeSet);
        }
      }
    };
    const labelStyle = {
      fontWeight: 400,
      fontSize: "30rpx",
      color: "#000"
    };
    const csoList = common_vendor.ref([]);
    const planList = common_vendor.ref([]);
    const provAbbrArr = common_vendor.ref([]);
    const planPickerRef = common_vendor.ref();
    const csoPickerRef = common_vendor.ref();
    const relationPickerRef = common_vendor.ref();
    const provAbbrRef = common_vendor.ref();
    const planIdLabelFlag = common_vendor.ref(false);
    const showSelect = (type) => {
      if (formDisabled.value)
        return;
      switch (type) {
        case "relatedServiceLabel":
          if (roles.includes(3))
            return;
          if (editDisabled.value)
            return;
          csoPickerRef.value.open();
          break;
        case "relationScoreIdLable":
          if (roles.includes(3))
            return;
          if (!gljfbOptionsList.value.length)
            return;
          relationPickerRef.value.open();
          break;
        case "planIdLabel":
          if (roles.includes(3) || planIdLabelFlag.value) {
            planPickerRef.value.open();
          }
          break;
        case "provAbbr":
          if (!form.planIdLabel)
            return;
          if (provAbbrArr.value.length) {
            provAbbrRef.value.open();
          }
          break;
      }
    };
    const tableRef = common_vendor.ref();
    const pickerConfim = (e, type) => {
      var _a, _b;
      if (type === "relatedServiceLabel") {
        const value = e.value[0];
        form.relationScoreId = "";
        form.relationScoreIdLable = "";
        form.relatedService = value.deptId;
        form.relatedServiceLabel = value.name;
        initRelationScore(value.deptId);
      }
      if (type === "relationScoreIdLable") {
        const value = e.value[0];
        form.relationScoreId = value.id;
        form.relationScoreIdLable = value.relationScoreName;
        initScoreById(value.id);
        planIdLabelFlag.value = true;
        getPlanList(value.id);
      }
      if (type === "planIdLabel") {
        const value = e.value[0];
        form.planId = value.planId;
        form.planIdLabel = value.planName;
        const curr = selectKfpjfList.value.find((item) => item.deptId == value.consigneeId);
        provAbbrArr.value = (_a = curr == null ? void 0 : curr.provAbbr) == null ? void 0 : _a.split(",");
        form.acceptSug = curr == null ? void 0 : curr.id;
        form.acceptSugLabel = curr == null ? void 0 : curr.gsmc;
        form.drugtableLabel = value.skuInfo.skuName;
        form.drugtable = [value.skuInfo.skuId];
        form.startTime = value.planIssue;
        form.endTimeValue = value.planExpiry;
        form.score = value.planScore;
        if (IS_DLS.value) {
          if (!value.planItems) {
            return common_vendor.index.showModal({
              title: "提示",
              showCancel: false,
              content: `服务目标【${value.planName}】不存在可用的拆解详情，请核实！`,
              success: function(res) {
                if (res.confirm) {
                  console.log("用户点击确定");
                } else if (res.cancel) {
                  console.log("用户点击取消");
                }
              }
            });
          }
          tableRef.value.setData(value.planItems, value.planDetails, value.planScore);
          form.score = ((_b = value == null ? void 0 : value.planDetails) == null ? void 0 : _b.total) + "";
        }
      }
      if (type == "provAbbrArr") {
        const value = e.value[0];
        console.log("value", value);
        form.provAbbr = value;
      }
    };
    const gljfbOptionsList = common_vendor.ref([]);
    const initRelationScore = async (id) => {
      const obj = {
        relatedService: id
      };
      const res = await service_modules_serviceDelivery.getSelectRelationScoreIdApi(obj);
      gljfbOptionsList.value = res.data;
    };
    const initScoreById = (id) => {
      selectKfpjf(id);
    };
    const getDict = () => {
      let obj = {
        onlySelf: false
      };
      if (roles.includes(3)) {
        obj.onlySelf = true;
      }
      service_modules_serviceDelivery.getListAncestorApi(obj).then((res) => {
        if (roles.includes(3)) {
          form.relatedServiceLabel = res.data[0].name;
          form.relatedService = res.data[0].deptId;
          form.relationScoreIdLable = "无";
          form.relationScoreId = "-1";
          selectKfpjf("-1");
          getPlanList(-1);
        }
        csoList.value = res.data;
      });
    };
    const getPlanList = (pkgId) => {
      service_modules_serviceDelivery.getPlanListApi({
        planType: "QRT",
        pkgId
      }).then((res) => {
        res.data.forEach((item) => {
          item.planName = item.planName + `(${item.planIssue} ~ ${item.planExpiry})`;
        });
        planList.value = res.data;
      });
    };
    const selectKfpjfList = common_vendor.ref([]);
    const selectKfpjf = async (id) => {
      const res = await service_modules_serviceDelivery.selectKfpjfApi({ id });
      const arr = res.data[0].acceptSug.map((item) => {
        return {
          gsmc: item.gsmc,
          deptId: item.deptId,
          provAbbr: item.provAbbr,
          id: item.id
        };
      });
      selectKfpjfList.value = arr;
      if (!roles.includes(3)) {
        const treeValue = res.data[1].wmScoreTaskTypeList;
        taskTreeRef.value.initData(treeValue);
        form.kfpjf = res.data[1].kfpjf;
      }
    };
    const cancelFn = () => {
      common_vendor.index.navigateBack();
    };
    const taskTreeRef = common_vendor.ref();
    const confirmFn = () => {
      let wmScoreTaskTypeList;
      let pkgTaskTypeQtyList;
      if (!IS_DLS.value) {
        const data = taskTreeRef.value.mapData();
        wmScoreTaskTypeList = [...data];
        data.forEach((item) => {
          wmScoreTaskTypeList = wmScoreTaskTypeList.concat(...item.children);
        });
      } else {
        const tableData = tableRef.value.getData();
        pkgTaskTypeQtyList = tableData.map((item) => {
          return {
            taskTypeName: item.taskTypeName,
            price: item.score,
            taskTypeId: item.taskTypeId,
            qty: item.qty
          };
        });
        let treeArr = tableData.map((item) => {
          return {
            taskTypeName: item.taskTypeName,
            taskTypeId: item.orgTaskTypeId
          };
        });
        let arr = [...pagesSubServiceMangement_serviceDeliveryAdd_components_treeList.pFlist];
        tableData.forEach((item) => {
          const curr = arr.find((iten) => iten.taskTypeId === item.parent_id);
          if (curr) {
            curr.children.push({
              taskTypeId: item.orgTaskTypeId,
              taskTypeName: item.taskTypeName
            });
          }
        });
        wmScoreTaskTypeList = arr.concat(treeArr).filter((item) => {
          if (!item.children || item.children.length > 0) {
            return item;
          }
        });
      }
      formRef.value.validate().then(async () => {
        if (Number(form.score) > Number(form.kfpjf) && form.relationScoreId != "-1") {
          common_vendor.index.showToast({
            title: "可分配积分不足",
            icon: "none"
          });
          return false;
        }
        if (IS_DLS.value && !form.provAbbr) {
          return common_vendor.index.showToast({
            title: "请选择区域",
            icon: "none"
          });
        }
        form.wmScoreTaskTypeList = wmScoreTaskTypeList;
        form.pkgTaskTypeQtyList = pkgTaskTypeQtyList;
        form.agentTypeId = form.relationScoreId === "-1" ? "1" : "2";
        form.relationScoreId = form.relationScoreId === "-1" ? "" : form.relationScoreId;
        form.kfpjf = form.kfpjf === "" ? "0" : form.kfpjf;
        let res;
        let text;
        if (currentType.value === "1") {
          res = await service_modules_serviceDelivery.wmscorepackageSaveApi(form);
          text = "添加成功";
        } else {
          const obj = common_vendor.toRaw(form);
          obj.id = currentId;
          res = await service_modules_serviceDelivery.wmscorepackageUpdateByIdsApi(form);
          text = "编辑成功";
        }
        if (res.code === 0) {
          common_vendor.index.showToast({
            title: text,
            icon: "none"
          });
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 1e3);
        }
      }).catch((err) => {
        console.log("err", err);
      });
    };
    const formRef = common_vendor.ref();
    const form = common_vendor.reactive({
      scorePackageName: "",
      belongDate: "",
      relatedService: "",
      relatedServiceLabel: "",
      agentTypeId: "",
      relationScoreId: "",
      relationScoreIdLable: "",
      kfpjf: "",
      score: "",
      planId: "",
      planIdLabel: "",
      acceptSug: "",
      acceptSugLabel: "",
      drugtable: [],
      drugtableLabel: "",
      entTaskLimit: "",
      startTime: "",
      endTimeValue: "",
      provAbbr: "",
      wmScoreTaskTypeList: [],
      pkgTaskTypeQtyList: [],
      description: ""
    });
    const rules = common_vendor.reactive({
      scorePackageName: {
        type: "string",
        required: true,
        message: "请输入执行包名称",
        trigger: ["blur", "change"]
      },
      belongDate: {
        type: "string",
        required: true,
        message: "请选择所属月份",
        trigger: ["blur", "change"]
      },
      relatedServiceLabel: {
        type: "string",
        required: true,
        message: "请选择管理服务企业",
        trigger: ["blur", "change"]
      },
      relationScoreIdLable: {
        type: "string",
        required: true,
        message: "管理服务包名称",
        trigger: ["blur", "change"]
      },
      planIdLabel: {
        type: "string",
        required: true,
        message: "请输入执行包名称",
        trigger: ["blur", "change"]
      },
      endTimeValue: {
        type: "string",
        required: true,
        message: "请选择截止日期",
        trigger: ["blur", "change"]
      },
      acceptSugLabel: {
        type: "string",
        required: true,
        message: "请选择承接对象",
        trigger: ["blur", "change"]
      },
      provAbbr: {
        type: "string",
        required: IS_DLS.value,
        message: "请选择服务区域",
        trigger: ["blur", "change"]
      }
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          type: "error",
          text: "本系统中的年度服务目标、【年度服务预算】、年度服务计划等，无论是否经由一方或双方同意或者确认，均不构成双方之间的协议；服务量、服务费用价格与金额等应以另行签署的合同为准。"
        }),
        b: common_vendor.o(($event) => form.scorePackageName = $event),
        c: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          readonly: formDisabled.value,
          modelValue: form.scorePackageName
        }),
        d: common_vendor.p({
          label: "执行包名称",
          prop: "scorePackageName",
          borderBottom: true,
          required: true
        }),
        e: common_vendor.o(($event) => form.belongDate = $event),
        f: common_vendor.p({
          prefixIcon: "calendar",
          prefixIconStyle: "font-size: 22px;color: #909399",
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.belongDate
        }),
        g: common_vendor.o(($event) => showSelect("belongDate")),
        h: common_vendor.p({
          label: "所属月份",
          prop: "belongDate",
          borderBottom: true,
          required: true
        }),
        i: common_vendor.o(($event) => form.relatedServiceLabel = $event),
        j: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.relatedServiceLabel
        }),
        k: common_vendor.p({
          name: "arrow-right"
        }),
        l: common_vendor.o(($event) => showSelect("relatedServiceLabel")),
        m: common_vendor.p({
          label: "关联服务企业",
          prop: "relatedServiceLabel",
          borderBottom: true,
          required: true
        }),
        n: common_vendor.o(($event) => form.relationScoreIdLable = $event),
        o: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.relationScoreIdLable
        }),
        p: common_vendor.p({
          name: "arrow-right"
        }),
        q: common_vendor.o(($event) => showSelect("relationScoreIdLable")),
        r: common_vendor.p({
          label: "关联执行包名称",
          prop: "relationScoreIdLable",
          borderBottom: true,
          required: true
        }),
        s: common_vendor.o(($event) => form.planIdLabel = $event),
        t: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.planIdLabel
        }),
        v: common_vendor.p({
          name: "arrow-right"
        }),
        w: common_vendor.o(($event) => showSelect("planIdLabel")),
        x: common_vendor.p({
          label: "服务目标",
          prop: "planIdLabel",
          borderBottom: true,
          required: true
        }),
        y: common_vendor.o(($event) => form.acceptSugLabel = $event),
        z: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.acceptSugLabel
        }),
        A: common_vendor.p({
          label: "承接对象",
          prop: "acceptSugLabel",
          borderBottom: true,
          required: true
        }),
        B: common_vendor.o(($event) => form.startTime = $event),
        C: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.startTime
        }),
        D: common_vendor.p({
          label: "生效日期",
          prop: "startTime",
          borderBottom: true,
          required: true
        }),
        E: common_vendor.o(($event) => form.endTimeValue = $event),
        F: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.endTimeValue
        }),
        G: common_vendor.p({
          label: "截止日期",
          prop: "endTimeValue",
          borderBottom: true,
          required: true
        }),
        H: common_vendor.o(($event) => form.kfpjf = $event),
        I: common_vendor.p({
          type: "number",
          readonly: true,
          border: "none",
          modelValue: form.kfpjf
        }),
        J: common_vendor.p({
          label: "可分配积分值",
          prop: "kfpjf",
          borderBottom: true
        }),
        K: common_vendor.o(($event) => form.score = $event),
        L: common_vendor.p({
          type: "number",
          readonly: true,
          border: "none",
          modelValue: form.score
        }),
        M: common_vendor.p({
          label: "执行包总值",
          prop: "score",
          borderBottom: true,
          required: true
        }),
        N: common_vendor.o(($event) => form.drugtableLabel = $event),
        O: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.drugtableLabel
        }),
        P: common_vendor.p({
          label: "推广产品",
          prop: "drugtableLabel",
          borderBottom: true
        }),
        Q: IS_DLS.value
      }, IS_DLS.value ? {
        R: common_vendor.o(($event) => form.provAbbr = $event),
        S: common_vendor.p({
          border: "none",
          placeholder: "请选择",
          readonly: true,
          modelValue: form.provAbbr
        }),
        T: common_vendor.p({
          name: "arrow-right"
        }),
        U: common_vendor.o(($event) => showSelect("provAbbr")),
        V: common_vendor.p({
          label: "服务区域",
          prop: "planIdLabel",
          borderBottom: true,
          required: true
        })
      } : {}, {
        W: !IS_DLS.value
      }, !IS_DLS.value ? {
        X: common_vendor.sr(taskTreeRef, "c3c66dc4-31,c3c66dc4-30", {
          "k": "taskTreeRef"
        })
      } : {
        Y: common_vendor.sr(tableRef, "c3c66dc4-32,c3c66dc4-30", {
          "k": "tableRef"
        })
      }, {
        Z: common_vendor.p({
          label: "有效任务类型如下：",
          labelWidth: "140",
          labelPosition: "top",
          placeholder: true
        }),
        aa: common_vendor.o(($event) => form.description = $event),
        ab: common_vendor.p({
          placeholder: "请输入内容",
          height: "48",
          modelValue: form.description
        }),
        ac: common_vendor.p({
          label: "描述",
          prop: "description",
          borderBottom: true,
          labelWidth: "40"
        }),
        ad: common_vendor.sr(formRef, "c3c66dc4-1", {
          "k": "formRef"
        }),
        ae: common_vendor.p({
          labelPosition: "left",
          model: form,
          rules,
          labelWidth: "120",
          labelStyle
        }),
        af: common_vendor.sr(csoPickerRef, "c3c66dc4-35", {
          "k": "csoPickerRef"
        }),
        ag: common_vendor.o((e) => pickerConfim(e, "relatedServiceLabel")),
        ah: common_vendor.p({
          columns: [csoList.value],
          keyName: "name"
        }),
        ai: common_vendor.sr(relationPickerRef, "c3c66dc4-36", {
          "k": "relationPickerRef"
        }),
        aj: common_vendor.o((e) => pickerConfim(e, "relationScoreIdLable")),
        ak: common_vendor.p({
          columns: [gljfbOptionsList.value],
          keyName: "relationScoreName"
        }),
        al: common_vendor.sr(planPickerRef, "c3c66dc4-37", {
          "k": "planPickerRef"
        }),
        am: common_vendor.o((e) => pickerConfim(e, "planIdLabel")),
        an: common_vendor.p({
          columns: [planList.value],
          keyName: "planName"
        }),
        ao: common_vendor.sr(provAbbrRef, "c3c66dc4-38", {
          "k": "provAbbrRef"
        }),
        ap: common_vendor.o((e) => pickerConfim(e, "provAbbrArr")),
        aq: common_vendor.p({
          columns: [provAbbrArr.value]
        }),
        ar: currentType.value != 2
      }, currentType.value != 2 ? {
        as: common_vendor.o(cancelFn),
        at: common_vendor.o(confirmFn)
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-c3c66dc4"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/serviceDeliveryAdd/index.vue"]]);
wx.createPage(MiniProgramPage);
