"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
const service_modules_taskAudit = require("../../service/modules/taskAudit.js");
const service_modules_serviceReviewed = require("../../service/modules/serviceReviewed.js");
const store_review = require("../../store/review.js");
const store_login = require("../../store/login.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_textarea2 = common_vendor.resolveComponent("uv-textarea");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_textarea2 + _easycom_uv_form_item2 + _easycom_uv_form2)();
}
const _easycom_uv_textarea = () => "../../node-modules/@climblee/uv-ui/components/uv-textarea/uv-textarea.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (textCom + selectCom + imgCom + longtextCom + shareCom + visitCom + _easycom_uv_textarea + _easycom_uv_form_item + _easycom_uv_form)();
}
const textCom = () => "../../pages/task/task-detail/components/textCom.js";
const selectCom = () => "../../pages/task/task-detail/components/selectCom.js";
const imgCom = () => "../../pages/task/task-detail/components/imgCom.js";
const longtextCom = () => "../../pages/task/task-detail/components/longtextCom.js";
const visitCom = () => "../../pages/task/task-detail/components/visitCom.js";
const shareCom = () => "../../pages/task/task-detail/components/shareCom.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    loginStore.currentUserInfo;
    const reviewStore = store_review.useReview();
    const textArr = [
      "area",
      "text",
      "inputautoselect",
      "map",
      "datetime",
      "datatimerange",
      "number",
      "money",
      "tree"
    ];
    const shareIdArr = ["8", "9", "10", "11"];
    const ercodeUrl = common_vendor.ref();
    const visitIdArr = ["5", "6", "33"];
    const detailId = common_vendor.ref();
    const currentInfo = common_vendor.ref();
    const currentType = common_vendor.ref();
    const currentReportId = common_vendor.ref();
    const showBtn = common_vendor.ref(false);
    common_vendor.onLoad((e) => {
      currentType.value = e == null ? void 0 : e.type;
      currentReportId.value = e == null ? void 0 : e.reportId;
      const info = reviewStore.currentInfo;
      if (info) {
        currentInfo.value = JSON.parse(info);
      }
      reviewStore.setCurrentInfo("");
      if ((e == null ? void 0 : e.show) === "true") {
        showBtn.value = true;
      }
      if (e == null ? void 0 : e.id) {
        detailId.value = e.id;
        getTaskDetail();
        getToken();
      }
    });
    const token = common_vendor.ref("");
    const getToken = async () => {
      const res = await service_modules_serviceReviewed.getTaskV2TokenApi({
        taskIds: [detailId.value]
      });
      if (res.code === 0) {
        token.value = res.data.token;
      }
    };
    const detailInfo = common_vendor.ref();
    const taskTypeId = common_vendor.ref();
    const isShareImg = common_vendor.ref(false);
    const getTaskDetail = async () => {
      const res = await service_modules_getTask.getTaskInfoByIdApi(detailId.value);
      const data = res.data;
      detailInfo.value = data;
      taskTypeId.value = data.taskType;
      const shareTypeArr = ["7", "8", "9", "10", "11"];
      if (shareTypeArr.includes(data.taskType)) {
        if (data.taskInfo.shareImgUrl) {
          isShareImg.value = true;
        } else {
          const articleIdArr = ["9", "10"];
          let type = articleIdArr.includes(data.taskType) ? "article" : "";
          getErrCode(data.shareId, type);
        }
      } else {
        const arr = ["5", "6", "33"];
        if (arr.includes(data.taskType)) {
          getSignInfoByTaskId();
        } else {
          getTaskContentConfigByTaskTypeId();
        }
      }
    };
    const signInfoDetail = common_vendor.ref();
    const getSignInfoByTaskId = async () => {
      const res = await service_modules_getTask.getSignInfoByTaskIdApi({ id: detailId.value });
      if (res.code === 0) {
        signInfoDetail.value = res.data;
      }
    };
    const configList = common_vendor.ref();
    const dictList = common_vendor.ref();
    const getTaskContentConfigByTaskTypeId = async () => {
      let res;
      res = await service_modules_getTask.getTaskContentConfigByTaskTypeIdApi(taskTypeId.value);
      if (res.code === 0) {
        let data = res.data;
        let keys = Object.keys(data);
        if (keys.includes("config")) {
          configList.value = data.config;
          dictList.value = data.dict;
        } else {
          configList.value = data[taskTypeId.value].config;
          dictList.value = data[taskTypeId.value].dict;
        }
        configList == null ? void 0 : configList.value.forEach((item) => {
          item.taskFiledType = item.taskFiledType.trim();
        });
      }
    };
    const getErrCode = async (shareId, type) => {
      let shareUrl = `${"https://cnbg.yaoyi.net"}/h5/#/pages/artile/detail?type=${type}&id=${shareId}`;
      const res = await service_modules_getTask.getQrCodeByUrlApi(shareUrl);
      if (res.code === 0) {
        ercodeUrl.value = "https://cnbg.yaoyi.net" + res.data.data.url;
      }
    };
    const reviewFormRef = common_vendor.ref();
    const reviewForm = common_vendor.reactive({
      taskStatusInfo: ""
    });
    const role37Review = async (flag) => {
      let obj = {
        id: detailId.value,
        taskStatus: flag ? 3 : 4,
        taskStatusInfo: reviewForm.taskStatusInfo,
        nodeId: 1
      };
      const res = await service_modules_taskAudit.approvalTaskApi(obj);
      if (res.code === 0) {
        common_vendor.index.showToast({
          title: "审核成功",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    const reviewFn = (flag) => {
      if (!flag && !reviewForm.taskStatusInfo) {
        return common_vendor.index.showToast({
          title: "请输入审核说明",
          icon: "none"
        });
      }
      reviewFormRef.value.validate().then(async () => {
        let userInfo2 = loginStore.currentUserInfo;
        const roles = (userInfo2 == null ? void 0 : userInfo2.roles) || [];
        if (roles.includes(37)) {
          role37Review(flag);
          return;
        }
        let nodeId = "";
        switch (true) {
          case roles.includes(43):
            nodeId = 2;
            break;
          case roles.includes(4):
            nodeId = 3;
            break;
          case roles.includes(42):
            nodeId = 8;
            break;
          case roles.includes(40):
            nodeId = 9;
            break;
          case roles.includes(39):
            nodeId = 6;
            break;
          case roles.includes(41):
            nodeId = 5;
            break;
          default:
            nodeId = 1;
        }
        let obj = {
          token: token.value,
          taskId: detailId.value,
          checkResult: flag,
          checkMessage: reviewForm.taskStatusInfo,
          nodeId
        };
        let res = await service_modules_serviceReviewed.checkSingleApi(obj);
        if (res.code === 0) {
          common_vendor.index.showToast({
            title: "审核成功",
            icon: "none"
          });
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 1e3);
        }
      }).catch((err) => {
        console.log("err", err);
      });
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d;
      return common_vendor.e({
        a: isShareImg.value
      }, isShareImg.value ? {
        b: (_b = (_a = detailInfo.value) == null ? void 0 : _a.taskInfo) == null ? void 0 : _b.shareImgUrl
      } : ((_c = configList.value) == null ? void 0 : _c.length) ? {
        d: common_vendor.f(configList.value, (item, k0, i0) => {
          return common_vendor.e({
            a: textArr.includes(item.taskFiledType)
          }, textArr.includes(item.taskFiledType) ? {
            b: "d9f363bd-0-" + i0,
            c: common_vendor.p({
              item,
              detailInfo: detailInfo.value
            })
          } : {}, {
            d: item.taskFiledType == "domain" || item.taskFiledType == "select"
          }, item.taskFiledType == "domain" || item.taskFiledType == "select" ? {
            e: "d9f363bd-1-" + i0,
            f: common_vendor.p({
              item,
              detailInfo: detailInfo.value,
              dictList: dictList.value
            })
          } : {}, {
            g: item.taskFiledType == "img" || item.taskFiledType == "sign"
          }, item.taskFiledType == "img" || item.taskFiledType == "sign" ? {
            h: "d9f363bd-2-" + i0,
            i: common_vendor.p({
              item,
              detailInfo: detailInfo.value
            })
          } : {}, {
            j: item.taskFiledType == "longtext"
          }, item.taskFiledType == "longtext" ? {
            k: "d9f363bd-3-" + i0,
            l: common_vendor.p({
              item,
              detailInfo: detailInfo.value
            })
          } : {}, {
            m: item.id
          });
        })
      } : {}, {
        c: (_d = configList.value) == null ? void 0 : _d.length,
        e: shareIdArr.includes(taskTypeId.value)
      }, shareIdArr.includes(taskTypeId.value) ? {
        f: common_vendor.p({
          detailInfo: detailInfo.value,
          ercodeUrl: ercodeUrl.value
        })
      } : {}, {
        g: visitIdArr.includes(taskTypeId.value)
      }, visitIdArr.includes(taskTypeId.value) ? {
        h: common_vendor.p({
          signInfoDetail: signInfoDetail.value
        })
      } : {}, {
        i: showBtn.value
      }, showBtn.value ? {
        j: common_vendor.o(($event) => reviewForm.taskStatusInfo = $event),
        k: common_vendor.p({
          placeholder: "请输入审核说明",
          height: "48",
          modelValue: reviewForm.taskStatusInfo
        }),
        l: common_vendor.p({
          label: "审核说明",
          prop: "taskStatusInfo",
          borderBottom: true,
          required: true
        }),
        m: common_vendor.sr(reviewFormRef, "d9f363bd-6", {
          "k": "reviewFormRef"
        }),
        n: common_vendor.p({
          labelPosition: "left",
          model: reviewForm,
          labelWidth: "80"
        }),
        o: common_vendor.o(($event) => reviewFn(false)),
        p: common_vendor.o(($event) => reviewFn(true))
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d9f363bd"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/taskAuditDetail/index.vue"]]);
wx.createPage(MiniProgramPage);
