"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_form_item2)();
}
const _easycom_uv_input = () => "../../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_form_item = () => "../../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_form_item)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "autoSelectCom",
  props: {
    item: Object,
    index: Number,
    autoSelecValue: String,
    sendParams: Object
  },
  emits: ["update:autoSelecValue"],
  setup(__props, { emit: emmits }) {
    const props = __props;
    const autoSelectFn = () => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m;
      const taskTypeIds = ["14", "31", "37"];
      if (taskTypeIds.includes((_a = props == null ? void 0 : props.item) == null ? void 0 : _a.taskTypeId)) {
        if (((_b = props == null ? void 0 : props.item) == null ? void 0 : _b.taskFiledKey) === "temp26") {
          if (!((_c = props == null ? void 0 : props.sendParams) == null ? void 0 : _c.temp23)) {
            return common_vendor.index.showToast({
              title: "请选择调查类别",
              icon: "none"
            });
          }
        }
        let activeId = ((_d = props.sendParams) == null ? void 0 : _d.temp28) || 1;
        let sendVal2 = "";
        let firstInvestigation = "";
        if (((_e = props == null ? void 0 : props.sendParams) == null ? void 0 : _e.temp23) === "0") {
          firstInvestigation = "first";
          activeId = 1;
        }
        let packageId = ((_f = props == null ? void 0 : props.sendParams) == null ? void 0 : _f.temp32) || "";
        let investigateDrug = "";
        if (((_g = props == null ? void 0 : props.item) == null ? void 0 : _g.taskFiledKey) === "temp24") {
          investigateDrug = "drug";
          if (!((_h = props == null ? void 0 : props.sendParams) == null ? void 0 : _h.temp32)) {
            return common_vendor.index.showToast({
              title: "请选择关联执行包",
              icon: "none"
            });
          }
          sendVal2 = ((_i = props == null ? void 0 : props.sendParams) == null ? void 0 : _i.temp24) || "";
          common_vendor.index.navigateTo({
            url: `/pages-sub-task/investigate-varieties/index?sendParamsKey=${(_j = props == null ? void 0 : props.item) == null ? void 0 : _j.taskFiledKey}&sendVal=${sendVal2}&investigateDrug=${investigateDrug}&packageId=${packageId}`
          });
          return;
        }
        if ((props == null ? void 0 : props.sendParams) && (props == null ? void 0 : props.item) && (props == null ? void 0 : props.sendParams[props == null ? void 0 : props.item.taskFiledKey])) {
          sendVal2 = props == null ? void 0 : props.sendParams[props == null ? void 0 : props.item.taskFiledKey];
        }
        common_vendor.index.navigateTo({
          url: `/pages-sub-task/hospital-drugstore-company/index?sendParamsKey=${(_k = props == null ? void 0 : props.item) == null ? void 0 : _k.taskFiledKey}&activeId=${activeId}&sendVal=${sendVal2}&firstInvestigation=${firstInvestigation}`
        });
        return;
      }
      let sendVal = (props == null ? void 0 : props.sendParams) && props.item && (props == null ? void 0 : props.sendParams[props.item.taskFiledKey]) || "";
      common_vendor.index.navigateTo({
        url: `/pages-sub-task/single-select/index?taskTypeId=${(_l = props == null ? void 0 : props.item) == null ? void 0 : _l.taskTypeId}&sendParamsKey=${(_m = props == null ? void 0 : props.item) == null ? void 0 : _m.taskFiledKey}&sendVal=${sendVal}`
      });
    };
    const propsMessage = common_vendor.computed({
      get: () => {
        return props.autoSelecValue;
      },
      set: (val) => {
        emmits("update:autoSelecValue", val);
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o(($event) => common_vendor.isRef(propsMessage) ? propsMessage.value = $event : null),
        b: common_vendor.p({
          ["input-align"]: "right",
          disabled: true,
          disabledColor: "#ffffff",
          placeholder: `请选择${(_a = __props.item) == null ? void 0 : _a.taskFiledValue}`,
          border: "none",
          modelValue: common_vendor.unref(propsMessage)
        }),
        c: common_vendor.p({
          name: "arrow-right"
        }),
        d: common_vendor.o(autoSelectFn),
        e: common_vendor.p({
          labelWidth: 100,
          label: (_b = __props.item) == null ? void 0 : _b.taskFiledValue,
          borderBottom: false,
          labelPosition: "left",
          required: ((_c = __props.item) == null ? void 0 : _c.isMustfill) == "1"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/components/autoSelectCom.vue"]]);
wx.createComponent(Component);
