"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uni_datetime_picker2 = common_vendor.resolveComponent("uni-datetime-picker");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  (_easycom_uni_datetime_picker2 + _easycom_uv_icon2 + _easycom_uv_form_item2)();
}
const _easycom_uni_datetime_picker = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-datetime-picker/uni-datetime-picker.js";
const _easycom_uv_icon = () => "../../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_form_item = () => "../../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
if (!Math) {
  (_easycom_uni_datetime_picker + _easycom_uv_icon + _easycom_uv_form_item)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "dateRangeCom",
  props: {
    item: Object,
    index: Number,
    dateRangeValue: String
  },
  emits: ["update:dateRangeValue"],
  setup(__props, { emit: emmits }) {
    const props = __props;
    const calendarRef = common_vendor.ref();
    const change = (e) => {
      if (e.length) {
        const str = e.join("至");
        emmits("update:dateRangeValue", str);
      } else {
        emmits("update:dateRangeValue", "");
      }
    };
    const propsMessage = common_vendor.computed({
      get: () => {
        if (props.dateRangeValue) {
          return props.dateRangeValue.split("至");
        }
        return [];
      },
      set: (val) => {
        emmits("update:dateRangeValue", val);
      }
    });
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.sr(calendarRef, "6edcdef2-1,6edcdef2-0", {
          "k": "calendarRef"
        }),
        b: common_vendor.o(change),
        c: common_vendor.p({
          border: false,
          type: "daterange",
          value: common_vendor.unref(propsMessage)
        }),
        d: common_vendor.p({
          name: "arrow-right"
        }),
        e: common_vendor.p({
          labelWidth: 100,
          label: (_a = __props.item) == null ? void 0 : _a.taskFiledValue,
          borderBottom: false,
          labelPosition: "left",
          required: ((_b = __props.item) == null ? void 0 : _b.isMustfill) == "1"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/components/dateRangeCom.vue"]]);
wx.createComponent(Component);
