"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_datetime_picker2 = common_vendor.resolveComponent("uv-datetime-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_form_item2 + _easycom_uv_datetime_picker2)();
}
const _easycom_uv_input = () => "../../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_form_item = () => "../../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_datetime_picker = () => "../../../node-modules/@climblee/uv-ui/components/uv-datetime-picker/uv-datetime-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_form_item + _easycom_uv_datetime_picker)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "dateTimeCom",
  props: {
    item: Object,
    index: Number,
    disabled: Boolean,
    dateTimeValue: String
  },
  emits: ["update:dateTimeValue"],
  setup(__props, { emit: emmits }) {
    const props = __props;
    const minDate = common_vendor.ref();
    const datetimePicker = common_vendor.ref();
    const showDateTime = () => {
      if (props.disabled)
        return;
      const timestamp = common_vendor.dayjs().subtract(15, "day").valueOf();
      minDate.value = timestamp;
      datetimePicker.value.open();
    };
    const confirm = (e) => {
      const date = common_vendor.dayjs(e.value).format("YYYY-MM-DD HH:mm");
      emmits("update:dateTimeValue", date);
    };
    const propsMessage = common_vendor.computed({
      get: () => {
        return props.dateTimeValue;
      },
      set: (val) => {
        emmits("update:dateTimeValue", val);
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o(($event) => common_vendor.isRef(propsMessage) ? propsMessage.value = $event : null),
        b: common_vendor.p({
          ["input-align"]: "right",
          disabled: true,
          disabledColor: "#ffffff",
          placeholder: `请选择${(_a = __props.item) == null ? void 0 : _a.taskFiledValue}`,
          border: "none",
          modelValue: common_vendor.unref(propsMessage)
        }),
        c: common_vendor.p({
          name: "arrow-right"
        }),
        d: common_vendor.o(showDateTime),
        e: common_vendor.p({
          labelWidth: 100,
          label: (_b = __props.item) == null ? void 0 : _b.taskFiledValue,
          borderBottom: false,
          labelPosition: "left",
          required: ((_c = __props.item) == null ? void 0 : _c.isMustfill) == "1"
        }),
        f: common_vendor.sr(datetimePicker, "3c4e59f6-3", {
          "k": "datetimePicker"
        }),
        g: common_vendor.o(confirm),
        h: common_vendor.p({
          minDate: minDate.value,
          value: common_vendor.unref(propsMessage),
          mode: "datetime"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/components/dateTimeCom.vue"]]);
wx.createComponent(Component);
