"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  (_easycom_uv_icon2 + _easycom_uv_form_item2)();
}
const _easycom_uv_icon = () => "../../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_form_item = () => "../../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
if (!Math) {
  (_easycom_uv_icon + uploadImgCom + _easycom_uv_form_item)();
}
const uploadImgCom = () => "../../../components/uploadImg/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "imgCom",
  props: {
    item: Object,
    index: Number,
    imgValue: String
  },
  emits: ["update:imgValue"],
  setup(__props, { emit: emmits }) {
    const props = __props;
    const imgList = common_vendor.ref([]);
    common_vendor.watch(
      () => props.imgValue,
      () => {
        if (props == null ? void 0 : props.imgValue) {
          let str = props == null ? void 0 : props.imgValue.split(",");
          imgList.value = str.map((item) => {
            return {
              path: item,
              url: "https://cnbg.yaoyi.net" + item
            };
          });
        }
      }
    );
    const getLabel = () => {
      const item = common_vendor.unref(props.item);
      let str = item == null ? void 0 : item.taskFiledValue;
      if (item == null ? void 0 : item.taskFiledAlert) {
        str += item.taskFiledAlert;
      } else if ((item == null ? void 0 : item.taskTypeId) === "1" && item.taskFiledKey === "temp10") {
        str += "(至少上传会议宣讲PPT首页、中间页)";
      } else {
        str += `(至少上传${item == null ? void 0 : item.taskFiledMinsize}张)`;
      }
      return str;
    };
    const uploadImgInfo = (data) => {
      imgList.value = [...imgList.value, ...data];
      updateInfo();
    };
    const delImg = (index) => {
      imgList.value.splice(index, 1);
      updateInfo();
    };
    const updateInfo = () => {
      let map = imgList.value.map((item) => item.path);
      let str = map.join(",");
      emmits("update:imgValue", str);
    };
    const getImgUrl = (path) => {
      if (path.includes(";1")) {
        path = path.replace(";1", "");
      }
      if (path.includes(";2")) {
        path = path.replace(";2", "");
      }
      return path;
    };
    const previewImage = (path) => {
      if (path.includes(";1")) {
        path = path.replace(";1", "");
      }
      if (path.includes(";2")) {
        path = path.replace(";2", "");
      }
      common_vendor.index.previewImage({
        count: path,
        urls: [path]
      });
    };
    return (_ctx, _cache) => {
      var _a;
      return common_vendor.e({
        a: imgList.value.length
      }, imgList.value.length ? {
        b: common_vendor.f(imgList.value, (item, index, i0) => {
          return {
            a: "dcea5df9-1-" + i0 + ",dcea5df9-0",
            b: common_vendor.o(($event) => delImg(index), index),
            c: getImgUrl(item.url),
            d: common_vendor.o(($event) => previewImage(item.url), index),
            e: index
          };
        }),
        c: common_vendor.p({
          name: "close",
          color: "#fff",
          size: "16"
        })
      } : {}, {
        d: common_vendor.o(uploadImgInfo),
        e: imgList.value.length % 3 === 1,
        f: common_vendor.p({
          labelWidth: "700rpx",
          label: getLabel(),
          borderBottom: false,
          labelPosition: "top",
          required: ((_a = __props.item) == null ? void 0 : _a.isMustfill) == "1"
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-dcea5df9"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/components/imgCom.vue"]]);
wx.createComponent(Component);
