"use strict";
const common_vendor = require("../../../common/vendor.js");
const service_modules_quiz = require("../../../service/modules/quiz.js");
require("../../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_checkbox2 = common_vendor.resolveComponent("uv-checkbox");
  const _easycom_uv_checkbox_group2 = common_vendor.resolveComponent("uv-checkbox-group");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_form_item2 + _easycom_uv_checkbox2 + _easycom_uv_checkbox_group2 + _easycom_uv_popup2)();
}
const _easycom_uv_input = () => "../../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_form_item = () => "../../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_checkbox = () => "../../../node-modules/@climblee/uv-ui/components/uv-checkbox/uv-checkbox.js";
const _easycom_uv_checkbox_group = () => "../../../node-modules/@climblee/uv-ui/components/uv-checkbox-group/uv-checkbox-group.js";
const _easycom_uv_popup = () => "../../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_form_item + _easycom_uv_checkbox + _easycom_uv_checkbox_group + _easycom_uv_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "treeSelect",
  props: {
    item: Object,
    index: Number,
    selectValue: String,
    selectTreeValue: String,
    dictList: Object,
    sendParams: Object
  },
  emits: ["update:selectValue", "treeConfirmFn"],
  setup(__props, { emit: emmits }) {
    const props = __props;
    const packageTree = common_vendor.ref();
    const showAction = async () => {
      var _a, _b, _c;
      if ((_a = props == null ? void 0 : props.dictList) == null ? void 0 : _a.package_tree) {
        const res = await service_modules_quiz.getQuizPltTextResultGroupingApi();
        let pass = [];
        if (res.code === 0) {
          pass = (_b = res.data) == null ? void 0 : _b.passed;
        }
        const arrA = common_vendor.unref((_c = props == null ? void 0 : props.dictList) == null ? void 0 : _c.package_tree);
        const arrB = arrA.map((item) => {
          var _a2;
          let valArr = [];
          if (props == null ? void 0 : props.selectTreeValue) {
            valArr = JSON.parse(props == null ? void 0 : props.selectTreeValue);
          }
          item.checked = false;
          item.show = true;
          item.checkboxValue = [];
          item.disabled = false;
          const curr = valArr.find((iten) => iten.packageId === item.value);
          if (curr) {
            item.checked = true;
            item.checkboxValue = (_a2 = curr.drugIds) == null ? void 0 : _a2.split(",");
          }
          const pkgQuizIds = (item == null ? void 0 : item.pkgQuizIds) || [];
          let flag = pkgQuizIds.every((iten) => {
            return pass == null ? void 0 : pass.includes(iten);
          });
          if (!flag) {
            item.disabled = true;
            if (!item.label.includes("未答题")) {
              item.label = item.label + "(未答题)";
            }
          }
          return item;
        });
        console.log("arrB", arrB);
        packageTree.value = arrB;
        treeSelectRef.value.open();
      }
    };
    const customStyle = {
      paddingBottom: "12rpx",
      marginBottom: "16rpx"
    };
    const switchShow = (index) => {
      packageTree.value[index].show = !packageTree.value[index].show;
    };
    const checkboxChange = (name, index) => {
      packageTree.value[index].checked = !packageTree.value[index].checked;
      if (packageTree.value[index].checked) {
        const ids = packageTree.value[index].drugTable.map((item) => item.drugId);
        packageTree.value[index].checkboxValue = ids;
      } else {
        packageTree.value[index].checkboxValue = [];
      }
    };
    const checkboxDrugChange = (name, index) => {
      packageTree.value[index].checked = name.length;
    };
    const treeSelectRef = common_vendor.ref();
    const colsePoup = () => {
      treeSelectRef.value.close();
    };
    const confirmPoup = () => {
      var _a, _b, _c, _d;
      const isChecked = (_a = packageTree.value) == null ? void 0 : _a.some((item) => item.checked);
      if (!isChecked) {
        return common_vendor.index.showToast({
          title: "请先选择关联执行包和关联药品",
          icon: "none"
        });
      }
      let arr = (_b = packageTree.value) == null ? void 0 : _b.filter((item) => item.checked);
      const packageName = (_c = arr.map((item) => item.label)) == null ? void 0 : _c.join("，");
      const arrValue = arr.map((item) => {
        var _a2;
        return {
          packageId: item.value,
          drugIds: (_a2 = item.checkboxValue) == null ? void 0 : _a2.join(",")
        };
      });
      console.log("arrValue", arrValue);
      const arrValueStr = JSON.stringify(arrValue);
      emmits("treeConfirmFn", (_d = props == null ? void 0 : props.item) == null ? void 0 : _d.taskFiledKey, packageName, arrValueStr);
      treeSelectRef.value.close();
    };
    const propsMessage = common_vendor.computed({
      get: () => {
        return props.selectValue;
      },
      set: (val) => {
        emmits("update:selectValue", val);
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o(($event) => common_vendor.isRef(propsMessage) ? propsMessage.value = $event : null),
        b: common_vendor.p({
          placeholder: `请选择${(_a = __props.item) == null ? void 0 : _a.taskFiledValue}`,
          ["input-align"]: "right",
          disabled: true,
          disabledColor: "#ffffff",
          border: "none",
          modelValue: common_vendor.unref(propsMessage)
        }),
        c: common_vendor.p({
          name: "arrow-right"
        }),
        d: common_vendor.o(showAction),
        e: common_vendor.p({
          labelWidth: 120,
          label: (_b = __props.item) == null ? void 0 : _b.taskFiledValue,
          borderBottom: false,
          labelPosition: "left",
          required: ((_c = __props.item) == null ? void 0 : _c.isMustfill) == "1"
        }),
        f: common_vendor.o(colsePoup),
        g: common_vendor.o(confirmPoup),
        h: common_vendor.f(packageTree.value, (item, index, i0) => {
          return {
            a: "cdb1752e-4-" + i0 + ",cdb1752e-3",
            b: common_vendor.p({
              name: item.show ? "arrow-down-fill" : "play-right-fill",
              size: "18",
              iconSize: "18",
              color: "#000"
            }),
            c: common_vendor.t(item.label),
            d: common_vendor.o(($event) => switchShow(index), item.value),
            e: item.checked,
            f: item.disabled,
            g: common_vendor.o((name) => checkboxChange(name, index), item.value),
            h: common_vendor.f(item.drugTable, (iten, k1, i1) => {
              return {
                a: iten.drugId,
                b: "cdb1752e-6-" + i0 + "-" + i1 + "," + ("cdb1752e-5-" + i0),
                c: common_vendor.p({
                  name: iten.drugId,
                  label: iten.drugName,
                  activeColor: "#6eb657",
                  customStyle
                })
              };
            }),
            i: common_vendor.o((name) => checkboxDrugChange(name, index), item.value),
            j: "cdb1752e-5-" + i0 + ",cdb1752e-3",
            k: common_vendor.o(($event) => item.checkboxValue = $event, item.value),
            l: common_vendor.p({
              placement: "column",
              labelSize: "16",
              iconPlacement: "right",
              disabled: item.disabled,
              modelValue: item.checkboxValue
            }),
            m: item.show,
            n: item.value
          };
        }),
        i: common_vendor.sr(treeSelectRef, "cdb1752e-3", {
          "k": "treeSelectRef"
        }),
        j: common_vendor.p({
          mode: "bottom",
          closeOnClickOverlay: true,
          round: "10"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-cdb1752e"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/components/treeSelect.vue"]]);
wx.createComponent(Component);
