"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
const store_task = require("../../store/task.js");
const utils_index = require("../../utils/index.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  (_easycom_uv_form2 + _easycom_uv_button2)();
}
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
const _easycom_uv_button = () => "../../node-modules/@climblee/uv-ui/components/uv-button/uv-button.js";
if (!Math) {
  (selectCom + treeSelect + inputCom + dateTimeCom + mapCom + areaCom + autoSelectCom + numberCom + textareaCom + dateRangeCom + signCom + imgCom + _easycom_uv_form + _easycom_uv_button + isMultiplePickerSearchCom)();
}
const selectCom = () => "./components/selectCom.js";
const inputCom = () => "./components/inputCom.js";
const dateTimeCom = () => "./components/dateTimeCom.js";
const mapCom = () => "./components/mapCom.js";
const areaCom = () => "./components/areaCom.js";
const autoSelectCom = () => "./components/autoSelectCom.js";
const numberCom = () => "./components/numberCom.js";
const textareaCom = () => "./components/textareaCom.js";
const dateRangeCom = () => "./components/dateRangeCom.js";
const signCom = () => "./components/signCom.js";
const imgCom = () => "./components/imgCom.js";
const treeSelect = () => "./components/treeSelect.js";
const isMultiplePickerSearchCom = () => "./components/isMultiplePickerSearchCom.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const update = common_vendor.getCurrentInstance();
    const taskStore = store_task.useTask();
    const taskTypeId = common_vendor.ref("");
    common_vendor.onLoad(async (e) => {
      common_vendor.index.setNavigationBarTitle({
        title: e == null ? void 0 : e.title
      });
      taskTypeId.value = e == null ? void 0 : e.value;
      await getTaskContentConfigByTaskTypeId();
      await getSaveTaskInfo();
    });
    const saveBtnStyle = {
      color: "black",
      width: "350rpx",
      border: "2rpx solid #000"
    };
    const submitBtnStyle = {
      background: "#6eb657",
      color: "#fff",
      width: "350rpx  "
    };
    const signComRef = common_vendor.ref();
    common_vendor.onShow(() => {
      if (taskStore.location) {
        sendParams.value = {
          ...sendParams.value,
          [taskStore.location.sendParamsKey]: taskStore.location.value
        };
        taskStore.setLocationSelect(null);
      }
      if (taskStore.autoSelect) {
        sendParams.value = {
          ...sendParams.value,
          [taskStore.autoSelect.sendParamsKey + "label"]: taskStore.autoSelect.label
        };
        sendParams.value = {
          ...sendParams.value,
          [taskStore.autoSelect.sendParamsKey]: taskStore.autoSelect.value,
          temp28: taskStore.autoSelect.activeId + ""
        };
        taskStore.setAutoSelect(null);
      }
      if (taskStore.sign) {
        sendParams.value = {
          ...sendParams.value,
          [taskStore.sign.sendParamsKey]: taskStore.sign.url
        };
        common_vendor.index.$emit("imgShow", taskStore.sign.url);
        taskStore.setSign(null);
      }
      if (taskStore.pharmacySelect) {
        sendParams.value = {
          ...sendParams.value,
          [taskStore.pharmacySelect.sendParamsKey]: taskStore.pharmacySelect.pharmacyName,
          [taskStore.pharmacySelect.sendParamsKey + "label"]: taskStore.pharmacySelect.pharmacyName,
          [taskStore.pharmacySelect.sendParamsKey + "Id"]: taskStore.pharmacySelect.id,
          temp4: taskStore.pharmacySelect.address,
          temp7: taskStore.pharmacySelect.area,
          temp7label: taskStore.pharmacySelect.area
        };
        taskStore.setpPharmacySelect(null);
      }
      if (taskStore.singleSelecttByAdd) {
        sendParams.value = {
          ...sendParams.value,
          [taskStore.singleSelecttByAdd.sendParamsKey]: taskStore.singleSelecttByAdd.name,
          [taskStore.singleSelecttByAdd.sendParamsKey + "label"]: taskStore.singleSelecttByAdd.name
        };
        taskStore.setSingleSelectByAdd(null);
      }
      if (taskStore.singleSelect) {
        if (taskStore.singleSelect.taskTypeId === "15") {
          hospitalInfo(taskStore.singleSelect.data);
        } else if (taskStore.singleSelect.taskTypeId === "16") {
          companiesInfo(taskStore.singleSelect.data);
        } else {
          const data = taskStore.singleSelect.data;
          sendParams.value = {
            ...sendParams.value,
            [taskStore.singleSelect.sendParamsKey]: data.yymc || data.gsmc,
            [taskStore.singleSelect.sendParamsKey + "label"]: data.yymc || data.gsmc
          };
        }
        taskStore.setSingleSelect(null);
      }
      if (taskStore.signAddressInfo) {
        const startTime = common_vendor.dayjs(taskStore.signAddressInfo.signTime);
        const endTime = common_vendor.dayjs(taskStore.signAddressInfo.checkOutTime);
        const diffInMinutes = endTime.diff(startTime, "minute");
        sendParams.value = {
          ...sendParams.value,
          // 签到时长
          temp15: `${diffInMinutes} 分钟`,
          // 签到企业类型
          temp8: taskStore.signAddressInfo.signEntType,
          // 地点id
          temp9: taskStore.signAddressInfo.locationId,
          // 地点信息
          temp10: taskStore.signAddressInfo.address,
          // 纬度
          temp11: taskStore.signAddressInfo.latitude,
          // 经度
          temp12: taskStore.signAddressInfo.longitude,
          // 地点id
          temp24: taskStore.signAddressInfo.locationId,
          // 地点信息
          temp24label: taskStore.signAddressInfo.address,
          // 签到时间
          temp25: taskStore.signAddressInfo.signTime,
          temp7: taskStore.signAddressInfo.checkOutTime
        };
        taskStore.setSignAddressInfo(null);
      }
      update.proxy.$forceUpdate();
    });
    const sendParams = common_vendor.ref({});
    const configListArr = common_vendor.ref();
    const configList = common_vendor.ref();
    const dictList = common_vendor.ref();
    const getTaskContentConfigByTaskTypeId = async () => {
      const res = await service_modules_getTask.getTaskContentConfigByTaskTypeIdApi(taskTypeId.value);
      if (res.code !== 0) {
        return common_vendor.index.showToast({
          title: res.msg,
          icon: "none"
        });
      }
      if (res.data.config) {
        configList.value = res.data.config;
        dictList.value = res.data.dict;
      } else {
        configListArr.value = res.data;
        configList.value = configListArr.value[taskTypeId.value].config;
        dictList.value = configListArr.value[taskTypeId.value].dict;
      }
      configList.value.forEach((item) => {
        var _a;
        item.disabled = false;
        item.taskTypeId = (_a = item.taskTypeId) == null ? void 0 : _a.trim();
        if (item.taskFiledType === "datetime" && item.taskTypeId != "12") {
          if (item.taskFiledKey) {
            sendParams.value = {
              ...sendParams.value,
              [item.taskFiledKey]: common_vendor.dayjs(new Date()).format("YYYY-MM-DD HH:mm")
            };
          }
          const arr2 = ["14", "17", "53"];
          if (arr2.includes(item.taskTypeId)) {
            item.disabled = true;
          }
        }
        const arr = ["51", "52", "53"];
        if (arr.includes(item.taskTypeId)) {
          const disabledItem = ["temp24", "temp25", "temp7", "temp15"];
          if (disabledItem.includes(item.taskFiledKey)) {
            item.disabled = true;
          }
        }
        if (item.taskTypeId == 19 && item.taskFiledKey === "temp3" && dictList.value[item.dictGroupName].length === 1) {
          sendParams.value = {
            ...sendParams.value,
            temp3label: dictList.value[item.dictGroupName][0].label,
            temp3: dictList.value[item.dictGroupName][0].value
          };
        }
      });
    };
    const isSelectCom = common_vendor.computed(() => {
      return (taskFiledType) => {
        return taskFiledType === "domain" || taskFiledType === "select";
      };
    });
    const multiplePickerSearchRef = common_vendor.ref();
    const multiplePickerDict = common_vendor.ref();
    const currValue = common_vendor.ref();
    const isMultiplePickerSearch = () => {
      multiplePickerDict.value = dictList.value.medical_equipment_list;
      currValue.value = sendParams.value.temp12;
      multiplePickerSearchRef.value.open();
    };
    const updateMultiplePicker = (data) => {
      const arr = data.join(",");
      sendParams.value = {
        ...sendParams.value,
        temp12: arr,
        temp12label: arr
      };
    };
    const confirmFn = (taskFiledKey, label, value) => {
      sendParams.value = {
        ...sendParams.value,
        [taskFiledKey]: value
      };
      sendParams.value = {
        ...sendParams.value,
        [taskFiledKey + "label"]: label
      };
    };
    const treeConfirmFn = (taskFiledKey, label, value) => {
      sendParams.value = {
        ...sendParams.value,
        [taskFiledKey]: value
      };
      sendParams.value = {
        ...sendParams.value,
        [taskFiledKey + "label"]: label
      };
    };
    const selectDisabled = common_vendor.ref(false);
    const updatePackageListFn = (data) => {
      sendParams.value.temp32 = "";
      sendParams.value.temp32label = "";
      dictList.value.package_list = data;
    };
    //!获取保存的草稿内容
    const getSaveTaskInfo = async () => {
      const res = await service_modules_getTask.getSaveTaskInfoApi(taskTypeId.value);
      if (res.data && Object.keys(res.data).length) {
        let data = res.data;
        for (let key in data) {
          if (data[key]) {
            sendParams.value = {
              ...sendParams.value,
              [key]: data[key]
            };
          }
        }
      }
    };
    //! 保存
    const saveBtn = async () => {
      sendParams.value = {
        ...sendParams.value,
        draftKey: taskTypeId.value,
        temp30: taskTypeId.value
      };
      common_vendor.index.showLoading();
      try {
        const res = await service_modules_getTask.saveTaskInfoApi(sendParams.value);
        common_vendor.index.hideLoading();
        if (res.code === 1) {
          return common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        } else if (res.code === 0) {
          common_vendor.index.showToast({
            title: "保存成功",
            icon: "none",
            duration: 1e3
          });
          setTimeout(() => {
            const arr = ["51", "52", "53"];
            if (arr.includes(taskTypeId.value)) {
              common_vendor.index.switchTab({
                url: "/pages/index/index"
              });
            } else {
              common_vendor.index.navigateBack();
            }
          }, 2e3);
        }
      } catch (e) {
        common_vendor.index.hideLoading();
        console.log("error", e);
      }
    };
    const submitBtn = async () => {
      if (!validateForm())
        return;
      sendParams.value = {
        ...sendParams.value,
        draftKey: taskTypeId.value,
        temp30: taskTypeId.value
      };
      common_vendor.index.showLoading({
        title: "提交中...",
        mask: true
      });
      try {
        const res = await service_modules_getTask.saveTaskContentApi(sendParams.value);
        if (res.code === 0) {
          handleSuccess(res);
        } else {
          handleError(res.msg);
        }
      } catch (e) {
        console.error("提交出错", e);
        common_vendor.index.showToast({ title: "提交失败", icon: "none" });
      } finally {
        common_vendor.index.hideLoading();
      }
    };
    const handleSuccess = (res) => {
      common_vendor.index.hideLoading();
      let title = `提交成功,获得${res.data.score}积分`;
      sendParams.value = {};
      if (res.data.type == "2") {
        title = `完成任务数+1`;
      }
      common_vendor.index.showToast({
        title,
        icon: "none",
        duration: 500
      });
      setTimeout(() => {
        const arr = ["51", "52", "53"];
        if (arr.includes(taskTypeId.value)) {
          common_vendor.index.switchTab({
            url: "/pages/index/index"
          });
        } else {
          common_vendor.index.navigateBack();
        }
      }, 700);
    };
    const handleError = (msg) => {
      common_vendor.index.hideLoading();
      common_vendor.index.showModal({
        title: "提示",
        showCancel: false,
        content: msg,
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");
          }
        }
      });
    };
    const submitBtnFn = utils_index.debounce(submitBtn, 1500);
    const validateForm = () => {
      var _a, _b;
      let sendParamsValue = common_vendor.unref(sendParams);
      for (let item of configList.value) {
        if (item.isMustfill === "1" && !sendParamsValue[item.taskFiledKey]) {
          common_vendor.index.showToast({
            title: `请完善${item.taskFiledValue}`,
            icon: "none"
          });
          return;
        }
        if (item.isMustfill === "1" && item.taskFiledType == "img") {
          const imgArr = (_a = sendParamsValue[item.taskFiledKey]) == null ? void 0 : _a.split(",");
          if (imgArr && (item == null ? void 0 : item.taskFiledMinsize) > (imgArr == null ? void 0 : imgArr.length)) {
            common_vendor.index.showToast({
              title: `${item.taskFiledValue}至少上传${item.taskFiledMinsize}图片`,
              icon: "none"
            });
            return;
          }
        }
        if (item.taskFiledValue === "会议时长" && item.taskFiledType == "number") {
          if ((item == null ? void 0 : item.taskFiledMinsize) > 0 && sendParamsValue[item.taskFiledKey] < (item == null ? void 0 : item.taskFiledMinsize)) {
            common_vendor.index.showToast({
              title: `会议时长不能少于${item == null ? void 0 : item.taskFiledMinsize}分钟`,
              icon: "none"
            });
            return;
          }
        }
        if (item.isMustfill === "1" && (item.taskFiledType == "text" || item.taskFiledType == "longtext")) {
          const length = ((_b = sendParamsValue[item.taskFiledKey]) == null ? void 0 : _b.length) || 0;
          if ((item == null ? void 0 : item.taskFiledMinsize) && length < (item == null ? void 0 : item.taskFiledMinsize)) {
            common_vendor.index.showToast({
              title: `${item.taskFiledValue}不能少于${item == null ? void 0 : item.taskFiledMinsize}个字符`,
              icon: "none"
            });
            return;
          }
        }
      }
      return true;
    };
    const hospitalInfo = (data) => {
      var _a, _b, _c, _d, _e, _f;
      let levellabel = "";
      if ((_a = dictList.value) == null ? void 0 : _a.hospital_level.length) {
        let curr = (_b = dictList.value) == null ? void 0 : _b.hospital_level.find((item) => item.value === data.yygm);
        if (curr) {
          levellabel = curr.label;
        }
      }
      let typelabel = "";
      if ((_c = dictList.value) == null ? void 0 : _c.hospital_xz.length) {
        let curr = (_d = dictList.value) == null ? void 0 : _d.hospital_xz.find((item) => item.value === data.yyxz);
        if (curr) {
          typelabel = curr.label;
        }
      }
      let sickbedCount = "";
      if ((_e = dictList.value) == null ? void 0 : _e.hospital_cw.length) {
        let curr = (_f = dictList.value) == null ? void 0 : _f.hospital_cw.find((item) => item.value === data.ybczs);
        if (curr) {
          sickbedCount = curr.label;
        }
      }
      let temp4 = "";
      if ((data == null ? void 0 : data.province) && (data == null ? void 0 : data.city) && (data == null ? void 0 : data.area)) {
        temp4 = `${data == null ? void 0 : data.province}-${data == null ? void 0 : data.city}-${data == null ? void 0 : data.area}`;
      }
      const info = {
        temp3: data.yymc || data.gsmc,
        temp3label: data.yymc || data.gsmc,
        temp4,
        temp16: data.address,
        temp5: data.yygm,
        temp5label: levellabel,
        temp6: data.yyxz,
        temp6label: typelabel,
        temp8: data.website,
        temp22: data.ybczs,
        temp22label: sickbedCount
      };
      sendParams.value = {
        ...sendParams.value,
        ...info
      };
    };
    const companiesInfo = (data) => {
      var _a, _b;
      let levellabel = "";
      if ((_a = dictList.value) == null ? void 0 : _a.bus_gsgm.length) {
        let curr = (_b = dictList.value) == null ? void 0 : _b.bus_gsgm.find((item) => item.value === data.gsgm);
        if (curr) {
          levellabel = curr.label;
        }
      }
      const info = {
        temp3: data.yymc || data.gsmc,
        temp3label: data.yymc || data.gsmc,
        temp4: `${data == null ? void 0 : data.province}-${data == null ? void 0 : data.city}-${data == null ? void 0 : data.area}`,
        temp5: data.gsgm,
        temp5label: levellabel,
        temp6: data.shyshxydm,
        temp7: data.gszcd,
        temp7label: data.gszcd,
        temp8: data.zczb,
        temp9: data.zczb,
        temp10: data.frdb,
        temp20: data.gsjj,
        temp21: data.jyys,
        temp22: data.medicineTraceability,
        temp22label: data.medicineTraceabilityName,
        temp25: data.medicineTraceabilityOther
      };
      sendParams.value = {
        ...sendParams.value,
        ...info
      };
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(configList.value, (item, index, i0) => {
          return common_vendor.e({
            a: common_vendor.unref(isSelectCom)(item.taskFiledType)
          }, common_vendor.unref(isSelectCom)(item.taskFiledType) ? {
            b: item.id,
            c: common_vendor.o(isMultiplePickerSearch, item.id),
            d: common_vendor.o(confirmFn, item.id),
            e: common_vendor.o(updatePackageListFn, item.id),
            f: "a47bead3-1-" + i0 + ",a47bead3-0",
            g: common_vendor.o(($event) => sendParams.value[item.taskFiledKey + "label"] = $event, item.id),
            h: common_vendor.o(($event) => selectDisabled.value = $event, item.id),
            i: common_vendor.p({
              disabled: item.disabled,
              item,
              index,
              sendParams: sendParams.value,
              dictList: dictList.value,
              selectValue: sendParams.value[item.taskFiledKey + "label"],
              selectDisabled: selectDisabled.value
            })
          } : {}, {
            j: item.taskFiledType == "tree"
          }, item.taskFiledType == "tree" ? {
            k: common_vendor.o(treeConfirmFn, item.id),
            l: item.id,
            m: "a47bead3-2-" + i0 + ",a47bead3-0",
            n: common_vendor.o(($event) => sendParams.value[item.taskFiledKey + "label"] = $event, item.id),
            o: common_vendor.p({
              selectTreeValue: sendParams.value[item.taskFiledKey],
              item,
              index,
              sendParams: sendParams.value,
              dictList: dictList.value,
              selectValue: sendParams.value[item.taskFiledKey + "label"]
            })
          } : {}, {
            p: item.taskFiledType == "text"
          }, item.taskFiledType == "text" ? {
            q: "a47bead3-3-" + i0 + ",a47bead3-0",
            r: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            s: common_vendor.p({
              disabled: item.disabled,
              item,
              index,
              inputValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            t: item.taskFiledType == "datetime"
          }, item.taskFiledType == "datetime" ? {
            v: "a47bead3-4-" + i0 + ",a47bead3-0",
            w: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            x: common_vendor.p({
              disabled: item.disabled,
              item,
              index,
              dateTimeValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            y: item.taskFiledType === "map"
          }, item.taskFiledType === "map" ? {
            z: "a47bead3-5-" + i0 + ",a47bead3-0",
            A: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            B: common_vendor.p({
              item,
              index,
              mapValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            C: item.taskFiledType === "area"
          }, item.taskFiledType === "area" ? {
            D: "a47bead3-6-" + i0 + ",a47bead3-0",
            E: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            F: common_vendor.p({
              item,
              index,
              areaValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            G: item.taskFiledType === "inputautoselect"
          }, item.taskFiledType === "inputautoselect" ? {
            H: "a47bead3-7-" + i0 + ",a47bead3-0",
            I: common_vendor.o(($event) => sendParams.value[item.taskFiledKey + "label"] = $event, item.id),
            J: common_vendor.p({
              sendParams: sendParams.value,
              item,
              index,
              autoSelecValue: sendParams.value[item.taskFiledKey + "label"]
            })
          } : {}, {
            K: item.taskFiledType == "number" || item.taskFiledType == "money"
          }, item.taskFiledType == "number" || item.taskFiledType == "money" ? {
            L: "a47bead3-8-" + i0 + ",a47bead3-0",
            M: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            N: common_vendor.p({
              disabled: item.disabled,
              item,
              index,
              numberValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            O: item.taskFiledType == "longtext"
          }, item.taskFiledType == "longtext" ? {
            P: "a47bead3-9-" + i0 + ",a47bead3-0",
            Q: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            R: common_vendor.p({
              item,
              index,
              textareaValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            S: item.taskFiledType == "datatimerange"
          }, item.taskFiledType == "datatimerange" ? {
            T: "a47bead3-10-" + i0 + ",a47bead3-0",
            U: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            V: common_vendor.p({
              item,
              index,
              dateRangeValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            W: item.taskFiledType == "sign"
          }, item.taskFiledType == "sign" ? {
            X: common_vendor.sr(signComRef, "a47bead3-11-" + i0 + ",a47bead3-0", {
              "k": "signComRef",
              "f": 1
            }),
            Y: "a47bead3-11-" + i0 + ",a47bead3-0",
            Z: common_vendor.p({
              item,
              sendParams: sendParams.value
            })
          } : {}, {
            aa: item.taskFiledType == "img"
          }, item.taskFiledType == "img" ? {
            ab: "a47bead3-12-" + i0 + ",a47bead3-0",
            ac: common_vendor.o(($event) => sendParams.value[item.taskFiledKey] = $event, item.id),
            ad: common_vendor.p({
              item,
              index,
              imgValue: sendParams.value[item.taskFiledKey]
            })
          } : {}, {
            ae: item.id
          });
        }),
        b: common_vendor.p({
          labelPosition: "left",
          model: sendParams.value
        }),
        c: common_vendor.o(saveBtn),
        d: common_vendor.p({
          customStyle: saveBtnStyle
        }),
        e: common_vendor.o(common_vendor.unref(submitBtnFn)),
        f: common_vendor.p({
          customStyle: submitBtnStyle
        }),
        g: common_vendor.sr(multiplePickerSearchRef, "a47bead3-15", {
          "k": "multiplePickerSearchRef"
        }),
        h: common_vendor.o(updateMultiplePicker),
        i: common_vendor.p({
          currValue: currValue.value,
          dictData: multiplePickerDict.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-a47bead3"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/index.vue"]]);
wx.createPage(MiniProgramPage);
