"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const utils_formatTime = require("../../../utils/formatTime.js");
const utils_index = require("../../../utils/index.js");
if (!Array) {
  const _easycom_uv_image2 = common_vendor.resolveComponent("uv-image");
  _easycom_uv_image2();
}
const _easycom_uv_image = () => "../../../node-modules/@climblee/uv-ui/components/uv-image/uv-image.js";
if (!Math) {
  _easycom_uv_image();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "albumCard",
  props: {
    item: Object,
    isLogin: Boolean
  },
  emits: ["onDetail", "shareFn"],
  setup(__props, { emit }) {
    const formatHtml = (str) => {
      if (!str)
        return "";
      return utils_index.formatRichTxt(str);
    };
    const getImgUrl = (path) => "https://cnbg.yaoyi.net" + path;
    const onDetailFn = (item) => {
      emit("onDetail", item);
    };
    const catchtap = () => {
    };
    const shareFn = (item) => {
      emit("shareFn", {
        id: item.id,
        type: "8",
        shareTitle: item.xcmc
      });
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f;
      return common_vendor.e({
        a: common_vendor.p({
          src: getImgUrl((_a = __props.item) == null ? void 0 : _a.scfm),
          width: "210rpx",
          height: "180rpx"
        }),
        b: common_vendor.t((_b = __props.item) == null ? void 0 : _b.xcmc),
        c: common_vendor.t(formatHtml((_c = __props.item) == null ? void 0 : _c.wb)),
        d: common_vendor.t(common_vendor.unref(utils_formatTime.formatTime)((_d = __props.item) == null ? void 0 : _d.createTime)),
        e: __props.isLogin
      }, __props.isLogin ? {
        f: common_assets._imports_0$5,
        g: common_vendor.o(($event) => shareFn(__props.item))
      } : {
        h: common_assets._imports_0$5,
        i: (_e = __props.item) == null ? void 0 : _e.xcmc,
        j: (_f = __props.item) == null ? void 0 : _f.id,
        k: common_vendor.o(catchtap)
      }, {
        l: common_vendor.o(($event) => onDetailFn(__props.item))
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-6453d597"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/news/components/albumCard.vue"]]);
wx.createComponent(Component);
