"use strict";
const common_vendor = require("../../../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "imgCom",
  props: {
    item: Object,
    detailInfo: Object
  },
  setup(__props) {
    const props = __props;
    common_vendor.onMounted(() => {
      getImgList();
    });
    const imgList = common_vendor.ref();
    const getImgList = () => {
      var _a;
      if (!props.item)
        return;
      const imgStr = (_a = props == null ? void 0 : props.detailInfo) == null ? void 0 : _a.wmTaskContent[props.item.taskFiledKey];
      if (!imgStr)
        return;
      const imgArr = imgStr.split(",");
      imgList.value = imgArr.map((item) => {
        const obj = {
          type: "",
          path: ""
        };
        if (item.includes(";1")) {
          obj.type = "当场拍照";
          item = item.replace(";1", "");
        }
        if (item.includes(";2")) {
          obj.type = "相册选取";
          item = item.replace(";2", "");
        }
        obj.path = "https://cnbg.yaoyi.net" + item;
        return obj;
      });
    };
    const preImg = (imgList2, index) => {
      const arr = imgList2.map((item) => item.path);
      common_vendor.index.previewImage({
        current: index,
        urls: arr
      });
    };
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: ((_a = __props.item) == null ? void 0 : _a.isMustfill) === "1",
        b: common_vendor.t((_b = __props.item) == null ? void 0 : _b.taskFiledValue),
        c: common_vendor.f(imgList.value, (item, index, i0) => {
          return {
            a: common_vendor.t(item.type),
            b: item.path,
            c: common_vendor.o(($event) => preImg(imgList.value, index), index),
            d: common_vendor.o(($event) => _ctx.errorImage(item, index), index),
            e: index
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-4e46b83b"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/task/task-detail/components/imgCom.vue"]]);
wx.createComponent(Component);
