"use strict";
const service_index = require("../index.js");
function getListApi(params) {
  return service_index.http.get(`/admin/wmscorepackage/getScorePackagePage`, { params });
}
function getTypeidPersonalApi() {
  return service_index.http.get(`/admin/dict/type/typeid_personal`);
}
function getObjectScopeListApi(roleId) {
  return service_index.http.get(`/admin/user/list/available?role=${roleId}`);
}
function getWmscorepackageSnApi() {
  return service_index.http.get(`/admin/wmscorepackage/sn`);
}
function getPackageScopeListApi() {
  return service_index.http.get(`/admin/team/list-package-user-scope`);
}
function getRelationScoreListApi(params) {
  return service_index.http.get("/admin/wmscorepackage/getRelationScoreList", { params });
}
function addWmScorePackageApi(data) {
  return service_index.http.post("/admin/wmscorepackage/addWmScorePackage", data);
}
function selectByScorePackageIdById(params) {
  return service_index.http.get("/admin/wmscoretasktype/selectByScorePackageId", { params });
}
function getListAncestor() {
  return service_index.http.get(`/admin/dept/list/ancestor`);
}
exports.addWmScorePackageApi = addWmScorePackageApi;
exports.getListAncestor = getListAncestor;
exports.getListApi = getListApi;
exports.getObjectScopeListApi = getObjectScopeListApi;
exports.getPackageScopeListApi = getPackageScopeListApi;
exports.getRelationScoreListApi = getRelationScoreListApi;
exports.getTypeidPersonalApi = getTypeidPersonalApi;
exports.getWmscorepackageSnApi = getWmscorepackageSnApi;
exports.selectByScorePackageIdById = selectByScorePackageIdById;
