"use strict";
const service_index = require("../index.js");
function shareArticleByIdApi(articleId, shareUserId, openUserId, type, packageId = "", sharePicUrl = "", remark = "") {
  return service_index.http.get(
    `/admin/api/shareArticleById?articleId=${articleId}&shareUserId=${shareUserId}&openUserId=${openUserId}&type=${type}&packageId=${packageId}&sharePicUrl=${sharePicUrl}&remark=${remark}`
  );
}
function getArticleByIdApi(id) {
  return service_index.http.get(`/admin/api/getArticleById?id=${id}`);
}
function shareAlbumByIdApi(articleId, shareUserId, openUserId, type, packageId = "", sharePicUrl = "", remark = "") {
  return service_index.http.get(
    `/admin/api/shareAlbumById?id=${articleId}&shareUserId=${shareUserId}&openUserId=${openUserId}&type=${type}&packageId=${packageId}&sharePicUrl=${sharePicUrl}&remark=${remark}`
  );
}
function getAlbumByIdApi(id) {
  return service_index.http.get(`/admin/api/getAlbumById?id=${id}`);
}
function getOpenId(id) {
  return service_index.http.get(`https://cnbg.yaoyi.net/cnbg-outer/wechat/openid/get?code=${id}`);
}
exports.getAlbumByIdApi = getAlbumByIdApi;
exports.getArticleByIdApi = getArticleByIdApi;
exports.getOpenId = getOpenId;
exports.shareAlbumByIdApi = shareAlbumByIdApi;
exports.shareArticleByIdApi = shareArticleByIdApi;
