"use strict";
const service_index = require("../index.js");
function getListApi(params) {
  return service_index.http.get(`/admin/wmtask/list-review-task-info`, { params });
}
function getPackageTaskTypeApi() {
  return service_index.http.get(`/admin/wmtasktype/list-package-task-type`);
}
function batchApprovalTask(data) {
  return service_index.http.post("/admin/wmtask/batch-approval-task", data);
}
function wmreportBatchApprovalTask(data) {
  return service_index.http.post("/admin/wmreport/batch-approval-task", data);
}
function wmreportFetchListApi(params) {
  return service_index.http.get(`/admin/wmreport/list-review-task-info`, { params });
}
exports.batchApprovalTask = batchApprovalTask;
exports.getListApi = getListApi;
exports.getPackageTaskTypeApi = getPackageTaskTypeApi;
exports.wmreportBatchApprovalTask = wmreportBatchApprovalTask;
exports.wmreportFetchListApi = wmreportFetchListApi;
