"use strict";
const service_index = require("../index.js");
function getListApi(params) {
  return service_index.http.get(`/admin/wmtask/getWmTaskList`, { params });
}
function approvalTaskApi(data) {
  return service_index.http.post(`/admin/wmtask/approvalTask`, data);
}
function getTaskListPageApi(params) {
  return service_index.http.get(`/admin/wmreport/getTaskListPage`, { params });
}
function batchApprovalTaskApi(data) {
  return service_index.http.post(`/admin/wmtask/batch-approval-task`, data);
}
function reportBatchApprovalTaskApi(data) {
  return service_index.http.post(`/admin/wmreport/batch-approval-task`, data);
}
exports.approvalTaskApi = approvalTaskApi;
exports.batchApprovalTaskApi = batchApprovalTaskApi;
exports.getListApi = getListApi;
exports.getTaskListPageApi = getTaskListPageApi;
exports.reportBatchApprovalTaskApi = reportBatchApprovalTaskApi;
