"use strict";
const common_vendor = require("../../common/vendor.js");
const service_request_config = require("./config.js");
const service_request_requestInterceptors = require("./requestInterceptors.js");
const service_request_responseInterceptors = require("./responseInterceptors.js");
const Request = () => {
  common_vendor.index.$uv.http.setConfig((defaultConfig) => {
    defaultConfig.baseURL = service_request_config.config.baseUrl;
    return defaultConfig;
  });
  service_request_requestInterceptors.requestInterceptors();
  service_request_responseInterceptors.responseInterceptors();
};
exports.Request = Request;
