"use strict";
const common_vendor = require("../common/vendor.js");
const useTask = common_vendor.defineStore("task", {
  state() {
    return {
      location: null,
      autoSelect: null,
      sign: null,
      pharmacySelect: null,
      singleSelecttByAdd: null,
      singleSelect: null,
      signAddressInfo: null
    };
  },
  actions: {
    setLocationSelect(location) {
      this.location = location;
    },
    setAutoSelect(curr) {
      this.autoSelect = curr;
    },
    setSign(signInfo) {
      this.sign = signInfo;
    },
    setpPharmacySelect(info) {
      this.pharmacySelect = info;
    },
    setSingleSelectByAdd(info) {
      this.singleSelecttByAdd = info;
    },
    setSingleSelect(data) {
      this.singleSelect = data;
    },
    setSignAddressInfo(data) {
      this.signAddressInfo = data;
    }
  }
});
exports.useTask = useTask;
