"use strict";
const common_vendor = require("../../common/vendor.js");
const store_tabbar = require("../../store/tabbar.js");
if (!Array) {
  const _easycom_uv_tabbar_item2 = common_vendor.resolveComponent("uv-tabbar-item");
  const _easycom_uv_tabbar2 = common_vendor.resolveComponent("uv-tabbar");
  (_easycom_uv_tabbar_item2 + _easycom_uv_tabbar2)();
}
const _easycom_uv_tabbar_item = () => "../../node-modules/@climblee/uv-ui/components/uv-tabbar-item/uv-tabbar-item.js";
const _easycom_uv_tabbar = () => "../../node-modules/@climblee/uv-ui/components/uv-tabbar/uv-tabbar.js";
if (!Math) {
  (_easycom_uv_tabbar_item + _easycom_uv_tabbar)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tabbar = store_tabbar.useTabbar();
    const listA = [
      {
        text: "工作台",
        name: "work",
        path: "/pages/index/index",
        iconPath: "/static/images/common/tabbar/work.png",
        selectedIconPath: "/static/images/common/tabbar/workAct.png"
      },
      {
        text: "资讯",
        name: "news",
        path: "/pages/news/index",
        iconPath: "/static/images/common/tabbar/news.png",
        selectedIconPath: "/static/images/common/tabbar/newsAct.png"
      },
      {
        text: "我的",
        name: "mine",
        path: "/pages/mine/index",
        iconPath: "/static/images/common/tabbar/mine.png",
        selectedIconPath: "/static/images/common/tabbar/mineAct.png"
      }
    ];
    const listB = [
      {
        text: "工作台",
        name: "work",
        path: "/pages/index/index",
        iconPath: "/static/images/common/tabbar/work.png",
        selectedIconPath: "/static/images/common/tabbar/workAct.png"
      },
      {
        text: "我的",
        name: "mine",
        path: "/pages/mine/index",
        iconPath: "/static/images/common/tabbar/mine.png",
        selectedIconPath: "/static/images/common/tabbar/mineAct.png"
      }
    ];
    const currList = common_vendor.ref(listA);
    const current = common_vendor.ref();
    common_vendor.onShow(() => {
      if (tabbar.roleType === 0) {
        currList.value = listA;
      } else {
        currList.value = listB;
      }
      current.value = tabbar.currentTabbar;
    });
    const change = (name) => {
      if (name === current.value)
        return;
      const curr = currList.value.find((item) => item.name === name);
      tabbar.setCurrentTabbar(name);
      if (curr) {
        const path = curr.path;
        common_vendor.index.switchTab({
          url: path
        });
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(currList.value, (item, k0, i0) => {
          return {
            a: item.selectedIconPath,
            b: item.iconPath,
            c: item.text,
            d: "b7f76dc4-1-" + i0 + ",b7f76dc4-0",
            e: common_vendor.p({
              text: item.text,
              name: item.name
            })
          };
        }),
        b: common_vendor.o(change),
        c: common_vendor.p({
          value: current.value,
          activeColor: "#6eb657"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b7f76dc4"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/components/tabber/index.vue"]]);
wx.createComponent(Component);
