"use strict";
const common_vendor = require("../../common/vendor.js");
const mp_ecard_sdk_constants_log = require("../constants/log.js");
let request = function(r, e) {
  let { token: t = "", url: o, method: a = "POST", data: s, reTry: d, header: u = { "Content-Type": "application/json" } } = r;
  try {
    common_vendor.index.request({ url: common_vendor.index.eidBaseUrl + o, method: a, data: s, header: u, success(r2) {
      console.log("request success:", r2), 200 === r2.statusCode && r2.data ? 0 == r2.data.ErrorCode || 0 == r2.data.code ? e({ ErrorCode: 0, ErrorMsg: r2.data.ErrorMsg, Data: r2.data.Data || r2.data.data, reTry: d }) : e({ ErrorCode: r2.data.ErrorCode, ErrorMsg: r2.data.ErrorMsg, Data: r2.data.Data || r2.data.data }) : e({ ErrorCode: -101, ErrorMsg: "请求错误，请稍后重试" });
    }, fail(a2) {
      console.log("request error:", a2), d && d.tryCount && d.tryCount > 0 ? (d.tryCount--, common_vendor.index.eidBaseUrl = common_vendor.index.eidBackUpUrl, setTimeout(() => {
        request(r, e);
      }, d.retryDelay || 0)) : e({ ErrorCode: -107, ErrorMsg: "request请求异常，请稍后重试" }), common_vendor.index.reportLogToEid({ token: t, event: mp_ecard_sdk_constants_log.Log.requestFail, errCode: "-1", errMsg: "requestFail 调用失败", data: { url: `${common_vendor.index.eidBaseUrl}` + o, err: a2 } });
    } });
  } catch (r2) {
    console.log("request error:", r2), e({ ErrorCode: -109, ErrorMsg: "request方法异常，请稍后重试" }), common_vendor.index.reportLogToEid({ token: t, event: mp_ecard_sdk_constants_log.Log.requestCatch, errCode: "-1", errMsg: "requestFail 调用失败", data: { url: `${common_vendor.index.eidBaseUrl}` + o, err: r2 } });
  }
};
const $http = request;
exports.$http = $http;
