"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_objectivesList = require("../../service/modules/objectivesList.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
const store_login = require("../../store/login.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_line_progress2 = common_vendor.resolveComponent("uv-line-progress");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_line_progress2 + _easycom_uv_picker2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_line_progress = () => "../../node-modules/@climblee/uv-ui/components/uv-line-progress/uv-line-progress.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_line_progress + noData + _easycom_uv_picker + KDatePicker)();
}
const noData = () => "../../components/noData/index.js";
const KDatePicker = () => "../../components/dateSelect/k-date-picker/KDatePicker.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    let userInfo = loginStore.currentUserInfo;
    const roles = userInfo.roles;
    const customStyle = {
      backgroundColor: "#f6f6f6"
    };
    const searchInfoDetail = common_vendor.ref();
    common_vendor.onLoad((e) => {
      const searchInfo = JSON.parse(e == null ? void 0 : e.searchInfo);
      searchInfo.planId = e == null ? void 0 : e.id;
      searchInfoDetail.value = searchInfo;
    });
    class Params {
      constructor() {
        __publicField(this, "consigneeId", "");
        __publicField(this, "period", []);
        __publicField(this, "planName", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 10);
      }
    }
    const searchParams = common_vendor.ref(new Params());
    const hasInfo = common_vendor.ref(true);
    const listArr = common_vendor.ref([]);
    const getList = async (searchInfo) => {
      var _a;
      common_vendor.index.showLoading();
      const res = await service_modules_objectivesList.getPlanChildrenApi(searchInfo);
      if (res.code === 0 && res.data) {
        (_a = res.data) == null ? void 0 : _a.forEach((item) => {
          if (typeof item.execScoreValue === "number" && typeof item.planScore === "number") {
            let value = (item.execScoreValue / item.planScore).toFixed(2);
            item.percentage = value * 100;
          }
        });
        listArr.value = res.data;
      }
      hasInfo.value = !!listArr.value.length;
      common_vendor.index.hideLoading();
    };
    common_vendor.onReachBottom(() => {
      if (listArr.value.length === searchParams.value.total)
        return;
      searchParams.value.current++;
    });
    const csoList = common_vendor.ref([]);
    const implPlanStateList = common_vendor.ref([]);
    const getDict = async () => {
      service_modules_getDict.getDictByNameApi("impl_plan_state").then((res) => implPlanStateList.value = res.data);
      service_modules_objectivesList.getListCsoApi().then((res) => csoList.value = [res.data]);
    };
    const getStatusName = (planState) => {
      var _a;
      const curr = (_a = implPlanStateList.value) == null ? void 0 : _a.find((item) => item.value === planState);
      return curr == null ? void 0 : curr.label;
    };
    const isYXZX = common_vendor.ref(false);
    const isYQGLY = common_vendor.ref(false);
    const isDLSGLY = common_vendor.ref(false);
    const isSWZ = common_vendor.ref(false);
    const isSYB = common_vendor.ref(false);
    common_vendor.onShow(() => {
      if (roles.includes(38)) {
        isYXZX.value = true;
      }
      if (roles.includes(3)) {
        isYQGLY.value = true;
      }
      if (roles.includes(4)) {
        isDLSGLY.value = true;
      }
      if (roles.includes(40)) {
        isSWZ.value = true;
      }
      if (roles.includes(41)) {
        isSYB.value = true;
      }
      listArr.value = [];
      getDict();
      searchParams.value.current = 1;
      getList(searchInfoDetail.value);
    });
    const searchFn = () => {
      listArr.value = [];
      searchParams.value.current = 1;
    };
    const pickerRef = common_vendor.ref();
    const show = common_vendor.ref(false);
    const searchClick = (type) => {
      if (type === "consigneeId") {
        pickerRef.value.open();
      } else {
        show.value = true;
      }
    };
    const pickerConfim = (e) => {
      searchParams.value.consigneeId = e.value[0].deptId;
      searchFn();
    };
    const getDate = (e) => {
      if (!e[1])
        return;
      searchParams.value.period = e;
      show.value = false;
      searchFn();
    };
    const toDetail = (type, row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-admin/objectivesAdd/index?&type=${type}&planId=${row.planId}`
      });
    };
    const editDisabled = (item) => {
      if (item.parentId == 0) {
        if (item.planType === "ANN") {
          let flag = item.planState === "INIT" || item.planState === "REJECTED";
          return !flag;
        } else if (item.planType === "QRT") {
          let flag = item.children && item.children.length > 0;
          return flag;
        }
      } else {
        let flag = item.planState === "INIT" || item.planState === "REJECTED";
        return !flag;
      }
    };
    const toEdit = (item) => {
      const flag = editDisabled(item);
      if (flag)
        return;
      const type = item.parentId == 0 ? 1 : 3;
      common_vendor.index.navigateTo({
        url: `/pages-sub-admin/objectivesAdd/index?&type=${type}&btnType=1&planId=${item == null ? void 0 : item.planId}`
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => searchParams.value.planName = $event),
        b: common_vendor.p({
          customStyle,
          clearable: true,
          shape: "circle",
          placeholder: "请输入",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 22px;color: #6eb657",
          modelValue: searchParams.value.planName
        }),
        c: common_vendor.o(searchFn),
        d: common_vendor.p({
          name: "plus-circle",
          color: "#6eb657",
          size: "24"
        }),
        e: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.consigneeId ? "#6eb657" : "#111111",
          size: "14"
        }),
        f: common_vendor.o(($event) => searchClick("consigneeId")),
        g: common_vendor.n(searchParams.value.consigneeId ? "active" : ""),
        h: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.period.length ? "#6eb657" : "#111111",
          size: "14"
        }),
        i: common_vendor.o(($event) => searchClick("period")),
        j: common_vendor.n(searchParams.value.period.length ? "active" : ""),
        k: hasInfo.value
      }, hasInfo.value ? {
        l: common_vendor.f(listArr.value, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.planName),
            b: common_vendor.t(getStatusName(item.planState)),
            c: common_vendor.t(item.consigneeInfo.consigneeName),
            d: common_vendor.t(item.planIssue + " 至 " + item.planExpiry),
            e: common_vendor.t(item.createTime),
            f: "f9ed6da2-4-" + i0,
            g: common_vendor.p({
              round: true,
              showText: false,
              percentage: item.percentage,
              activeColor: "#95dc7e",
              inactiveColor: "#f8f8f0"
            }),
            h: common_vendor.t(item.percentage),
            i: common_vendor.t(item.execScoreValue),
            j: common_vendor.t(item.planScore)
          }, isYQGLY.value ? common_vendor.e({
            k: item.parentId != "0" && item.planState === "INIT"
          }, item.parentId != "0" && item.planState === "INIT" ? {
            l: common_assets._imports_0$3,
            m: common_vendor.o(($event) => toDetail(4, item), item.id)
          } : {}) : {}, isDLSGLY.value ? common_vendor.e({
            n: item.planDetails && !item.planDetails.cktMsg1
          }, item.planDetails && !item.planDetails.cktMsg1 ? {
            o: common_assets._imports_0$2,
            p: common_vendor.o(($event) => toDetail(7, item), item.id)
          } : {}) : {}, isSWZ.value ? common_vendor.e({
            q: item.planDetails && item.planDetails.cktMsg1 && !item.planDetails.cktMsg2
          }, item.planDetails && item.planDetails.cktMsg1 && !item.planDetails.cktMsg2 ? {
            r: common_assets._imports_0$2,
            s: common_vendor.o(($event) => toDetail(7, item), item.id)
          } : {}) : {}, isSYB.value ? common_vendor.e({
            t: item.planDetails && item.planDetails.cktMsg1 && item.planDetails.cktMsg2 && !item.planDetails.cktMsg3
          }, item.planDetails && item.planDetails.cktMsg1 && item.planDetails.cktMsg2 && !item.planDetails.cktMsg3 ? {
            v: common_assets._imports_0$2,
            w: common_vendor.o(($event) => toDetail(7, item), item.id)
          } : {}) : {}, {
            x: item.planDetails
          }, item.planDetails ? {
            y: common_assets._imports_2,
            z: common_vendor.o(($event) => toDetail(6, item), item.id)
          } : {}, {
            A: isDLSGLY.value && item.parentId != "0"
          }, isDLSGLY.value && item.parentId != "0" ? {
            B: editDisabled(item) ? 1 : "",
            C: common_vendor.o(($event) => toEdit(item), item.id)
          } : {}, {
            D: item.id
          });
        }),
        m: isYQGLY.value,
        n: isDLSGLY.value,
        o: isSWZ.value,
        p: isSYB.value
      } : {}, {
        q: common_vendor.sr(pickerRef, "f9ed6da2-6", {
          "k": "pickerRef"
        }),
        r: common_vendor.o(pickerConfim),
        s: common_vendor.p({
          columns: csoList.value,
          keyName: "gsmc"
        }),
        t: common_vendor.o(getDate),
        v: common_vendor.o(($event) => show.value = $event),
        w: common_vendor.p({
          type: "month",
          ["is-range"]: true,
          formatter: "YYYY-MM-DD",
          modelValue: show.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f9ed6da2"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-admin/objectivesDetailList/index.vue"]]);
wx.createPage(MiniProgramPage);
