"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uv_steps_item2 = common_vendor.resolveComponent("uv-steps-item");
  const _easycom_uv_steps2 = common_vendor.resolveComponent("uv-steps");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  (_easycom_uv_steps_item2 + _easycom_uv_steps2 + _easycom_uv_popup2)();
}
const _easycom_uv_steps_item = () => "../../../node-modules/@climblee/uv-ui/components/uv-steps-item/uv-steps-item.js";
const _easycom_uv_steps = () => "../../../node-modules/@climblee/uv-ui/components/uv-steps/uv-steps.js";
const _easycom_uv_popup = () => "../../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
if (!Math) {
  (_easycom_uv_steps_item + _easycom_uv_steps + _easycom_uv_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "approvalFlowchart",
  setup(__props, { expose }) {
    const showComponents = common_vendor.ref(false);
    const customStyle = {
      height: "120rpx"
    };
    const popup = common_vendor.ref();
    const showStep2 = common_vendor.ref(true);
    const info = common_vendor.reactive({
      title1: "待营销中心分管领导审批",
      title2: "待运营管理员分发审核",
      title3: "待服务商管理员拆解",
      active: 1,
      type: 0
    });
    const show = (item) => {
      showComponents.value = true;
      info.type = item.parentId === 0 ? 0 : 1;
      info.title1 = "待营销中心分管领导审批";
      info.title2 = "待运营管理员分发审核";
      info.title3 = "待服务员管理员拆解";
      info.active = 1;
      if (item.parentId == 0) {
        showStep2.value = item.planType === "QRT" ? false : true;
        if (item.planState === "PASSED") {
          if (!item.children) {
            info.active = 2;
          } else {
            info.active = item.execScoreValue > 0 ? 5 : 3;
          }
        } else if (item.planState === "REJECTED") {
          info.title1 = "营销中心分管领导拒绝";
        }
      } else {
        if (item.planState === "PASSED") {
          if (!item.planDetails) {
            info.active = 2;
          } else {
            switch (item.planDetails.detailsState) {
              case "INIT":
                info.active = 3;
                break;
              case "CKT1":
                info.active = 4;
                break;
              case "CKT2":
                info.active = 5;
                break;
              case "PASSED":
                info.active = 7;
                break;
              case "REJECTED":
                info.active = 2;
                info.title3 = "拆解审核失败，待服务员管理员重新拆解";
                break;
            }
          }
        } else if (item.planState === "REJECTED") {
          info.title2 = "运营管理员分发审核拒绝";
        }
      }
      setTimeout(() => {
        popup.value.open();
      }, 250);
    };
    const popupChange = (flag) => {
      if (!flag.show) {
        showStep2.value = true;
        showComponents.value = false;
      }
    };
    expose({ show });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: showComponents.value
      }, showComponents.value ? common_vendor.e({
        b: info.type === 0
      }, info.type === 0 ? common_vendor.e({
        c: common_vendor.p({
          title: "创建完成",
          ["active-color"]: "#95dc7e",
          customStyle
        }),
        d: showStep2.value
      }, showStep2.value ? {
        e: common_vendor.t(info.title1)
      } : {}, {
        f: common_vendor.p({
          title: "审核通过待下发"
        }),
        g: common_vendor.p({
          current: info.active,
          dot: true,
          direction: "column"
        })
      }) : {}, {
        h: info.type === 1
      }, info.type === 1 ? {
        i: common_vendor.t(info.title2),
        j: common_vendor.t(info.title3),
        k: common_vendor.p({
          current: info.active,
          dot: true,
          direction: "column",
          ["active-color"]: "#95dc7e",
          ["inactive-color"]: "#999"
        })
      } : {}, {
        l: common_vendor.sr(popup, "a50e7393-0", {
          "k": "popup"
        }),
        m: common_vendor.o(popupChange),
        n: common_vendor.p({
          mode: "bottom"
        })
      }) : {});
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-a50e7393"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-admin/objectivesList/components/approvalFlowchart.vue"]]);
wx.createComponent(Component);
