"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_integralRules = require("../../service/modules/integralRules.js");
require("../../service/index.js");
if (!Array) {
  const _component_u_icon = common_vendor.resolveComponent("u-icon");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_component_u_icon + _easycom_uv_popup2 + _easycom_uv_picker2)();
}
const _easycom_uv_popup = () => "../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_popup + _easycom_uv_picker)();
}
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const imgBg = "https://yy-cloud-oss.oss-cn-beijing.aliyuncs.com/img/jy/integralRules.png";
    common_vendor.onShareAppMessage(() => {
      var pages = getCurrentPages();
      var prevPage = pages[pages.length - 1];
      return {
        title: "积分规则",
        path: prevPage.route
      };
    });
    const descriptionMap = common_vendor.ref([]);
    async function getMap() {
      let res = await service_modules_integralRules.integralRulesApi.getDict();
      descriptionMap.value = res.data;
    }
    getMap();
    const drugentList = common_vendor.ref([]);
    async function getDrugentList() {
      let res = await service_modules_integralRules.getTaskTypeDeptList();
      drugentList.value = res.data;
      if (drugentList.value.length) {
        getTaskTypeScoreList(drugentList.value[0].value);
      }
    }
    getDrugentList();
    const tableData = common_vendor.ref([]);
    async function getTaskTypeScoreList(ruleId) {
      let res = await service_modules_integralRules.integralRulesApi.getTaskTypeListByRuleId(ruleId);
      tableData.value = res.data;
    }
    const select = common_vendor.ref();
    const popup = common_vendor.ref();
    const descClick = (name) => {
      let item = descriptionMap.value.find((item2) => item2.value === name);
      select.value = item;
      popup.value.open();
    };
    const popupClose = () => popup.value.close();
    const defaultIndex = common_vendor.ref();
    const picker = common_vendor.ref();
    const changeBtn = () => {
      picker.value.open();
    };
    const confirm = (e) => {
      defaultIndex.value = e.indexs;
      getTaskTypeScoreList(e.value[0].value);
    };
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: imgBg,
        b: common_vendor.o(changeBtn),
        c: common_vendor.f(tableData.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.taskTypeName),
            b: common_vendor.o(($event) => descClick(item.taskTypeName), item.id),
            c: common_vendor.t(item.score),
            d: item.id
          };
        }),
        d: common_vendor.t((_a = select.value) == null ? void 0 : _a.value),
        e: common_vendor.o(popupClose),
        f: common_vendor.p({
          name: "close",
          color: "#000",
          size: "28"
        }),
        g: common_vendor.t((_b = select.value) == null ? void 0 : _b.description),
        h: common_vendor.o(popupClose),
        i: common_vendor.sr(popup, "cfca7789-0", {
          "k": "popup"
        }),
        j: common_vendor.p({
          mode: "bottom",
          round: "10"
        }),
        k: common_vendor.sr(picker, "cfca7789-2", {
          "k": "picker"
        }),
        l: common_vendor.o(confirm),
        m: common_vendor.p({
          columns: [drugentList.value],
          keyName: "label",
          defaultIndex: defaultIndex.value
        })
      };
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 2;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__scopeId", "data-v-cfca7789"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-mine/integral-rules/index.vue"]]);
wx.createPage(MiniProgramPage);
