"use strict";
const common_vendor = require("../../../common/vendor.js");
const utils_formatTime = require("../../../utils/formatTime.js");
if (!Array) {
  const _easycom_uv_tags2 = common_vendor.resolveComponent("uv-tags");
  _easycom_uv_tags2();
}
const _easycom_uv_tags = () => "../../../node-modules/@climblee/uv-ui/components/uv-tags/uv-tags.js";
if (!Math) {
  _easycom_uv_tags();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "cardItem",
  props: {
    item: Object,
    type: String
  },
  emits: ["getTaskClick"],
  setup(__props, { emit }) {
    const props = __props;
    const getTaskClick = () => {
      emit("getTaskClick");
    };
    const detailClick = () => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-packages/get-task/detail?id=${props.item.id}`
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t(props.item.scorePackageName),
        b: common_vendor.t(props.item.packageSn ? `(${props.item.packageSn})` : ""),
        c: props.item.packageType1 === "1" || props.item.packageType1 === "6"
      }, props.item.packageType1 === "1" || props.item.packageType1 === "6" ? {
        d: common_vendor.p({
          size: "mini",
          borderColor: "rgba(63, 163, 241, .1)",
          bgColor: "rgba(63, 163, 241, .1)",
          text: "积分值",
          color: "#3FA3F1",
          plain: true
        })
      } : {}, {
        e: props.item.packageType1 === "2"
      }, props.item.packageType1 === "2" ? {
        f: common_vendor.p({
          size: "mini",
          borderColor: "rgba(76,217,100, .1)",
          bgColor: "rgba(76,217,100, .1)",
          color: "#4cd964",
          text: "任务量",
          plain: true
        })
      } : {}, {
        g: props.item.packageType1 === "3"
      }, props.item.packageType1 === "3" ? {
        h: common_vendor.p({
          size: "mini",
          borderColor: "rgba(221,82,77, .1)",
          bgColor: "rgba(221,82,77, .1)",
          color: "#dd524d",
          text: "通用",
          plain: true
        })
      } : {}, {
        i: props.item.packageType1 === "4"
      }, props.item.packageType1 === "4" ? {
        j: common_vendor.p({
          size: "mini",
          borderColor: "rgba(221,82,77, .1)",
          bgColor: "rgba(221,82,77, .1)",
          color: "#dd524d",
          text: "特定",
          plain: true
        })
      } : {}, {
        k: props.type === "1"
      }, props.type === "1" ? {
        l: common_vendor.o(getTaskClick)
      } : props.type === "2" ? common_vendor.e({
        n: props.item.enableType == "0" && props.item.status === "0"
      }, props.item.enableType == "0" && props.item.status === "0" ? {} : {}, {
        o: props.item.enableType == "0" && props.item.status === "1"
      }, props.item.enableType == "0" && props.item.status === "1" ? {} : {}, {
        p: props.item.enableType == "0" && props.item.status === "2"
      }, props.item.enableType == "0" && props.item.status === "2" ? {} : {}, {
        q: props.item.enableType == "0" && props.item.status === "3"
      }, props.item.enableType == "0" && props.item.status === "3" ? {} : {}, {
        r: props.item.enableType == "1"
      }, props.item.enableType == "1" ? {} : {}, {
        s: props.item.enableType == "2"
      }, props.item.enableType == "2" ? {} : {}) : {}, {
        m: props.type === "2",
        t: common_vendor.t(props.item.packageEntName),
        v: common_vendor.t(props.item.userGetNum),
        w: common_vendor.t(props.item.userNum),
        x: common_vendor.t(props.item.score),
        y: props.item.taskNum
      }, props.item.taskNum ? {
        z: common_vendor.t(props.item.taskNum)
      } : {}, {
        A: common_vendor.t(common_vendor.unref(utils_formatTime.formatTime)(props.item.createTime)),
        B: common_vendor.t(props.item.description || "无"),
        C: common_vendor.o(detailClick)
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-c6bee88f"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-packages/get-task/component/cardItem.vue"]]);
wx.createComponent(Component);
