"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_formatTime = require("../../utils/formatTime.js");
const service_modules_getTask = require("../../service/modules/getTask.js");
const store_login = require("../../store/login.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  _easycom_uv_icon2();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
if (!Math) {
  (_easycom_uv_icon + noData)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const total = common_vendor.ref();
    const params = common_vendor.reactive({
      taskUserId: loginStore == null ? void 0 : loginStore.currentUserInfo.userId,
      scorePackageId: "",
      current: 1,
      size: 10
    });
    const dataList = common_vendor.ref([]);
    async function getTaskListByPackageId() {
      const res = await service_modules_getTask.getTaskListByPackageIdApi(params);
      if (res.code === 0) {
        dataList.value = dataList.value.concat(res.data.records);
        total.value = res.data.total;
      }
    }
    common_vendor.onLoad((e) => {
      params.scorePackageId = e == null ? void 0 : e.id;
      getTaskListByPackageId();
    });
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === total.value)
        return;
      params.current++;
      getTaskListByPackageId();
    });
    const detailClick = (id) => {
      common_vendor.index.navigateTo({
        url: `/pages/task/task-detail/index?id=${id}`
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: dataList.value.length
      }, dataList.value.length ? {
        b: common_vendor.f(dataList.value, (item, k0, i0) => {
          return common_vendor.e({
            a: item.realFlag == "1" || item.taskStatus == "4"
          }, item.realFlag == "1" || item.taskStatus == "4" ? {} : {}, {
            b: common_vendor.t(common_vendor.unref(utils_formatTime.formatTime)(item.createTime)),
            c: item.realFlag == "1" || item.taskStatus == "4" ? 1 : "",
            d: item.realFlag == "1" || item.taskStatus == "4" ? 1 : "",
            e: item.realFlag == "1" || item.taskStatus == "4"
          }, item.realFlag == "1" || item.taskStatus == "4" ? {} : {}, {
            f: "1bb8eec7-0-" + i0,
            g: common_vendor.p({
              name: "arrow-right",
              color: item.realFlag == "1" || item.taskStatus == "4" ? "#999999" : "#fff",
              size: "16"
            }),
            h: item.realFlag == "1" || item.taskStatus == "4" ? 1 : "",
            i: common_vendor.t(item.taskTypeId),
            j: item.realFlag == "1" || item.taskStatus == "4" ? 1 : "",
            k: common_vendor.t(item.score),
            l: item.realFlag == "1" || item.taskStatus == "4" ? 1 : "",
            m: item.id,
            n: common_vendor.o(($event) => detailClick(item.id), item.id)
          });
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1bb8eec7"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-packages/task-list/index.vue"]]);
wx.createPage(MiniProgramPage);
