"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uni_th2 = common_vendor.resolveComponent("uni-th");
  const _easycom_uni_tr2 = common_vendor.resolveComponent("uni-tr");
  const _easycom_uni_td2 = common_vendor.resolveComponent("uni-td");
  const _easycom_uni_table2 = common_vendor.resolveComponent("uni-table");
  (_easycom_uni_th2 + _easycom_uni_tr2 + _easycom_uni_td2 + _easycom_uni_table2)();
}
const _easycom_uni_th = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-th/uni-th.js";
const _easycom_uni_tr = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-tr/uni-tr.js";
const _easycom_uni_td = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-td/uni-td.js";
const _easycom_uni_table = () => "../../../node-modules/@dcloudio/uni-ui/lib/uni-table/uni-table.js";
if (!Math) {
  (_easycom_uni_th + _easycom_uni_tr + _easycom_uni_td + _easycom_uni_table)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "TableData",
  emits: ["updateScope"],
  setup(__props, { expose, emit }) {
    const tableData = common_vendor.ref([]);
    const totalQty = common_vendor.ref(0);
    const totalsubtotal = common_vendor.ref(0);
    const change = (detail, index, item) => {
      let max = item.allQty - item.used;
      const value = tableData.value[index].qty;
      if (value > max) {
        tableData.value[index].qty = max;
      }
      tableData.value[index].subtotal = tableData.value[index].qty * tableData.value[index].score;
      totalQty.value = tableData.value.reduce((sum, row) => Number(sum) + Number(row.qty), 0);
      totalsubtotal.value = tableData.value.reduce((sum, row) => Number(sum) + Number(row.subtotal), 0);
      emit("updateScope", totalsubtotal.value);
    };
    const setData = (data) => {
      tableData.value = [...data];
      tableData.value.forEach((item, index) => {
        item.index = index;
        item.score = item.price;
        item.subtotal = 0;
        item.baseId = item.taskTypeName;
        item.allQty = item.qty;
        item.qty = 0;
      });
    };
    const getData = () => {
      return tableData.value;
    };
    expose({ setData, getData });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          align: "center",
          width: "50"
        }),
        b: common_vendor.p({
          align: "center"
        }),
        c: common_vendor.p({
          align: "center",
          width: "50"
        }),
        d: common_vendor.p({
          align: "center",
          width: "50"
        }),
        e: common_vendor.p({
          align: "center",
          width: "50"
        }),
        f: common_vendor.p({
          align: "center",
          width: "50"
        }),
        g: common_vendor.p({
          align: "center",
          width: "80"
        }),
        h: common_vendor.f(tableData.value, (item, index, i0) => {
          return {
            a: common_vendor.t(index + 1),
            b: "d2ed6870-10-" + i0 + "," + ("d2ed6870-9-" + i0),
            c: common_vendor.t(item.baseId),
            d: "d2ed6870-11-" + i0 + "," + ("d2ed6870-9-" + i0),
            e: common_vendor.t(item.score),
            f: "d2ed6870-12-" + i0 + "," + ("d2ed6870-9-" + i0),
            g: common_vendor.t(item.allQty),
            h: "d2ed6870-13-" + i0 + "," + ("d2ed6870-9-" + i0),
            i: common_vendor.t(item.used),
            j: "d2ed6870-14-" + i0 + "," + ("d2ed6870-9-" + i0),
            k: common_vendor.o((e) => change(e, index, item), item == null ? void 0 : item.taskTypeId),
            l: item.qty,
            m: common_vendor.o(($event) => item.qty = $event.detail.value, item == null ? void 0 : item.taskTypeId),
            n: "d2ed6870-15-" + i0 + "," + ("d2ed6870-9-" + i0),
            o: common_vendor.t(item.subtotal),
            p: "d2ed6870-16-" + i0 + "," + ("d2ed6870-9-" + i0),
            q: item == null ? void 0 : item.taskTypeId,
            r: "d2ed6870-9-" + i0 + ",d2ed6870-0"
          };
        }),
        i: common_vendor.p({
          index: true
        }),
        j: common_vendor.t(totalQty.value),
        k: common_vendor.t(totalsubtotal.value),
        l: common_vendor.p({
          border: true,
          stripe: true,
          emptyText: "暂无更多数据"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d2ed6870"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/assignPointsAdd/components/TableData.vue"]]);
wx.createComponent(Component);
