"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_taskManagement = require("../../service/modules/taskManagement.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_form2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_form_item + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const currentId = common_vendor.ref();
    common_vendor.onLoad((e) => {
      currentId.value = e == null ? void 0 : e.scorePackageId;
      selectReportFn();
    });
    const labelStyle = {
      fontWeight: 400,
      fontSize: "30rpx",
      color: "#000"
    };
    const form = common_vendor.ref({
      score_package_name: "",
      report_id: "",
      score: "",
      score_count: "",
      description: ""
    });
    const selectReportFn = async () => {
      const obj = {
        scorePackageId: currentId.value
      };
      const res = await service_modules_taskManagement.selectReportApi(obj);
      if (res.data == 0) {
        common_vendor.index.showToast({
          icon: "none",
          title: "没有可生成报告的服务"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      } else {
        form.value = res.data;
      }
    };
    const generateApprovalFn = async () => {
      const obj = {
        scorePackageId: currentId.value,
        taskStatus: 3
      };
      const res = await service_modules_taskManagement.saveAndUpdateWmReportApi(obj);
      if (res.code === 0) {
        common_vendor.index.showToast({
          title: "提交成功",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => form.value.score_package_name = $event),
        b: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          readonly: true,
          modelValue: form.value.score_package_name
        }),
        c: common_vendor.p({
          label: "执行包名称",
          prop: "score_package_name",
          borderBottom: true,
          required: true
        }),
        d: common_vendor.o(($event) => form.value.report_id = $event),
        e: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          readonly: true,
          modelValue: form.value.report_id
        }),
        f: common_vendor.p({
          label: "报告ID",
          prop: "report_id",
          borderBottom: true,
          required: true
        }),
        g: common_vendor.o(($event) => form.value.score = $event),
        h: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          readonly: true,
          modelValue: form.value.score
        }),
        i: common_vendor.p({
          label: "完成积分值",
          prop: "score",
          borderBottom: true,
          required: true
        }),
        j: common_vendor.o(($event) => form.value.score_count = $event),
        k: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          readonly: true,
          modelValue: form.value.score_count
        }),
        l: common_vendor.p({
          label: "合计服务数",
          prop: "score_count",
          borderBottom: true,
          required: true
        }),
        m: common_vendor.o(($event) => form.value.description = $event),
        n: common_vendor.p({
          border: "none",
          placeholder: "请输入",
          readonly: true,
          modelValue: form.value.description
        }),
        o: common_vendor.p({
          label: "结算企业",
          prop: "description",
          borderBottom: true,
          required: true
        }),
        p: common_vendor.sr("formRef", "08bba179-0"),
        q: common_vendor.p({
          labelPosition: "left",
          model: form.value,
          labelWidth: "120",
          labelStyle
        }),
        r: common_vendor.o(generateApprovalFn)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-08bba179"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/generateReport/index.vue"]]);
wx.createPage(MiniProgramPage);
