"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_quickAuditCard = require("../../service/modules/quickAuditCard.js");
const store_login = require("../../store/login.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_divider2 = common_vendor.resolveComponent("uv-divider");
  _easycom_uv_divider2();
}
const _easycom_uv_divider = () => "../../node-modules/@climblee/uv-ui/components/uv-divider/uv-divider.js";
if (!Math) {
  (CardList + _easycom_uv_divider)();
}
const CardList = () => "./components/cardList.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    let userInfo = loginStore.currentUserInfo;
    const roles = (userInfo == null ? void 0 : userInfo.roles) || [];
    const type = common_vendor.ref("");
    const id = common_vendor.ref("");
    common_vendor.onLoad((e) => {
      type.value = e == null ? void 0 : e.type;
      id.value = e == null ? void 0 : e.id;
      getTaskListArr();
      getList();
    });
    const taskListArr = common_vendor.ref([]);
    const getTaskListArr = async () => {
      const res = await service_modules_quickAuditCard.getPackageTaskTypeApi();
      taskListArr.value = res.data;
    };
    let list = common_vendor.ref([]);
    const getList = async () => {
      let res;
      if (type.value === "1") {
        res = await service_modules_quickAuditCard.getListApi({
          packageId: id.value
        });
      } else if (type.value === "2") {
        res = await service_modules_quickAuditCard.wmreportFetchListApi({
          id: id.value
        });
      }
      if (res.code === 0) {
        list.value = res.data;
      }
      list.value.forEach((item) => {
        if (item.config && item.config.length != 0) {
          item.config.forEach((iten) => {
            iten.taskFiledType = iten.taskFiledType.trim();
            if (iten.taskFiledType == "img") {
              getImgList(item.wmTaskContent[iten.taskFiledKey], iten);
            }
          });
        }
        item.show = true;
      });
    };
    const getImgList = (urlStr, item) => {
      if (item.taskFiledType != "img")
        return "";
      if (!urlStr)
        return "";
      let uArr = urlStr.split(",");
      if (!uArr)
        return "";
      let imgList = [];
      let previewList = [];
      uArr.forEach((uItem) => {
        let type2 = "无 ";
        if (uItem.includes(";1")) {
          type2 = "拍照";
          uItem = uItem.replace(";1", "");
        }
        if (uItem.includes(";2")) {
          type2 = "相册";
          uItem = uItem.replace(";2", "");
        }
        imgList.push({
          type: type2,
          url: "https://cnbg.yaoyi.net" + uItem
        });
        previewList.push("https://cnbg.yaoyi.net" + uItem);
      });
      item.imgList = imgList;
      item.previewList = previewList;
      return "";
    };
    const reviewFn = async (result, index) => {
      const item = list.value[index];
      let res;
      if (type.value === "1") {
        const obj = {
          id: item.id,
          taskStatus: result == 0 ? 4 : 3,
          taskIdToNodeIdMap: {
            [item.id]: item.taskInfo.checkState.curNodeId
          }
        };
        res = await service_modules_quickAuditCard.batchApprovalTask(obj);
      } else if (type.value === "2") {
        const approvalOpinion = result == 1 ? 1 : 2;
        let nodeId = item.taskInfo.checkState.nextNodeId;
        if (roles.includes(42)) {
          nodeId = 8;
        }
        if (roles.includes(40)) {
          nodeId = 9;
        }
        let obj = {
          reportId: id.value,
          taskIds: id,
          taskIdToNodeIdMap: {
            [item.id]: nodeId
          },
          approvalOpinion
        };
        res = await service_modules_quickAuditCard.wmreportBatchApprovalTask(obj);
      }
      if (res.code == 0) {
        list.value[index].show = false;
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(common_vendor.unref(list), (item, index, i0) => {
          return {
            a: common_vendor.o(reviewFn, index),
            b: "227e5cfc-0-" + i0,
            c: common_vendor.p({
              item,
              index,
              taskList: taskListArr.value
            }),
            d: "227e5cfc-1-" + i0,
            e: index,
            f: item.show
          };
        }),
        b: common_vendor.p({
          text: "分割线",
          textColor: "#6eb657",
          lineColor: "#6eb657"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-227e5cfc"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/quickAuditCard/index.vue"]]);
wx.createPage(MiniProgramPage);
