"use strict";
const common_vendor = require("../../../common/vendor.js");
const pagesSubServiceMangement_serviceDeliveryAdd_components_treeList = require("./treeList.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  _easycom_uv_icon2();
}
const _easycom_uv_icon = () => "../../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
if (!Math) {
  _easycom_uv_icon();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "taskTree",
  setup(__props, { expose }) {
    const treeListData = common_vendor.ref(pagesSubServiceMangement_serviceDeliveryAdd_components_treeList.treeList);
    const changeShow = (index) => {
      treeListData.value[index].show = !treeListData.value[index].show;
    };
    const fChange = (index) => {
      treeListData.value[index].checked = !treeListData.value[index].checked;
      treeListData.value[index].children.forEach(
        (item) => item.checked = treeListData.value[index].checked
      );
    };
    const cChange = (index, indey) => {
      treeListData.value[index].children[indey].checked = !treeListData.value[index].children[indey].checked;
      const arr = treeListData.value[index].children.filter((item) => item.checked);
      treeListData.value[index].checked = arr.length;
    };
    const mapData = () => {
      const arr = treeListData.value.filter((item) => item.checked);
      arr.forEach((item) => {
        item.children = item.children.filter((item2) => item2.checked);
      });
      return arr;
    };
    const initData = (arr) => {
      const treeListCopy = JSON.parse(JSON.stringify(pagesSubServiceMangement_serviceDeliveryAdd_components_treeList.treeList));
      treeListData.value = treeListCopy;
    };
    const editData = (arr) => {
      const treeListCopy = JSON.parse(JSON.stringify(pagesSubServiceMangement_serviceDeliveryAdd_components_treeList.treeList));
      treeListCopy.forEach((item) => {
        item.checked = arr.includes(item.taskTypeId);
        item.children.forEach((iten) => {
          iten.checked = arr.includes(item.taskTypeId);
        });
      });
      treeListData.value = treeListCopy;
    };
    expose({ mapData, initData, editData });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(treeListData.value, (item, index, i0) => {
          return {
            a: common_vendor.o(($event) => changeShow(index), index),
            b: "6e19d295-0-" + i0,
            c: common_vendor.p({
              name: item.show ? "arrow-down-fill" : "play-right-fill",
              color: "#c0c4cc",
              size: "14"
            }),
            d: item.checked,
            e: item.disabled,
            f: common_vendor.t(item.taskTypeName),
            g: common_vendor.o(($event) => fChange(index), index),
            h: common_vendor.f(item.children, (iten, indey, i1) => {
              return {
                a: iten.disabled,
                b: iten.checked,
                c: common_vendor.t(iten.taskTypeName),
                d: iten.taskTypeId,
                e: common_vendor.o(($event) => cChange(index, indey), iten.taskTypeId)
              };
            }),
            i: item.show,
            j: index
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-6e19d295"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/serviceDeliveryAdd/components/taskTree.vue"]]);
wx.createComponent(Component);
