"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_serviceReviewed = require("../../service/modules/serviceReviewed.js");
const utils_abbreviationsProvinces = require("../../utils/abbreviationsProvinces.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
const store_login = require("../../store/login.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
if (!Array) {
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_datetime_picker2 = common_vendor.resolveComponent("uv-datetime-picker");
  const _easycom_uv_action_sheet2 = common_vendor.resolveComponent("uv-action-sheet");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  const _easycom_uni_th2 = common_vendor.resolveComponent("uni-th");
  const _easycom_uni_tr2 = common_vendor.resolveComponent("uni-tr");
  const _easycom_uni_td2 = common_vendor.resolveComponent("uni-td");
  const _easycom_uni_table2 = common_vendor.resolveComponent("uni-table");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  const _easycom_uv_radio2 = common_vendor.resolveComponent("uv-radio");
  const _easycom_uv_radio_group2 = common_vendor.resolveComponent("uv-radio-group");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_textarea2 = common_vendor.resolveComponent("uv-textarea");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_icon2 + _easycom_uv_datetime_picker2 + _easycom_uv_action_sheet2 + _easycom_uv_picker2 + _easycom_uni_th2 + _easycom_uni_tr2 + _easycom_uni_td2 + _easycom_uni_table2 + _easycom_uv_popup2 + _easycom_uv_radio2 + _easycom_uv_radio_group2 + _easycom_uv_form_item2 + _easycom_uv_textarea2 + _easycom_uv_form2)();
}
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_datetime_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-datetime-picker/uv-datetime-picker.js";
const _easycom_uv_action_sheet = () => "../../node-modules/@climblee/uv-ui/components/uv-action-sheet/uv-action-sheet.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
const _easycom_uni_th = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-th/uni-th.js";
const _easycom_uni_tr = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-tr/uni-tr.js";
const _easycom_uni_td = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-td/uni-td.js";
const _easycom_uni_table = () => "../../node-modules/@dcloudio/uni-ui/lib/uni-table/uni-table.js";
const _easycom_uv_popup = () => "../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
const _easycom_uv_radio = () => "../../node-modules/@climblee/uv-ui/components/uv-radio/uv-radio.js";
const _easycom_uv_radio_group = () => "../../node-modules/@climblee/uv-ui/components/uv-radio-group/uv-radio-group.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_textarea = () => "../../node-modules/@climblee/uv-ui/components/uv-textarea/uv-textarea.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_icon + noData + _easycom_uv_datetime_picker + _easycom_uv_action_sheet + _easycom_uv_picker + _easycom_uni_th + _easycom_uni_tr + _easycom_uni_td + _easycom_uni_table + _easycom_uv_popup + _easycom_uv_radio + _easycom_uv_radio_group + _easycom_uv_form_item + _easycom_uv_textarea + _easycom_uv_form)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const loginStore = store_login.useLoginStore();
    const params = common_vendor.reactive({
      nodeId: "",
      currentPage: 1,
      pageSize: 20,
      total: 0
    });
    const hasInfo = common_vendor.ref(true);
    const dataList = common_vendor.ref([]);
    const dict = common_vendor.reactive({
      taskTypeAvailArr: [],
      deptListArr: [],
      userListArr: [],
      mahNameArr: [],
      drugListArr: [],
      currDrugList: [],
      relPkgNameArr: []
    });
    const getDictFn = () => {
      service_modules_serviceReviewed.getTaskTypeAvailApi().then((res) => dict.taskTypeAvailArr = res.data);
      service_modules_serviceReviewed.getDeptv2Avail().then((res) => dict.deptListArr = res.data);
      service_modules_serviceReviewed.getUserV2Avail().then((res) => dict.userListArr = res.data);
      service_modules_getDict.getDictByNameApi("mah_name").then((res) => dict.mahNameArr = res.data);
      service_modules_serviceReviewed.getDrug2Avail().then((res) => dict.drugListArr = res.data);
      service_modules_serviceReviewed.getPkgV2Api().then((res) => {
        let arr = [];
        let data = res.data;
        for (let key in data) {
          let obj = {
            label: key,
            value: data[key]
          };
          arr.push(obj);
        }
        dict.relPkgNameArr = arr;
      });
    };
    const getDatalist = async () => {
      var _a, _b;
      const obj = Object.assign({
        current: params.currentPage,
        size: params.pageSize,
        taskStatus: 3,
        nodeId: params.nodeId,
        ...searchParams.value
      });
      common_vendor.index.showLoading({
        title: "正在获取数据"
      });
      const res = await service_modules_serviceReviewed.getTaskV2PageApi(obj);
      if (res.code === 0) {
        params.total = res.data.total;
        (_b = (_a = res == null ? void 0 : res.data) == null ? void 0 : _a.records) == null ? void 0 : _b.forEach((item) => {
          item.checked = false;
        });
        dataList.value = dataList.value.concat(res.data.records);
        hasInfo.value = !!dataList.value.length;
        common_vendor.index.hideLoading();
      }
      common_vendor.index.hideLoading();
    };
    const checkedAll = common_vendor.ref(false);
    const checkboxAllChange = () => {
      checkedAll.value = !checkedAll.value;
      dataList.value.forEach((item) => item.checked = checkedAll.value);
      if (checkedAll.value) {
        checkdIds.value = dataList.value.map((item) => item.taskId);
      } else {
        checkdIds.value = [];
      }
    };
    const checkdIds = common_vendor.ref([]);
    const itemChecked = (item) => {
      item.checked = !item.checked;
      let arr = dataList.value.filter((item2) => item2.checked);
      checkdIds.value = arr == null ? void 0 : arr.map((item2) => item2.taskId);
    };
    const allCheckedReview = () => {
      if (!checkdIds.value.length) {
        return common_vendor.index.showToast({
          title: "请选择审核项",
          icon: "none"
        });
      }
      getPretreatment();
    };
    const pretreatmentInfo = common_vendor.ref();
    const lockedInfo = common_vendor.ref();
    const getPretreatment = async () => {
      const res = await service_modules_serviceReviewed.getPretreatmentApi({
        taskIds: checkdIds.value,
        nodeId: checkNodeId.value
      });
      if (res.code === 0) {
        pretreatmentInfo.value = res.data;
        lockedInfo.value = res.data.locked;
      }
      popupRef.value.open();
    };
    const showRef = common_vendor.ref(false);
    const popupChange = (e) => {
      showRef.value = e.show;
    };
    const lockedDialogClose = async () => {
      var _a, _b, _c, _d;
      const taskIds = pretreatmentInfo.value.available.map((item) => item.taskId);
      if ((_b = (_a = pretreatmentInfo.value) == null ? void 0 : _a.token) == null ? void 0 : _b.token) {
        const obj = {
          taskIds,
          token: (_d = (_c = pretreatmentInfo.value) == null ? void 0 : _c.token) == null ? void 0 : _d.token,
          nodeId: checkNodeId.value
        };
        await service_modules_serviceReviewed.pretreatmentClearApi(obj);
      }
      popupRef.value.close();
      init();
      lockedInfo.value = [];
      checkdIds.value = [];
      checkedAll.value = false;
    };
    const lockedBtn = async () => {
      if (pretreatmentInfo.value.available.length) {
        popupRef.value.close();
        lockedInfo.value = [];
        getToken();
      } else {
        common_vendor.index.showToast({
          title: "当前无可审核数据！",
          icon: "none"
        });
        popupRef.value.close();
      }
    };
    const handleClose = async () => {
      var _a, _b, _c, _d;
      const taskIds = pretreatmentInfo.value.available.map((item) => item.taskId);
      if ((_b = (_a = pretreatmentInfo.value) == null ? void 0 : _a.token) == null ? void 0 : _b.token) {
        const obj = {
          taskIds,
          token: (_d = (_c = pretreatmentInfo.value) == null ? void 0 : _c.token) == null ? void 0 : _d.token,
          nodeId: checkNodeId.value
        };
        await service_modules_serviceReviewed.pretreatmentClearApi(obj);
      }
      reviewFormRef.value.close();
      init();
    };
    const checkBtn = async () => {
      var _a, _b, _c, _d;
      if (!reviewForm.checkResult && !reviewForm.checkMessage) {
        return common_vendor.index.showToast({
          title: "请完善审核表单",
          icon: "none"
        });
      }
      const ids = (_b = (_a = pretreatmentInfo.value) == null ? void 0 : _a.available) == null ? void 0 : _b.map((item) => item.taskId);
      let obj = {
        token: (_d = (_c = pretreatmentInfo.value) == null ? void 0 : _c.token) == null ? void 0 : _d.token,
        taskIds: ids,
        checkResult: reviewForm.checkResult,
        checkMessage: reviewForm.checkMessage,
        nodeId: checkNodeId.value
      };
      try {
        const res = await service_modules_serviceReviewed.taskV2CheckBatchApi(obj);
        if (res.code === 0) {
          common_vendor.index.showToast({
            title: "审核成功",
            icon: "none"
          });
          reviewFormRef.value.close();
          init();
        }
      } catch (err) {
        console.log("err", err);
      }
    };
    const token = common_vendor.ref("");
    const expireTime = common_vendor.ref("");
    const reviewFormRef = common_vendor.ref();
    const reviewForm = common_vendor.reactive({
      checkResult: "",
      checkMessage: ""
    });
    const getToken = async () => {
      const res = await service_modules_serviceReviewed.getTaskV2TokenApi({ taskIds: checkdIds.value });
      if (res.code === 0) {
        token.value = res.data.token;
        expireTime.value = res.data.expireTime;
        reviewFormRef.value.open();
      } else {
        common_vendor.index.showToast({
          title: "获取token失败",
          icon: "none"
        });
      }
    };
    const onDetail = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/taskAuditDetail/index?id=${row.taskId}&type=1&show=true`
      });
    };
    const getTaskName = (row) => {
      const taskTypeId = row.taskTypeId;
      const curr = dict.taskTypeAvailArr.find((iten) => iten.id === taskTypeId);
      return curr ? curr.name : "";
    };
    const popupRef = common_vendor.ref();
    class SearchParams {
      constructor() {
        __publicField(this, "year", "");
        __publicField(this, "quarter", "");
        __publicField(this, "createTime", "");
        __publicField(this, "taskTypeId", "");
        __publicField(this, "vendorId", "");
        __publicField(this, "salesId", "");
        __publicField(this, "mahName", "");
        __publicField(this, "skuId", "");
        __publicField(this, "provAbbr", "");
        __publicField(this, "pkgIds", "");
      }
    }
    const searchParams = common_vendor.ref(new SearchParams());
    const clearSearch = () => {
      searchParams.value = new SearchParams();
      const lastYear = common_vendor.dayjs().subtract(1, "year").format("YYYY");
      searchParams.value.year = lastYear;
      init();
    };
    const currType = common_vendor.ref("");
    const datetimeRef = common_vendor.ref();
    const datetimePickerMode = common_vendor.ref("");
    const list = common_vendor.ref([]);
    let quarterList = [
      { name: "第一季度", value: "1" },
      { name: "第二季度", value: "2" },
      { name: "第三季度", value: "3" },
      { name: "第四季度", value: "4" }
    ];
    const actionSheetRef = common_vendor.ref();
    const pickerRef = common_vendor.ref();
    const pickerColumns = common_vendor.ref([]);
    const pickerLabel = common_vendor.ref("");
    const searchClick = (type) => {
      currType.value = type;
      switch (type) {
        case "year":
          datetimePickerMode.value = "year";
          datetimeRef.value.open();
          break;
        case "quarter":
          list.value = quarterList;
          actionSheetRef.value.open();
          break;
        case "createTime":
          datetimePickerMode.value = "date";
          datetimeRef.value.open();
          break;
        case "taskTypeId":
          pickerColumns.value = dict.taskTypeAvailArr;
          pickerLabel.value = "name";
          pickerRef.value.open();
          break;
        case "vendorId":
          pickerColumns.value = dict.deptListArr;
          pickerLabel.value = "name";
          pickerRef.value.open();
          break;
        case "salesId":
          pickerColumns.value = dict.userListArr;
          pickerLabel.value = "realName";
          pickerRef.value.open();
          break;
        case "mahName":
          pickerColumns.value = dict.mahNameArr;
          pickerLabel.value = "label";
          pickerRef.value.open();
          break;
        case "skuId":
          const name = searchParams.value.mahName;
          if (!name) {
            return common_vendor.index.showToast({
              title: "请先选择生产企业",
              icon: "none"
            });
          }
          const currList = dict.drugListArr[name];
          dict.currDrugList = currList;
          pickerColumns.value = dict.currDrugList;
          pickerLabel.value = "drugName";
          pickerRef.value.open();
          break;
        case "provAbbr":
          pickerColumns.value = utils_abbreviationsProvinces.provinces;
          pickerRef.value.open();
          break;
        case "pkgIds":
          pickerColumns.value = dict.relPkgNameArr;
          pickerLabel.value = "label";
          pickerRef.value.open();
          break;
      }
    };
    const confirm = (e) => {
      var _a, _b, _c, _d, _e;
      switch (currType.value) {
        case "year":
          searchParams.value.year = common_vendor.dayjs(e.value).format("YYYY");
          break;
        case "quarter":
          searchParams.value.quarter = e.value;
          break;
        case "createTime":
          searchParams.value.createTime = common_vendor.dayjs(e.value).format("YYYY-MM-DD");
          break;
        case "taskTypeId":
          searchParams.value.taskTypeId = (_a = e == null ? void 0 : e.value[0]) == null ? void 0 : _a.id;
          break;
        case "vendorId":
          searchParams.value.vendorId = (_b = e == null ? void 0 : e.value[0]) == null ? void 0 : _b.entId;
          break;
        case "salesId":
          searchParams.value.salesId = (_c = e == null ? void 0 : e.value[0]) == null ? void 0 : _c.userId;
          break;
        case "mahName":
          searchParams.value.mahName = (_d = e == null ? void 0 : e.value[0]) == null ? void 0 : _d.value;
          break;
        case "skuId":
          searchParams.value.skuId = (_e = e == null ? void 0 : e.value[0]) == null ? void 0 : _e.id;
          break;
        case "provAbbr":
          searchParams.value.provAbbr = e == null ? void 0 : e.value[0];
          break;
        case "pkgIds":
          searchParams.value.pkgIds = e == null ? void 0 : e.value[0];
          break;
      }
      init();
    };
    const init = () => {
      params.currentPage = 1;
      params.total = 0;
      dataList.value = [];
      checkedAll.value = false;
      checkdIds.value = [];
      reviewForm.checkMessage = "";
      reviewForm.checkResult = "";
      getDatalist();
    };
    common_vendor.onReachBottom(() => {
      if (dataList.value.length === params.total)
        return;
      params.currentPage++;
      getDatalist();
    });
    const checkNodeId = common_vendor.ref();
    common_vendor.onShow(async () => {
      const lastYear = common_vendor.dayjs().subtract(1, "year").format("YYYY");
      searchParams.value.year = lastYear;
      await getDictFn();
      let userInfo = loginStore.currentUserInfo;
      const roles = (userInfo == null ? void 0 : userInfo.roles) || [];
      let nodeId = "";
      switch (true) {
        case roles.includes(43):
          nodeId = 1;
          checkNodeId.value = 2;
          break;
        case roles.includes(4):
          nodeId = 2;
          checkNodeId.value = 3;
          break;
        case roles.includes(42):
          nodeId = 12;
          checkNodeId.value = 8;
          break;
        case roles.includes(40):
          nodeId = 11;
          checkNodeId.value = 9;
          break;
        case (roles.includes(41) && roles.includes(39)):
          nodeId = 24;
          break;
        case roles.includes(41):
          nodeId = 9;
          checkNodeId.value = 5;
          break;
        case roles.includes(39):
          nodeId = 15;
          checkNodeId.value = 6;
          break;
        default:
          nodeId = 1;
      }
      params.nodeId = nodeId;
      init();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g;
      return common_vendor.e({
        a: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.year ? "#6eb657" : "#000",
          size: "12"
        }),
        b: searchParams.value.year ? 1 : "",
        c: common_vendor.o(($event) => searchClick("year")),
        d: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.quarter ? "#6eb657" : "#000",
          size: "12"
        }),
        e: searchParams.value.quarter ? 1 : "",
        f: common_vendor.o(($event) => searchClick("quarter")),
        g: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.createTime ? "#6eb657" : "#000",
          size: "12"
        }),
        h: searchParams.value.createTime ? 1 : "",
        i: common_vendor.o(($event) => searchClick("createTime")),
        j: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.taskTypeId ? "#6eb657" : "#000",
          size: "12"
        }),
        k: searchParams.value.taskTypeId ? 1 : "",
        l: common_vendor.o(($event) => searchClick("taskTypeId")),
        m: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.vendorId ? "#6eb657" : "#000",
          size: "12"
        }),
        n: searchParams.value.vendorId ? 1 : "",
        o: common_vendor.o(($event) => searchClick("vendorId")),
        p: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.salesId ? "#6eb657" : "#000",
          size: "12"
        }),
        q: searchParams.value.salesId ? 1 : "",
        r: common_vendor.o(($event) => searchClick("salesId")),
        s: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.mahName ? "#6eb657" : "#000",
          size: "12"
        }),
        t: searchParams.value.mahName ? 1 : "",
        v: common_vendor.o(($event) => searchClick("mahName")),
        w: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.skuId ? "#6eb657" : "#000",
          size: "12"
        }),
        x: searchParams.value.skuId ? 1 : "",
        y: common_vendor.o(($event) => searchClick("skuId")),
        z: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.provAbbr ? "#6eb657" : "#000",
          size: "12"
        }),
        A: searchParams.value.provAbbr ? 1 : "",
        B: common_vendor.o(($event) => searchClick("provAbbr")),
        C: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.pkgIds ? "#6eb657" : "#000",
          size: "12"
        }),
        D: searchParams.value.pkgIds ? 1 : "",
        E: common_vendor.o(($event) => searchClick("pkgIds")),
        F: common_vendor.p({
          name: "close-circle",
          color: "#000",
          size: "24"
        }),
        G: common_vendor.o(clearSearch),
        H: checkedAll.value,
        I: common_vendor.o(checkboxAllChange),
        J: common_vendor.p({
          size: "20",
          name: "share-square",
          color: "#6eb657"
        }),
        K: common_vendor.o(allCheckedReview),
        L: hasInfo.value
      }, hasInfo.value ? {
        M: common_vendor.f(dataList.value, (item, index, i0) => {
          return {
            a: item.checked,
            b: common_vendor.o(($event) => itemChecked(item), item.id),
            c: common_vendor.o(() => {
            }, item.id),
            d: common_vendor.t(item.createTime),
            e: common_vendor.t(getTaskName(item)),
            f: common_vendor.t(item.taskScore),
            g: common_vendor.t(item.taskNumber),
            h: common_vendor.o(($event) => onDetail(item), item.id),
            i: item.id
          };
        }),
        N: common_assets._imports_0$4,
        O: showRef.value ? 1 : ""
      } : {}, {
        P: common_vendor.sr(datetimeRef, "515a34f1-13", {
          "k": "datetimeRef"
        }),
        Q: common_vendor.o(confirm),
        R: common_vendor.p({
          mode: datetimePickerMode.value
        }),
        S: common_vendor.sr(actionSheetRef, "515a34f1-14", {
          "k": "actionSheetRef"
        }),
        T: common_vendor.o(confirm),
        U: common_vendor.p({
          actions: list.value
        }),
        V: common_vendor.sr(pickerRef, "515a34f1-15", {
          "k": "pickerRef"
        }),
        W: common_vendor.o(confirm),
        X: common_vendor.p({
          columns: [pickerColumns.value],
          keyName: pickerLabel.value
        }),
        Y: common_vendor.t((_b = (_a = pretreatmentInfo.value) == null ? void 0 : _a.total) == null ? void 0 : _b.length),
        Z: common_vendor.t((_d = (_c = pretreatmentInfo.value) == null ? void 0 : _c.available) == null ? void 0 : _d.length),
        aa: common_vendor.t((_f = (_e = pretreatmentInfo.value) == null ? void 0 : _e.locked) == null ? void 0 : _f.length),
        ab: common_vendor.p({
          align: "center",
          width: "50"
        }),
        ac: common_vendor.p({
          align: "center"
        }),
        ad: common_vendor.p({
          align: "center"
        }),
        ae: common_vendor.p({
          align: "center"
        }),
        af: common_vendor.f((_g = pretreatmentInfo.value) == null ? void 0 : _g.total, (item, index, i0) => {
          return {
            a: common_vendor.t(item.taskId),
            b: "515a34f1-24-" + i0 + "," + ("515a34f1-23-" + i0),
            c: common_vendor.t(item.status),
            d: common_vendor.n(item.status === "成功" ? "status-success" : "status-fail"),
            e: "515a34f1-25-" + i0 + "," + ("515a34f1-23-" + i0),
            f: common_vendor.t(item.lockInfo),
            g: "515a34f1-26-" + i0 + "," + ("515a34f1-23-" + i0),
            h: common_vendor.t(item.expireAt),
            i: "515a34f1-27-" + i0 + "," + ("515a34f1-23-" + i0),
            j: item == null ? void 0 : item.taskTypeId,
            k: "515a34f1-23-" + i0 + ",515a34f1-17"
          };
        }),
        ag: common_vendor.p({
          index: true
        }),
        ah: common_vendor.p({
          border: true,
          stripe: true,
          emptyText: "暂无更多数据"
        }),
        ai: common_vendor.o(lockedDialogClose),
        aj: common_vendor.o(lockedBtn),
        ak: common_vendor.sr(popupRef, "515a34f1-16", {
          "k": "popupRef"
        }),
        al: common_vendor.o(popupChange),
        am: common_vendor.p({
          mode: "center",
          ["close-on-click-overlay"]: false,
          round: "16",
          safeAreaInsetBottom: false
        }),
        an: common_vendor.t(expireTime.value),
        ao: common_vendor.p({
          label: "通过",
          name: true,
          activeColor: "#72b25b"
        }),
        ap: common_vendor.p({
          label: "拒绝",
          name: false,
          activeColor: "#72b25b"
        }),
        aq: common_vendor.o(($event) => reviewForm.checkResult = $event),
        ar: common_vendor.p({
          modelValue: reviewForm.checkResult
        }),
        as: common_vendor.p({
          label: "审批意见：",
          prop: "reviewForm.checkResult",
          borderBottom: true
        }),
        at: common_vendor.o(($event) => reviewForm.checkMessage = $event),
        av: common_vendor.p({
          modelValue: reviewForm.checkMessage
        }),
        aw: common_vendor.p({
          label: "意见说明：",
          prop: "reviewForm.checkMessage",
          borderBottom: true
        }),
        ax: common_vendor.sr("form", "515a34f1-29,515a34f1-28"),
        ay: common_vendor.p({
          labelPosition: "left",
          model: reviewForm,
          labelWidth: "80"
        }),
        az: common_vendor.o(handleClose),
        aA: common_vendor.o(checkBtn),
        aB: common_vendor.sr(reviewFormRef, "515a34f1-28", {
          "k": "reviewFormRef"
        }),
        aC: common_vendor.o(popupChange),
        aD: common_vendor.p({
          mode: "center",
          ["close-on-click-overlay"]: false,
          round: "16",
          safeAreaInsetBottom: false
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-515a34f1"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/servicesToBeReviewed/index.vue"]]);
wx.createPage(MiniProgramPage);
