"use strict";
const common_vendor = require("../../common/vendor.js");
const service_modules_serviceDelivery = require("../../service/modules/serviceDelivery.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_radio2 = common_vendor.resolveComponent("uv-radio");
  const _easycom_uv_radio_group2 = common_vendor.resolveComponent("uv-radio-group");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_radio2 + _easycom_uv_radio_group2 + _easycom_uv_form_item2 + _easycom_uv_form2)();
}
const _easycom_uv_radio = () => "../../node-modules/@climblee/uv-ui/components/uv-radio/uv-radio.js";
const _easycom_uv_radio_group = () => "../../node-modules/@climblee/uv-ui/components/uv-radio-group/uv-radio-group.js";
const _easycom_uv_form_item = () => "../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_form = () => "../../node-modules/@climblee/uv-ui/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_radio + _easycom_uv_radio_group + _easycom_uv_form_item + _easycom_uv_form)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const currentId = common_vendor.ref();
    const currentType = common_vendor.ref();
    common_vendor.onLoad((e) => {
      currentId.value = e == null ? void 0 : e.id;
      currentType.value = e == null ? void 0 : e.type;
    });
    const form = common_vendor.reactive({
      enableFlag: ""
    });
    const cancelFn = () => {
      common_vendor.index.navigateBack();
    };
    const confirmFn = async () => {
      if (!form.enableFlag) {
        return common_vendor.index.showToast({
          title: "请选择回收方式！",
          icon: "none"
        });
      }
      const obj = {
        enableType: form.enableFlag,
        id: currentId.value
      };
      let res;
      if (currentType.value === "1") {
        res = await service_modules_serviceDelivery.stopWmScorePackageApi(obj);
      } else if (currentType.value === "2") {
        res = await service_modules_serviceDelivery.updateEnableApi(obj);
      }
      if (res.data) {
        common_vendor.index.showToast({
          title: "终止成功",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          customStyle: {
            marginTop: "20px"
          },
          label: "全部收回",
          name: "1"
        }),
        b: common_vendor.p({
          customStyle: {
            marginTop: "16px"
          },
          label: "剩余收回",
          name: "2"
        }),
        c: common_vendor.o(($event) => form.enableFlag = $event),
        d: common_vendor.p({
          placement: "column",
          activeColor: "#6EB657",
          modelValue: form.enableFlag
        }),
        e: common_vendor.p({
          label: "请选择积分收回方式",
          prop: "enableFlag",
          required: true,
          labelPosition: "top",
          labelWidth: "240"
        }),
        f: common_vendor.sr("formRef", "e96fd3b6-0"),
        g: common_vendor.p({
          labelPosition: "left",
          model: form
        }),
        h: common_vendor.o(cancelFn),
        i: common_vendor.o(confirmFn)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e96fd3b6"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/stopServiceDelivery/index.vue"]]);
wx.createPage(MiniProgramPage);
