"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_taskAudit = require("../../service/modules/taskAudit.js");
const store_review = require("../../store/review.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  (_easycom_uv_input2 + _easycom_uv_icon2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + noData)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const reviewStore = store_review.useReview();
    const currentId = common_vendor.ref();
    const taskStatus = common_vendor.ref();
    common_vendor.ref();
    const currentPage = common_vendor.ref();
    common_vendor.onLoad((e) => {
      currentId.value = e == null ? void 0 : e.id;
      currentPage.value = e == null ? void 0 : e.page;
      let text = "";
      if ((e == null ? void 0 : e.page) === "1") {
        taskStatus.value = e == null ? void 0 : e.taskStatus;
        searchParams.value.taskStatus = e == null ? void 0 : e.taskStatus;
        searchParams.value.scorePackageId = e == null ? void 0 : e.id;
        text = (e == null ? void 0 : e.taskStatus) ? "任务审核" : "任务详情";
      } else if ((e == null ? void 0 : e.page) === "2") {
        taskListPageParams.isApprovalPage = (e == null ? void 0 : e.type) == "approval" ? "1" : "0";
        taskListPageParams.id = e == null ? void 0 : e.id;
        text = (e == null ? void 0 : e.type) == "approval" ? "任务审核" : "任务详情";
      }
      common_vendor.index.setNavigationBarTitle({
        title: text
      });
    });
    common_vendor.onShow(() => {
      searchParams.value.current = 1;
      listArr.value = [];
      getList();
    });
    const customStyle = {
      backgroundColor: "#f6f6f6"
    };
    class Params {
      constructor() {
        __publicField(this, "taskStatus", "");
        __publicField(this, "scorePackageId", "");
        __publicField(this, "planName", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 10);
      }
    }
    const searchParams = common_vendor.ref(new Params());
    const taskListPageParams = common_vendor.reactive({
      isApprovalPage: "",
      id: "",
      current: 1,
      size: 10
    });
    const searchFn = () => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
    };
    const hasInfo = common_vendor.ref(true);
    const listArr = common_vendor.ref([]);
    const getList = async () => {
      let res;
      if (currentPage.value === "1") {
        res = await service_modules_taskAudit.getListApi(searchParams.value);
      } else if (currentPage.value === "2") {
        res = await service_modules_taskAudit.getTaskListPageApi(taskListPageParams);
      }
      listArr.value = listArr.value.concat(res.data.records);
      searchParams.value.total = res.data.total;
      hasInfo.value = !!listArr.value.length;
    };
    const onDetail = (row) => {
      const info = JSON.stringify(row);
      reviewStore.setCurrentInfo(info);
      if (currentPage.value === "1") {
        const show = !!searchParams.value.taskStatus;
        common_vendor.index.navigateTo({
          url: `/pages-sub-service-mangement/taskAuditDetail/index?id=${row.id}&type=1&show=${show}`
        });
      } else if (currentPage.value === "2") {
        const show = taskListPageParams.isApprovalPage === "1";
        common_vendor.index.navigateTo({
          url: `/pages-sub-service-mangement/taskAuditDetail/index?id=${row.id}&type=2&reportId=${currentId.value}&show=${show}`
        });
      }
    };
    common_vendor.onReachBottom(() => {
      if (listArr.value.length === searchParams.value.total)
        return;
      if (currentPage.value === "1") {
        searchParams.value.current++;
      } else if (currentPage.value === "2") {
        taskListPageParams.current++;
      }
      getList();
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => searchParams.value.planName = $event),
        b: common_vendor.p({
          customStyle,
          clearable: true,
          shape: "circle",
          placeholder: "请输入",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 22px;color: #6eb657",
          modelValue: searchParams.value.planName
        }),
        c: common_vendor.o(searchFn),
        d: common_vendor.p({
          name: "plus-circle",
          color: "#6eb657",
          size: "24"
        }),
        e: hasInfo.value
      }, hasInfo.value ? {
        f: common_vendor.f(listArr.value, (item, k0, i0) => {
          var _a;
          return {
            a: common_vendor.t(item.lookintoDate),
            b: common_vendor.t((_a = item == null ? void 0 : item.checkState) == null ? void 0 : _a.displayInfo),
            c: common_vendor.t(item.taskTypeName || "abcd"),
            d: common_vendor.t(item.score),
            e: common_vendor.t(item.taskNumber),
            f: item.id,
            g: common_vendor.o(($event) => onDetail(item), item.id)
          };
        }),
        g: common_assets._imports_0$4
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ae8fc830"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/taskAudit/index.vue"]]);
wx.createPage(MiniProgramPage);
