"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const service_modules_taskManagement = require("../../service/modules/taskManagement.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_line_progress2 = common_vendor.resolveComponent("uv-line-progress");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_line_progress2 + _easycom_uv_picker2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_line_progress = () => "../../node-modules/@climblee/uv-ui/components/uv-line-progress/uv-line-progress.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_line_progress + noData + _easycom_uv_picker)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const customStyle = {
      backgroundColor: "#f6f6f6"
    };
    class Params {
      constructor() {
        __publicField(this, "consigneeId", "");
        __publicField(this, "planName", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 10);
      }
    }
    const searchParams = common_vendor.ref(new Params());
    const hasInfo = common_vendor.ref(true);
    const listArr = common_vendor.ref([]);
    const getList = async () => {
      common_vendor.index.showLoading();
      const res = await service_modules_taskManagement.getListApi(searchParams.value);
      if (res.code === 0) {
        searchParams.value.total = res.data.total;
        listArr.value = listArr.value.concat(res.data.records);
        searchParams.value.total = res.data.total;
        hasInfo.value = !!listArr.value.length;
      } else {
        hasInfo.value = false;
      }
      common_vendor.index.hideLoading();
    };
    common_vendor.onReachBottom(() => {
      if (listArr.value.length === searchParams.value.total)
        return;
      searchParams.value.current++;
      getList();
    });
    const packageFinishStatusList = common_vendor.ref([]);
    const selectSendPackageDeptIdList = common_vendor.ref([]);
    const getDict = () => {
      service_modules_getDict.getDictByNameApi("package_finish_status").then(
        (res) => packageFinishStatusList.value = res.data
      );
      service_modules_taskManagement.getSelectSendPackageDeptIdApi().then((res) => selectSendPackageDeptIdList.value = res);
    };
    common_vendor.onShow(() => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
      getDict();
    });
    const searchFn = () => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
    };
    const getPackageFinishName = (packageFinishStatus) => {
      const curr = packageFinishStatusList.value.find((item) => item.value === packageFinishStatus);
      return curr == null ? void 0 : curr.label;
    };
    const getSelectSendPackageDeptIdName = (sendPackageDeptId) => {
      var _a;
      const curr = (_a = selectSendPackageDeptIdList.value) == null ? void 0 : _a.find(
        (item) => item.deptId === Number(sendPackageDeptId)
      );
      return curr == null ? void 0 : curr.name;
    };
    const pickerRef = common_vendor.ref();
    common_vendor.ref(false);
    const csoList = common_vendor.ref([]);
    const searchClick = (type) => {
      if (type === "consigneeId") {
        pickerRef.value.open();
      }
    };
    const pickerConfim = (e) => {
      searchParams.value.consigneeId = e.value[0].deptId;
      searchFn();
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => searchParams.value.planName = $event),
        b: common_vendor.p({
          customStyle,
          clearable: true,
          shape: "circle",
          placeholder: "请输入",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 22px;color: #6eb657",
          modelValue: searchParams.value.planName
        }),
        c: common_vendor.o(searchFn),
        d: common_vendor.p({
          name: "plus-circle",
          color: "#6eb657",
          size: "24"
        }),
        e: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.consigneeId ? "#6eb657" : "#111111",
          size: "14"
        }),
        f: common_vendor.o(($event) => searchClick("consigneeId")),
        g: common_vendor.n(searchParams.value.consigneeId ? "active" : ""),
        h: hasInfo.value
      }, hasInfo.value ? {
        i: common_vendor.f(listArr.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.scorePackageName),
            b: common_vendor.t(getPackageFinishName(item.packageFinishStatus)),
            c: common_vendor.t(getSelectSendPackageDeptIdName(item.sendPackageDeptId)),
            d: common_vendor.t(item.belongDate),
            e: common_vendor.t(item.allocationDate),
            f: "801eab5f-3-" + i0,
            g: common_vendor.p({
              round: true,
              showText: false,
              percentage: item.finishRate,
              activeColor: "#95dc7e",
              inactiveColor: "#f8f8f0"
            }),
            h: common_vendor.t(item.finishRate),
            i: common_vendor.t(item.ysh),
            j: common_vendor.t(item.score),
            k: item.id
          };
        })
      } : {}, {
        j: common_vendor.sr(pickerRef, "801eab5f-5", {
          "k": "pickerRef"
        }),
        k: common_vendor.o(pickerConfim),
        l: common_vendor.p({
          columns: csoList.value,
          keyName: "gsmc"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-801eab5f"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/taskManagement/index.vue"]]);
wx.createPage(MiniProgramPage);
