"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const service_modules_taskReportapproval = require("../../service/modules/taskReportapproval.js");
const service_modules_getDict = require("../../service/modules/getDict.js");
require("../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_picker2)();
}
const _easycom_uv_input = () => "../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_picker = () => "../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + noData + _easycom_uv_picker)();
}
const noData = () => "../../components/noData/index.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const customStyle = {
      backgroundColor: "#f6f6f6"
    };
    class Params {
      constructor() {
        __publicField(this, "consigneeId", "");
        __publicField(this, "planName", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 10);
      }
    }
    const searchParams = common_vendor.ref(new Params());
    const hasInfo = common_vendor.ref(true);
    const listArr = common_vendor.ref([]);
    const getList = async () => {
      common_vendor.index.showLoading();
      const res = await service_modules_taskReportapproval.getListApi(searchParams.value);
      if (res.code === 0) {
        searchParams.value.total = res.data.total;
        listArr.value = listArr.value.concat(res.data.records);
        searchParams.value.total = res.data.total;
        hasInfo.value = !!listArr.value.length;
      } else {
        hasInfo.value = false;
      }
      common_vendor.index.hideLoading();
    };
    common_vendor.onReachBottom(() => {
      if (listArr.value.length === searchParams.value.total)
        return;
      searchParams.value.current++;
      getList();
    });
    const packageFinishStatusList = common_vendor.ref([]);
    common_vendor.ref([]);
    const getDict = () => {
      service_modules_getDict.getDictByNameApi("package_finish_status").then(
        (res) => packageFinishStatusList.value = res.data
      );
    };
    const quickAuditFn = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/quickAuditCard/index?&id=${row.id}&type=2`
      });
    };
    common_vendor.onShow(() => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
      getDict();
    });
    const searchFn = () => {
      listArr.value = [];
      searchParams.value.current = 1;
      getList();
    };
    const pickerRef = common_vendor.ref();
    const csoList = common_vendor.ref([]);
    const searchClick = (type) => {
      if (type === "consigneeId") {
        pickerRef.value.open();
      }
    };
    const pickerConfim = (e) => {
      searchParams.value.consigneeId = e.value[0].deptId;
      searchFn();
    };
    const approvalFn = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/taskAudit/index?&id=${row.id}&type=approval&scoreId=${row.scoreId}&page=2`
      });
    };
    const quickAudit = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/quickAudit/index?&id=${row.id}&type=approval&scoreId=${row.scoreId}&page=2`
      });
    };
    const viewFn = (row) => {
      common_vendor.index.navigateTo({
        url: `/pages-sub-service-mangement/taskAudit/index?&id=${row.id}&type=look&scoreId=${row.scoreId}&page=2`
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => searchParams.value.planName = $event),
        b: common_vendor.p({
          customStyle,
          clearable: true,
          shape: "circle",
          placeholder: "请输入",
          prefixIcon: "search",
          prefixIconStyle: "font-size: 22px;color: #6eb657",
          modelValue: searchParams.value.planName
        }),
        c: common_vendor.o(searchFn),
        d: common_vendor.p({
          name: "plus-circle",
          color: "#6eb657",
          size: "24"
        }),
        e: common_vendor.p({
          name: "arrow-down-fill",
          color: searchParams.value.consigneeId ? "#6eb657" : "#111111",
          size: "14"
        }),
        f: common_vendor.o(($event) => searchClick("consigneeId")),
        g: common_vendor.n(searchParams.value.consigneeId ? "active" : ""),
        h: hasInfo.value
      }, hasInfo.value ? {
        i: common_vendor.f(listArr.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.reportNo),
            b: common_vendor.t(item.scorePackageName),
            c: common_vendor.t(item.entName),
            d: common_vendor.t(item.createTime),
            e: common_vendor.t(item.taskNumber),
            f: common_vendor.t(item.totalScore),
            g: common_vendor.o(($event) => approvalFn(item), item.id),
            h: common_vendor.o(($event) => quickAudit(item), item.id),
            i: common_vendor.o(($event) => quickAuditFn(item), item.id),
            j: common_vendor.o(($event) => viewFn(item), item.id),
            k: item.id
          };
        }),
        j: common_assets._imports_0$2,
        k: common_assets._imports_0$2,
        l: common_assets._imports_0$2,
        m: common_assets._imports_1$1
      } : {}, {
        n: common_vendor.sr(pickerRef, "ff734fc1-4", {
          "k": "pickerRef"
        }),
        o: common_vendor.o(pickerConfim),
        p: common_vendor.p({
          columns: csoList.value,
          keyName: "gsmc"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ff734fc1"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-service-mangement/taskReportapproval/index.vue"]]);
wx.createPage(MiniProgramPage);
