"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_checkbox2 = common_vendor.resolveComponent("uv-checkbox");
  const _easycom_uv_checkbox_group2 = common_vendor.resolveComponent("uv-checkbox-group");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uv_popup2 = common_vendor.resolveComponent("uv-popup");
  (_easycom_uv_input2 + _easycom_uv_checkbox2 + _easycom_uv_checkbox_group2 + _easycom_uv_button2 + _easycom_uv_popup2)();
}
const _easycom_uv_input = () => "../../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_checkbox = () => "../../../node-modules/@climblee/uv-ui/components/uv-checkbox/uv-checkbox.js";
const _easycom_uv_checkbox_group = () => "../../../node-modules/@climblee/uv-ui/components/uv-checkbox-group/uv-checkbox-group.js";
const _easycom_uv_button = () => "../../../node-modules/@climblee/uv-ui/components/uv-button/uv-button.js";
const _easycom_uv_popup = () => "../../../node-modules/@climblee/uv-ui/components/uv-popup/uv-popup.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_checkbox + _easycom_uv_checkbox_group + _easycom_uv_button + _easycom_uv_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "isMultiplePickerSearchCom",
  props: {
    dictData: Array,
    currValue: String
  },
  emits: ["updateMultiplePicker"],
  setup(__props, { expose, emit: emmits }) {
    const props = __props;
    const customStyle = {
      paddingBottom: "24rpx",
      marginBottom: "32rpx"
    };
    const list = common_vendor.ref([]);
    common_vendor.watch(
      () => props.dictData,
      (newProps) => {
        list.value = newProps || [];
      }
    );
    common_vendor.watch(
      () => props.currValue,
      (newProps) => {
        if (newProps) {
          let arr = [];
          arr = newProps.split(",");
          checkboxValue.value = arr;
        }
      }
    );
    const searchContent = common_vendor.ref();
    common_vendor.watch(searchContent, () => {
      filterInfo();
    });
    const filterInfo = () => {
      if (!searchContent.value) {
        if (props.dictData) {
          list.value = props.dictData;
        }
      } else {
        let arr = ["", ...searchContent.value, ""];
        let str = arr.join(".*");
        let reg = new RegExp(str);
        list.value = list.value.filter((item) => reg.test(item.label));
      }
    };
    const popup = common_vendor.ref();
    const open = () => {
      popup.value.open();
    };
    const saveBtnStyle = {
      color: "black",
      width: "350rpx",
      border: "2rpx solid #000"
    };
    const submitBtnStyle = {
      background: "#FFAA0A",
      color: "#fff",
      width: "350rpx  "
    };
    const checkboxValue = common_vendor.ref([]);
    const close = () => {
      popup.value.close();
    };
    const confirm = () => {
      if (!checkboxValue.value.length) {
        return common_vendor.index.showToast({
          title: "请选择内容！",
          icon: "none"
        });
      }
      emmits("updateMultiplePicker", checkboxValue.value);
      close();
    };
    expose({ open });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => searchContent.value = $event),
        b: common_vendor.p({
          placeholder: "请输入内容",
          border: "surround",
          clearable: true,
          modelValue: searchContent.value
        }),
        c: common_vendor.f(list.value, (item, k0, i0) => {
          return {
            a: item.value,
            b: "b59867dc-3-" + i0 + ",b59867dc-2",
            c: common_vendor.p({
              customStyle,
              name: item.label,
              label: item.label
            })
          };
        }),
        d: common_vendor.o(($event) => checkboxValue.value = $event),
        e: common_vendor.p({
          placement: "column",
          iconPlacement: "right",
          borderBottom: true,
          modelValue: checkboxValue.value
        }),
        f: common_vendor.o(close),
        g: common_vendor.p({
          customStyle: saveBtnStyle
        }),
        h: common_vendor.o(confirm),
        i: common_vendor.p({
          customStyle: submitBtnStyle
        }),
        j: common_vendor.sr(popup, "b59867dc-0", {
          "k": "popup"
        }),
        k: common_vendor.p({
          mode: "bottom",
          round: "15"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b59867dc"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/components/isMultiplePickerSearchCom.vue"]]);
wx.createComponent(Component);
