"use strict";
const common_vendor = require("../../../common/vendor.js");
const service_modules_getTask = require("../../../service/modules/getTask.js");
require("../../../service/index.js");
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_picker2 = common_vendor.resolveComponent("uv-picker");
  (_easycom_uv_input2 + _easycom_uv_icon2 + _easycom_uv_form_item2 + _easycom_uv_picker2)();
}
const _easycom_uv_input = () => "../../../node-modules/@climblee/uv-ui/components/uv-input/uv-input.js";
const _easycom_uv_icon = () => "../../../node-modules/@climblee/uv-ui/components/uv-icon/uv-icon.js";
const _easycom_uv_form_item = () => "../../../node-modules/@climblee/uv-ui/components/uv-form-item/uv-form-item.js";
const _easycom_uv_picker = () => "../../../node-modules/@climblee/uv-ui/components/uv-picker/uv-picker.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_icon + _easycom_uv_form_item + _easycom_uv_picker)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "selectCom",
  props: {
    item: Object,
    index: Number,
    selectValue: String,
    dictList: Object,
    sendParams: Object,
    selectDisabled: Boolean,
    disabled: Boolean
  },
  emits: [
    "update:selectValue",
    "isMultiplePickerSearch",
    "confirmFn",
    "updatePackageListFn",
    "update:selectDisabled"
  ],
  setup(__props, { emit: emmits }) {
    const props = __props;
    const pickerRef = common_vendor.ref();
    const actionList = common_vendor.ref();
    const currFieldItem = common_vendor.ref();
    const showAction = async (item) => {
      if (props.disabled)
        return;
      if (props.selectDisabled)
        return;
      if (!validateSendParams(item))
        return;
      if (props.dictList) {
        actionList.value = props.dictList[item.dictGroupName];
        currFieldItem.value = item;
        pickerRef.value.open();
      }
    };
    const confirm = async (e) => {
      let select = e.value[0];
      const fieldItem = common_vendor.unref(currFieldItem);
      emmits("confirmFn", fieldItem.taskFiledKey, select.label, select.value);
      if (fieldItem.taskFiledKey === "temp32" && (fieldItem.taskTypeId === "1" || fieldItem.taskTypeId === "19")) {
        const selectedItem = props.dictList && props.dictList[fieldItem.dictGroupName].find((ele) => ele.value === select.value);
        drugProducer.value = selectedItem.drugProducer;
      }
      if ((fieldItem.taskTypeId == "1" || fieldItem.taskTypeId == "34") && fieldItem.taskFiledKey == "temp3") {
        emmits("update:selectDisabled", true);
        let res = await service_modules_getTask.getPackageListByTaskTypeApi(select.value);
        if (res.data) {
          emmits("updatePackageListFn", res.data);
        }
        emmits("update:selectDisabled", false);
      }
    };
    const drugProducer = common_vendor.ref();
    const getDrugList = (drugProducer2) => {
    };
    const validateSendParams = (item) => {
      var _a, _b, _c, _d, _e;
      if (item.taskTypeId === "1" && item.taskFiledKey == "temp32") {
        if (!((_a = props.sendParams) == null ? void 0 : _a.temp3)) {
          common_vendor.index.showToast({
            title: "请先选择会议类型",
            icon: "none"
          });
          return;
        }
      }
      if (item.taskTypeId === "34" && item.taskFiledKey == "temp32") {
        if (!((_b = props.sendParams) == null ? void 0 : _b.temp3)) {
          common_vendor.index.showToast({
            title: "请先选择培训类型",
            icon: "none"
          });
          return;
        }
      }
      if (item.taskTypeId === "42" && item.taskFiledKey === "temp12") {
        emmits("isMultiplePickerSearch");
        return;
      }
      if (item.taskTypeId === "18" && item.taskFiledKey === "temp3") {
        let sendVal;
        if (props.sendParams && (props == null ? void 0 : props.item)) {
          sendVal = props.sendParams[props.item.taskFiledKey + "Id"];
        }
        common_vendor.index.navigateTo({
          url: `/pages-sub-task/pharmacy-select/index?taskTypeId=${(_c = props == null ? void 0 : props.item) == null ? void 0 : _c.taskTypeId}&sendParamsKey=${(_d = props == null ? void 0 : props.item) == null ? void 0 : _d.taskFiledKey}&sendVal=${sendVal}`
        });
        return;
      }
      if (item.taskTypeId == 19 && item.taskFiledKey === "temp3" && props.dictList && props.dictList[item.dictGroupName] && props.dictList[item.dictGroupName].length === 1) {
        return;
      }
      if (item.dictGroupName === "package_drug_list") {
        if (!((_e = props.sendParams) == null ? void 0 : _e.temp32)) {
          common_vendor.index.showToast({
            title: "请先选择关联执行包",
            icon: "none"
          });
          return;
        }
        if (!drugProducer.value) {
          common_vendor.index.showToast({
            title: "请重新选择关联执行包",
            icon: "none"
          });
          return;
        }
        getDrugList(drugProducer.value);
      }
      return true;
    };
    const propsMessage = common_vendor.computed({
      get: () => {
        return props.selectValue;
      },
      set: (val) => {
        emmits("update:selectValue", val);
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o(($event) => common_vendor.isRef(propsMessage) ? propsMessage.value = $event : null),
        b: common_vendor.p({
          ["input-align"]: "right",
          disabled: true,
          disabledColor: "#ffffff",
          placeholder: `请选择${(_a = __props.item) == null ? void 0 : _a.taskFiledValue}`,
          border: "none",
          modelValue: common_vendor.unref(propsMessage)
        }),
        c: common_vendor.p({
          name: "arrow-right"
        }),
        d: common_vendor.o(($event) => showAction(__props.item)),
        e: common_vendor.p({
          labelWidth: 100,
          label: (_b = __props.item) == null ? void 0 : _b.taskFiledValue,
          borderBottom: false,
          labelPosition: "left",
          required: ((_c = __props.item) == null ? void 0 : _c.isMustfill) == "1"
        }),
        f: common_vendor.sr(pickerRef, "6790f375-3", {
          "k": "pickerRef"
        }),
        g: common_vendor.o(confirm),
        h: common_vendor.p({
          columns: [actionList.value],
          keyName: "label"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages-sub-task/task/components/selectCom.vue"]]);
wx.createComponent(Component);
