"use strict";
const pages_index_base64_xsbf = require("./base64/xsbf.js");
const pages_index_base64_scxxfw = require("./base64/scxxfw.js");
const pages_index_base64_xxjl = require("./base64/xxjl.js");
const pages_index_base64_hypxyzf = require("./base64/hypxyzf.js");
const taskList = [
  {
    title: "客户拜访",
    backgroundImage: pages_index_base64_xsbf.xsbf,
    url: "/pages-sub-task/sign/index"
  },
  {
    title: "市场信息收集",
    backgroundImage: pages_index_base64_scxxfw.scxxfw,
    url: "/pages-sub-task/market-research/index"
  },
  {
    title: "学术信息交流",
    backgroundImage: pages_index_base64_xxjl.xxjl,
    type: "1"
  },
  {
    title: "会议培训与专访",
    backgroundImage: pages_index_base64_hypxyzf.hypxyzf,
    url: "/pages-sub-task/conference-training/index"
  }
];
exports.taskList = taskList;
