"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const utils_formatTime = require("../../../utils/formatTime.js");
const utils_index = require("../../../utils/index.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "infoCard",
  props: {
    item: Object,
    isLogin: Boolean
  },
  emits: ["onDetail", "shareFn"],
  setup(__props, { emit }) {
    const formatHtml = (str) => {
      if (!str)
        return "";
      return utils_index.formatRichTxt(str);
    };
    const catchtap = () => {
    };
    const onDetailFn = (item) => {
      emit("onDetail", item);
    };
    const shareFn = (item) => {
      emit("shareFn", {
        id: item.id,
        type: "9",
        shareTitle: item.title
      });
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g;
      return common_vendor.e({
        a: common_vendor.t(((_a = __props.item) == null ? void 0 : _a.title) || ""),
        b: common_vendor.t(formatHtml((_b = __props.item) == null ? void 0 : _b.content)),
        c: common_vendor.t(((_c = __props.item) == null ? void 0 : _c.area) ? ((_d = __props.item) == null ? void 0 : _d.area) + "·" : ""),
        d: common_vendor.t(common_vendor.unref(utils_formatTime.formatTime)((_e = __props.item) == null ? void 0 : _e.createTime)),
        e: __props.isLogin
      }, __props.isLogin ? {
        f: common_assets._imports_0$5,
        g: common_vendor.o(($event) => shareFn(__props.item))
      } : {
        h: common_assets._imports_0$5,
        i: (_f = __props.item) == null ? void 0 : _f.title,
        j: (_g = __props.item) == null ? void 0 : _g.id,
        k: common_vendor.o(catchtap)
      }, {
        l: common_vendor.o(($event) => onDetailFn(__props.item))
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b84de3fa"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/news/components/infoCard.vue"]]);
wx.createComponent(Component);
