"use strict";
var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
const common_vendor = require("../../common/vendor.js");
const service_modules_statistics = require("../../service/modules/statistics.js");
const store_login = require("../../store/login.js");
require("../../service/index.js");
require("../../service/modules/common.js");
require("../../service/modules/login.js");
require("../../service/modules/newsDetail.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    store_login.useLoginStore();
    class Params {
      constructor() {
        __publicField(this, "entId", "");
        __publicField(this, "total", -1);
        __publicField(this, "current", 1);
        __publicField(this, "size", 10);
      }
    }
    common_vendor.onShow(() => {
      getList();
    });
    const searchParams = common_vendor.ref(new Params());
    common_vendor.ref([]);
    common_vendor.ref(false);
    const detailInfo = common_vendor.ref();
    const getList = async () => {
      common_vendor.index.showLoading();
      let res = await service_modules_statistics.getListApi(searchParams.value);
      detailInfo.value = res.data;
      common_vendor.index.hideLoading();
    };
    common_vendor.onReachBottom(() => {
      getList();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(detailInfo.value.pickerName),
        b: common_vendor.t(detailInfo.value.pkgScore),
        c: common_vendor.t(detailInfo.value.pickerName),
        d: common_vendor.t(detailInfo.value.createTime),
        e: common_vendor.t(detailInfo.value.taskPassedScore),
        f: common_vendor.t(detailInfo.value.taskPassedPercentage),
        g: common_vendor.t(detailInfo.value.eachTaskTypeRate)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e32fc36d"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/statistics/index.vue"]]);
wx.createPage(MiniProgramPage);
