"use strict";
const common_vendor = require("../../../common/vendor.js");
const service_modules_getTask = require("../../../service/modules/getTask.js");
require("../../../service/index.js");
if (!Math) {
  (textCom + selectCom + imgCom + longtextCom + shareCom + visitCom)();
}
const textCom = () => "./components/textCom.js";
const selectCom = () => "./components/selectCom.js";
const imgCom = () => "./components/imgCom.js";
const longtextCom = () => "./components/longtextCom.js";
const visitCom = () => "./components/visitCom.js";
const shareCom = () => "./components/shareCom.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const textArr = [
      "area",
      "text",
      "inputautoselect",
      "map",
      "datetime",
      "datatimerange",
      "number",
      "money",
      "tree"
    ];
    const shareIdArr = ["8", "9", "10", "11"];
    const ercodeUrl = common_vendor.ref();
    const visitIdArr = ["5", "6", "33"];
    const detailId = common_vendor.ref();
    common_vendor.onLoad((e) => {
      if (e == null ? void 0 : e.id) {
        detailId.value = e.id;
        getTaskDetail();
      }
    });
    const detailInfo = common_vendor.ref();
    const taskTypeId = common_vendor.ref();
    const isShareImg = common_vendor.ref(false);
    const getTaskDetail = async () => {
      const res = await service_modules_getTask.getTaskInfoByIdApi(detailId.value);
      const data = res.data;
      detailInfo.value = data;
      taskTypeId.value = data.taskType;
      getTaskContentConfigByTaskTypeId();
    };
    const signInfoDetail = common_vendor.ref();
    const configList = common_vendor.ref();
    const dictList = common_vendor.ref();
    const getTaskContentConfigByTaskTypeId = async () => {
      let res;
      res = await service_modules_getTask.getTaskContentConfigByTaskTypeIdApi(taskTypeId.value);
      if (res.code === 0) {
        let data = res.data;
        let keys = Object.keys(data);
        if (keys.includes("config")) {
          configList.value = data.config;
          dictList.value = data.dict;
        } else {
          configList.value = data[taskTypeId.value].config;
          dictList.value = data[taskTypeId.value].dict;
        }
        configList == null ? void 0 : configList.value.forEach((item) => {
          item.taskFiledType = item.taskFiledType.trim();
        });
      }
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d;
      return common_vendor.e({
        a: isShareImg.value
      }, isShareImg.value ? {
        b: (_b = (_a = detailInfo.value) == null ? void 0 : _a.taskInfo) == null ? void 0 : _b.shareImgUrl
      } : ((_c = configList.value) == null ? void 0 : _c.length) ? {
        d: common_vendor.f(configList.value, (item, k0, i0) => {
          return common_vendor.e({
            a: textArr.includes(item.taskFiledType)
          }, textArr.includes(item.taskFiledType) ? {
            b: "271b58db-0-" + i0,
            c: common_vendor.p({
              item,
              detailInfo: detailInfo.value
            })
          } : {}, {
            d: item.taskFiledType == "domain" || item.taskFiledType == "select"
          }, item.taskFiledType == "domain" || item.taskFiledType == "select" ? {
            e: "271b58db-1-" + i0,
            f: common_vendor.p({
              item,
              detailInfo: detailInfo.value,
              dictList: dictList.value
            })
          } : {}, {
            g: item.taskFiledType == "img" || item.taskFiledType == "sign"
          }, item.taskFiledType == "img" || item.taskFiledType == "sign" ? {
            h: "271b58db-2-" + i0,
            i: common_vendor.p({
              item,
              detailInfo: detailInfo.value
            })
          } : {}, {
            j: item.taskFiledType == "longtext"
          }, item.taskFiledType == "longtext" ? {
            k: "271b58db-3-" + i0,
            l: common_vendor.p({
              item,
              detailInfo: detailInfo.value
            })
          } : {}, {
            m: item.id
          });
        })
      } : {}, {
        c: (_d = configList.value) == null ? void 0 : _d.length,
        e: shareIdArr.includes(taskTypeId.value)
      }, shareIdArr.includes(taskTypeId.value) ? {
        f: common_vendor.p({
          detailInfo: detailInfo.value,
          ercodeUrl: ercodeUrl.value
        })
      } : {}, {
        g: visitIdArr.includes(taskTypeId.value)
      }, visitIdArr.includes(taskTypeId.value) ? {
        h: common_vendor.p({
          signInfoDetail: signInfoDetail.value
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-271b58db"], ["__file", "F:/WorkCode/CNBG/cnbg_mp/src/pages/task/task-detail/index.vue"]]);
wx.createPage(MiniProgramPage);
