"use strict";
const service_index = require("../index.js");
function saveBaseInfoApi(data) {
  return service_index.http.post(`/admin/user-sign-cert/save-base-info`, data);
}
function signCertApi(data) {
  return service_index.http.post(`/admin/user-sign-cert/sign`, data);
}
function signAgreementApi(data) {
  return service_index.http.post(`/admin/user-sign-cert/sign-agreement`, data);
}
function getETokenApi(data) {
  return service_index.http.get(`/admin/api/eid?idCard=${data.idCard}&realName=${data.realName}`);
}
function getETokenResultApi(token) {
  return service_index.http.get(`/admin/api/eid/result?token=${token}`);
}
function batchCertApi(data) {
  return service_index.http.post(`/admin/user-sign-cert/batch-channel-cert`, data);
}
function saveBankInfoApi(data) {
  return service_index.http.post(`/admin/user-sign-cert/save-bank-info`, data);
}
exports.batchCertApi = batchCertApi;
exports.getETokenApi = getETokenApi;
exports.getETokenResultApi = getETokenResultApi;
exports.saveBankInfoApi = saveBankInfoApi;
exports.saveBaseInfoApi = saveBaseInfoApi;
exports.signAgreementApi = signAgreementApi;
exports.signCertApi = signCertApi;
