"use strict";
const common_vendor = require("../../common/vendor.js");
const login = () => {
  const promise = new Promise(function(resolve, reject) {
    common_vendor.index.login({
      provider: "weixin",
      success: (loginRes) => {
        resolve(loginRes);
      },
      fail: (e) => {
        reject(e);
      }
    });
  });
  return promise;
};
const getUserInfo = () => {
  const promise = new Promise(function(resolve, reject) {
    common_vendor.index.getUserInfo({
      provider: "weixin",
      success(infoRes) {
        resolve(infoRes);
      },
      fail(e) {
        reject(e);
      }
    });
  });
  return promise;
};
exports.getUserInfo = getUserInfo;
exports.login = login;
