"use strict";
const service_index = require("../index.js");
const integralRulesApi = {
  // 获取积分规则
  getTaskTypeScoreList: (durgentId) => {
    return service_index.http.get(`admin/api/taskTypeScoreList?durgentId=${durgentId}`);
  },
  getTaskTypeListByRuleId: (ruleId) => {
    return service_index.http.get(`admin/api/getTaskTypeListByRuleId?ruleId=${ruleId}`);
  },
  getPackageCanTaskList: (packageId) => {
    return service_index.http.get(`admin/api/getPackageCanTaskList?packageId=${packageId}`);
  },
  getDict: () => {
    return service_index.http.get(`/admin/dict/type/task_type_desc`);
  }
};
function getTaskTypeDeptList() {
  return service_index.http.get("admin/wmtasktype/getTaskTypeDeptList");
}
exports.getTaskTypeDeptList = getTaskTypeDeptList;
exports.integralRulesApi = integralRulesApi;
