"use strict";
const service_index = require("../index.js");
function getListApi(data) {
  return service_index.http.post(`/admin/plan/app/page`, data);
}
function getListCsoApi() {
  return service_index.http.get(`/admin/wmdaagent/listCso`);
}
function getListDrugApi() {
  return service_index.http.get(`/admin/wmdadrugentdrugtable/list-drug`);
}
function createListApi(data) {
  return service_index.http.post(`/admin/plan/create`, data);
}
function planCheckApi(data) {
  return service_index.http.post(`/admin/plan/check`, data);
}
function getPlanInfoApi(plan_id) {
  return service_index.http.get(`/admin/plan/info/${plan_id}`);
}
function getPlanChildrenApi(params) {
  return service_index.http.get(`/admin/plan/children/list`, { params });
}
function getWmtasktypePageApi(params) {
  return service_index.http.get(`/admin/wmtasktype/page`, { params });
}
function planDetailCreateApi(data) {
  return service_index.http.post(`/admin/plan/details/create`, data);
}
function getPlanDetailsApi(id) {
  return service_index.http.get(`/admin/plan/details/${id}`);
}
function checkPlanDetailsApi(data) {
  return service_index.http.post(`/admin/plan/details/check`, data);
}
function updatePlanApi(data) {
  return service_index.http.post(`/admin/plan/update`, data);
}
function getListDescendant() {
  return service_index.http.get(`/admin/dept/list/descendant`);
}
exports.checkPlanDetailsApi = checkPlanDetailsApi;
exports.createListApi = createListApi;
exports.getListApi = getListApi;
exports.getListCsoApi = getListCsoApi;
exports.getListDescendant = getListDescendant;
exports.getListDrugApi = getListDrugApi;
exports.getPlanChildrenApi = getPlanChildrenApi;
exports.getPlanDetailsApi = getPlanDetailsApi;
exports.getPlanInfoApi = getPlanInfoApi;
exports.getWmtasktypePageApi = getWmtasktypePageApi;
exports.planCheckApi = planCheckApi;
exports.planDetailCreateApi = planDetailCreateApi;
exports.updatePlanApi = updatePlanApi;
