"use strict";
const service_index = require("../index.js");
function getListApi(params) {
  return service_index.http.get(`/admin/wmscorepackage/selectWmScorePackageLists`, { params });
}
function getPlanListApi(params) {
  return service_index.http.get(`/admin/plan/list`, { params });
}
function selectKfpjfApi(params) {
  return service_index.http.get(`/admin/wmscorepackage/selectKfpjf`, { params });
}
function wmscorepackageSaveApi(data) {
  return service_index.http.post(`/admin/wmscorepackage/saves`, data);
}
function wmscorepackageUpdateByIdsApi(data) {
  return service_index.http.post(`/admin/wmscorepackage/updateByIds`, data);
}
function getSelectWmScorePackageApi(data) {
  return service_index.http.post(`/admin/wmscorepackage/selectWmScorePackage`, data);
}
function getSelectRelationScoreIdApi(params) {
  return service_index.http.get(`/admin/wmscorepackage/selectRelationScoreId`, { params });
}
function stopWmScorePackageApi(data) {
  return service_index.http.post(`/admin/wmscorepackage/stopWmScorePackage`, data);
}
function updateEnableApi(params) {
  return service_index.http.get(`/admin/wmscorepackage/updateEnable`, { params });
}
function getListAncestorApi(params) {
  return service_index.http.get(`/admin/dept/list/ancestor`, { params });
}
exports.getListAncestorApi = getListAncestorApi;
exports.getListApi = getListApi;
exports.getPlanListApi = getPlanListApi;
exports.getSelectRelationScoreIdApi = getSelectRelationScoreIdApi;
exports.getSelectWmScorePackageApi = getSelectWmScorePackageApi;
exports.selectKfpjfApi = selectKfpjfApi;
exports.stopWmScorePackageApi = stopWmScorePackageApi;
exports.updateEnableApi = updateEnableApi;
exports.wmscorepackageSaveApi = wmscorepackageSaveApi;
exports.wmscorepackageUpdateByIdsApi = wmscorepackageUpdateByIdsApi;
