"use strict";
const service_index = require("../index.js");
function getTaskV2PageApi(params) {
  return service_index.http.get("/admin/task/v2/page", { params });
}
function getTaskV2PageCheckedApi(params) {
  return service_index.http.get("/admin/task/v2/page/checked", { params });
}
function getTaskTypeAvailApi(params) {
  return service_index.http.get("/admin/task/type/v2/avail", { params });
}
function getTaskV2CheckHisApi(params) {
  return service_index.http.get("/admin/task/v2/check/his", { params });
}
function getDeptv2Avail(params) {
  return service_index.http.get("/admin/dept/v2/avail", { params });
}
function getUserV2Avail(params) {
  return service_index.http.get("/admin/user/v2/avail", { params });
}
function getDrug2Avail(params) {
  return service_index.http.get("/admin/drug/v2/avail", { params });
}
function getPkgV2Api(params) {
  return service_index.http.get("/admin/pkg/avail", { params });
}
function getTaskV2TokenApi(data) {
  return service_index.http.post("/admin/task/v2/token", data);
}
function checkSingleApi(data) {
  return service_index.http.post("/admin/task/v2/check/single", data);
}
function getPretreatmentApi(data) {
  return service_index.http.post("/admin/task/v2/check/pretreatment", data);
}
function pretreatmentClearApi(data) {
  return service_index.http.post("/admin/task/v2/check/pretreatment/clear", data);
}
function taskV2CheckBatchApi(data) {
  return service_index.http.post("/admin/task/v2/check/batch", data);
}
exports.checkSingleApi = checkSingleApi;
exports.getDeptv2Avail = getDeptv2Avail;
exports.getDrug2Avail = getDrug2Avail;
exports.getPkgV2Api = getPkgV2Api;
exports.getPretreatmentApi = getPretreatmentApi;
exports.getTaskTypeAvailApi = getTaskTypeAvailApi;
exports.getTaskV2CheckHisApi = getTaskV2CheckHisApi;
exports.getTaskV2PageApi = getTaskV2PageApi;
exports.getTaskV2PageCheckedApi = getTaskV2PageCheckedApi;
exports.getTaskV2TokenApi = getTaskV2TokenApi;
exports.getUserV2Avail = getUserV2Avail;
exports.pretreatmentClearApi = pretreatmentClearApi;
exports.taskV2CheckBatchApi = taskV2CheckBatchApi;
